##Text encoding: utf-8

2012-08-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/spectra/C/gspectrum.xml: update GCrystal user documentation.
	* libs/gcr/atomsdlg.cc: apply element change to all selected atoms.
	* ui/crystal/atoms.ui: fixed needed Gtk+ version.
	* ui/crystal/bonds.ui: ditto.
	* ui/crystal/cell.ui: ditto.
	* ui/crystal/cleavages.ui: ditto.
	* ui/crystal/docprop.ui: ditto.
	* ui/crystal/lines.ui: ditto.
	* ui/crystal/prefs.ui: ditto.
	* ui/crystal/size.ui: ditto.
	* ui/crystal/view-settings.ui: ditto.

2012-08-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mesomery-arrow.cc: do not save inside a dummy object.
	* libs/gcp/reaction-arrow.cc: ditto.
	* libs/gcu/object.cc: fix loading. [#37032]
	* libs/gcugtk/cmd-context-gtk.cc: fix crasher.
	* plugins/paint/arrows/retrosynthesisarrow.cc: do not save inside a dummy
	object.

2012-08-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/spectra/C/gspectrum.xml: updated user doc for 0.14.
	* libs/gcugtk/spectrumdoc.cc: add "response factor" as unit, widgets
	spacing,and support non UTF-8 titles.
	* libs/gcugtk/spectrumdoc.h: ditto.
	* libs/gcugtk/spectrumview.cc: fix widgets spacing.

2012-07-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: remove old gconf related code.
	* gnumeric/functions.cc: call gcu::Element::Init().
	* goffice/gchemutils.cc: ditto.
	* libs/gcu/element.cc: add Greek language.
	* mozilla-plugin/chem-viewer.cc: call gcu::Element::Init().

2012-07-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/C/table/C/gchemtable.xml: updated user doc for 0.14.

2012-07-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.13.92).
	* docs/help/C/calc/C/figures/*: updated screenshots.
	* libs/gcp/application.cc: fixed a misleading error message.
	* libs/gcp/view.cc: fix View::BuildSVG() and View::BuildEPS() which were
	missing the trailing 0.

2012-07-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/C/3d/C/gchem3d.xml: updated user doc for 0.14.
	* libs/gcp/window.cc: force a message box to be modal.
	* libs/gcugtk/message.cc: make the message box modal when Run() is called.

2012-07-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.13.91).
	* libs/gcp/application.cc: fixed theme issues in toolbox.
	* libs/gcp/window.cc: fix menu item label.
	* libs/gcu/atom.cc: fix crasher on exit.
	* libs/gcu/bond.cc: ditto.
	* libs/gcu/element.cc: fix localization.
	* libs/gcu/element.h: ditto.
	* libs/gcugtk/chem3dapplication.cc: always show the tools menu items when
	a molecule has been loaded.
	* libs/gcugtk/chem3dwindow.cc: fix menu item label.
	* programs/3d/main.cc: fix localization.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/main.cc: ditto.
	* programs/paint/main.cc: ditto.
	* programs/spectra/Makefile.am: ditto.
	* programs/spectra/gspectrum.cc: ditto.

2012-07-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: fixed radius changes behavior.

2012-07-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/element.cc: don't load data before main execution, fixes a weird
	localization issue.
	* programs/table/Makefile.am: ditto.
	* programs/table/gchemtable-app.cc: ditto.
	* programs/table/gchemtable-main.cc: ditto.

2012-06-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: add -Werror=format-security to CFLAGS.
	* docs/reference/Makefile.am: add missing files.
	* libs/gcp/application.cc: fixed errors by -Werror=format-security.
	* libs/gcp/window.cc: ditto.
	* libs/gcr/grid.cc: ditto.
	* libs/gcugtk/chem3dapplication.cc: ditto.
	* libs/gcugtk/chem3dwindow.cc: ditto.
	* libs/gcugtk/glview.cc: ditto.
	* libs/gcugtk/message.cc: ditto.
	* libs/gcugtk/message.h: ditto.
	* libs/gcugtk/stringdlg.cc: ditto.
	* plugins/paint/residues/residues-dlg.cc: ditto.
	* plugins/paint/selection/selectiontool.cc: ditto.
	* plugins/paint/templates/templatetool.cc: ditto.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/spectra/application.cc: ditto.
	* programs/table/gchemtable-app.cc: ditto.

2012-06-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/application.cc: allow pdb files in gcrystal.
	* libs/gcr/document.cc: fix infinite loop condition. [#36583]
	* libs/gcu/application.cc: typo.

2012-06-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/man/gchem3d.1: change license to GFDL-1.3+
	* docs/man/gchemcalc.1: ditto.
	* docs/man/gchempaint.1: ditto.
	* docs/man/gchemtable.1: ditto.
	* docs/man/gcrystal.1: ditto.
	* docs/man/gspectrum.1: ditto.
	* libs/gcr/atom.cc: move some code to gcu.
	* libs/gcr/atom.h: ditto.
	* libs/gcu/atom.cc: fix import from pdb files. [#36582]
	* libs/gcu/atom.h: ditto.
	* libs/gcu/chem3ddoc.cc: ditto.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/molecule.cc: ditto.
	* libs/gcu/molecule.h: ditto.

2012-06-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cml/cml.cc: don't free a static string. [#36582]

2012-05-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.13.90).
	* database/elements.xml.in: added flerovium and livermorium.
	* ui/libgcu/gcuperiodic.ui: ditto.

2012-04-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/document.h: API documentation.
	* libs/gcr/gcrcrystalviewer.h: ditto.
	* libs/gcr/grid.cc: ditto.
	* libs/gcr/grid.h: ditto.
	* libs/gcr/line.h: ditto.
	* libs/gcr/prefs.h: ditto.
	* libs/gcr/view-settings.h: ditto.
	* libs/gcr/view.h: ditto.
	* libs/gcr/window.h: ditto.
	* libs/gcu/macros.h: ditto.

2012-04-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/application.h: API documentation.
	* libs/gcr/atomsdlg.cc: ditto.
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcr/celldlg.h: ditto.
	* libs/gcr/cleavagesdlg.h: ditto.
	* libs/gcr/docprop.h: ditto.
	* libs/gcr/document.h: ditto.
	* libs/gcr/linesdlg.h: ditto.
	* libs/gcr/sizedlg.h: ditto.
	* libs/gcu/application.h: ditto.
	* plugins/loaders/nuts/nuts.cc: fix build on big endian machines (patch
	from Dan Horak). [#36175]

2012-04-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.h: API documentation and cleaning.
	* libs/gcp/brackets.h: ditto.
	* libs/gcp/docprop.h: ditto.
	* libs/gcp/document.h: ditto.
	* libs/gcp/molecule.h: ditto.
	* libs/gcp/newfiledlg.h: ditto.
	* libs/gcp/reaction-arrow.h: ditto.
	* libs/gcp/residue.h: ditto.
	* libs/gcp/scheme.h: ditto.
	* libs/gcp/text-object.h: ditto.
	* libs/gcp/text.h: ditto.
	* libs/gcp/view.h: ditto.
	* libs/gcp/widgetdata.h: ditto.
	* libs/gcugtk/cmd-context-gtk.h: ditto.
	* libs/gcugtk/printable.h: ditto.
	* libs/gcugtk/spectrumview.h: ditto.

2012-03-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: request GPL-v3 goffice and libspreadsheet versions.
	* openbabel/COPYING: add missing.

2012-03-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* all files: Changed version from GPL-v2+ to GPL-v3+ except for the
	Openbabel server.

2012-03-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* database/space-groups.xml.in: add some large cell variants for groups
	#1 and #2.
	* libs/gcp/brackets.h: API docs.
	* libs/gcu/spacegroup.cc: typo.
	* plugins/loaders/cif/cif.cc: load space groups with
	_space_group_symop_operation_xyz fields.

2012-03-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.h: API docs.
	* libs/gcp/arrow.h: ditto.
	* libs/gcp/atom.cc: ditto.
	* libs/gcp/atom.h: ditto.
	* programs/table/gchemtable-curve.cc: really fixed URI opening.

2012-03-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/window.cc: fixed URI opening.
	* libs/gcr/window.cc: ditto.
	* libs/gcu/application.cc: moved URI opening to gcugtk for now after
	go_url_show removal and the need for a GdkScreen. 
	* libs/gcu/application.h: ditto.
	* libs/gcugtk/application.cc: ditto.
	* libs/gcugtk/application.h: ditto.
	* libs/gcugtk/chem3dwindow.cc: fixed URI opening.
	* libs/gcugtk/molecule.cc: ditto.
	* libs/gcugtk/window.h: add a GetScreen method for convenience.
	* programs/calc/gchemcalc.cc: fixed URI opening.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-app.cc: ditto.

2012-02-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-step.cc: fixed a crasher [#35626] and allow a choice
	of a molecule for alignment when the step has more than one.
	* libs/gcp/mechanism-step.h:ditto.

2012-02-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post-release version bump (0.13.7).
	* libs/gcp/bond.cc: fixed crash on molecules loading.

2012-02-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcugtk/gcuperiodic.h: more API docs update.
	* libs/gcugtk/message.h: ditto.
	* libs/gcugtk/molecule.h: ditto.
	* libs/gcugtk/print-setup-dlg.cc: ditto.
	* libs/gcugtk/print-setup-dlg.h: ditto.
	* libs/gcugtk/printable.h: ditto.
	* libs/gcugtk/spectrumdoc.h: ditto.
	* libs/gcugtk/spectrumview.h: ditto.
	* libs/gcugtk/stringinputdlg.h: ditto.
	* libs/gcugtk/ui-manager.h: ditto.

2012-02-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/reaction.cc: more API docs update.
	* libs/gcu/molecule.h: ditto.
	* libs/gcu/residue.h: ditto.
	* libs/gcugtk/chem3dapplication.h: ditto.
	* libs/gcugtk/chem3ddoc.h: ditto.
	* libs/gcugtk/chem3dview.h: ditto.
	* libs/gcugtk/chem3dwindow.h: ditto.
	* libs/gcugtk/cmd-context-gtk.h: ditto.
	* libs/gcugtk/dialog.h: ditto.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/paint/selection/bracketstool.cc: ditto.

2012-02-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/glview.h: more API docs update.
	* libs/gcu/molecule.h: ditto.
	* libs/gcu/objprops.h: ditto.
	* libs/gcu/ui-manager.h: ditto.
	* libs/gcugtk/window.h: ditto.

2012-02-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/application.h: more API docs update.
	* libs/gcu/application.h: ditto.
	* libs/gcu/atom.h: ditto.
	* libs/gcu/bond.h: ditto.
	* libs/gcu/chain.h: ditto.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/cmd-context.h: ditto.
	* libs/gcu/cylinder.h: ditto.
	* libs/gcu/dialog.h: ditto.
	* libs/gcu/document.h: ditto.
	* libs/gcu/element.h: ditto.
	* libs/gcugtk/application.h: ditto.

2012-02-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/element.cc: fixed a memory leak.

2012-02-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/reference/Doxyfile.in: more API docs update.
	* libs/gccv/brackets.h: ditto.
	* libs/gcp/step.h: ditto.
	* libs/gcu/application.h: ditto.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/chemistry.h: ditto.
	* libs/gcu/spacegroup.h: ditto.
	* libs/gcugtk/application.h: ditto.
	* libs/gcugtk/chem3dapplication.h: ditto.
	* libs/gcugtk/filechooser.h: ditto.
	* libs/gcugtk/gcuchem3dviewer.h: ditto.
	* libs/gcugtk/gcucomboperiodic.h: ditto.
	* libs/gcugtk/gcuperiodic.c: ditto.
	* libs/gcugtk/gcuperiodic.h: ditto.
	* libs/gcugtk/gcuspectrumviewer.h: ditto.
	* libs/gcugtk/print-setup-dlg.h: ditto.
	* libs/gcugtk/printable.h: ditto.
	* libs/gcugtk/spectrumdoc.h: ditto.
	* libs/gcugtk/spectrumview.h: ditto.

2012-01-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/brackets.h: update API docs.
	* libs/gccv/line-item.h: ditto.
	* libs/gccv/wedge.h: ditto.

2012-01-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/arrow.cc: add a length property.
	* libs/gcp/arrow.h: ditto.
	* libs/gcp/reaction.cc: don't crash on missing step.

2012-01-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: don't crash when a Newman bond has no radius.
	* tests/testgcuperiodic.c (main): make it build with gtk+-3.2.

2012-01-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: fixed Newman bond radius when bond length changes.
	* plugins/paint/bonds/newman.cc: make property page work.
	* plugins/paint/bonds/newman.h: ditto.
	* plugins/paint/bonds/newman.ui: ditto.

2012-01-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* pixmaps/Makefile.am: restore mime types related pixmaps installation.

2012-01-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/poly-line.cc: use auto color when needed.
	* libs/gcp/atom.cc: fixed a bonds crossing issue.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/bond.cc: ditto.
	* libs/gcp/bond.h: ditto.
	* libs/gcp/fragment-residue.cc: when changing residue, update the symbol.
	* libs/gcp/fragment-residue.h: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/reaction.cc: better building, not perfect yet.
	* plugins/paint/bonds/Makefile.am: new Newman projection tool.
	* plugins/paint/bonds/newman.cc: ditto.
	* plugins/paint/bonds/newman.h: ditto.
	* plugins/paint/bonds/newman.ui: ditto.
	* plugins/paint/bonds/plugin.cc: ditto.

2011-12-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: fixed loading of crossing bonds.

2011-12-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/Makefile.am: add scheme.[cc,h].
	* libs/gcp/arrow.cc: add steps.
	* libs/gcp/arrow.h: ditto.
	* libs/gcp/reaction-arrow.cc: move steps to base class.
	* libs/gcp/reaction-arrow.h: ditto.
	* libs/gcp/reaction-step.cc: move arrows management to parent class.
	* libs/gcp/reaction-step.h: ditto.
	* libs/gcp/reaction.cc: make Reaction derive from Scheme. 
	* libs/gcp/reaction.h: ditto.
	* libs/gcp/scheme.cc: new parent class for reactions and more. Manage
	alignment for any number of arrows.
	* libs/gcp/scheme.h: ditto.
	* libs/gcp/step.cc: add arrows management.
	* libs/gcp/step.h: ditto.

2011-12-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/Makefile.am: add new files.
	* libs/gcp/mechanism-step.cc: derives from Step.
	* libs/gcp/mechanism-step.h: ditto.
	* libs/gcp/mesomery.cc: removed obsolete comments.
	* libs/gcp/reaction-step.cc: add a Validate() method.
	* libs/gcp/reaction-step.h: ditto.
	* libs/gcp/reaction.cc: add some more checks when building a reaction.
	* libs/gcp/reaction.h: ditto.
	* libs/gcp/step.cc: new parent class for various steps between arrows.
	* libs/gcp/step.h: ditto.
	* libs/gcr/atomsdlg.cc: fixed crashes.
	* libs/gcr/celldlg.cc: ditto.
	* libs/gcr/grid.cc: ditto.
	* libs/gcu/atom.cc: ditto.

2011-12-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: restore app selection when the mime type is set.
	* libs/gcp/reaction.cc: some progress on multistep reactions.

2011-12-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* database/space-groups.xml.in: fixed two groups identifiers.
	* libs/gcu/spacegroup.cc: separate HM name from coordinate alternative.
	* libs/gcu/spacegroup.h: ditto.

2011-11-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/text.cc: fixed rise position serialization. [#34947]

2011-11-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: fixed build with ->l,--no-undefined. [patch #7677]
	* goffice/Makefile.am: ditto.
	* libs/gcp/application.cc: allow text as reactant.
	* libs/gcr/Makefile.am: fixed build with ->l,--no-undefined.
	* libs/gcu/Makefile.am: ditto.
	* libs/gcu/application.cc: ditto.
	* libs/gcu/application.h: ditto.
	* libs/gcugtk/Makefile.am: ditto.
	* libs/gcugtk/application.cc: ditto.
	* libs/gcugtk/application.h: ditto.
	* pixmaps/Makefile.am: ditto.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/paint/arrows/Makefile.am: ditto.
	* plugins/paint/atoms/Makefile.am: ditto.
	* plugins/paint/bonds/Makefile.am: ditto.
	* plugins/paint/cycles/Makefile.am: ditto.
	* plugins/paint/residues/Makefile.am: ditto.
	* plugins/paint/selection/Makefile.am: ditto.
	* plugins/paint/templates/Makefile.am: ditto.
	* plugins/paint/text/Makefile.am: ditto.
	* programs/3d/document.cc: fixed build with most recent glib.
	* programs/spectra/document.cc: ditto.

2011-11-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils-priv.h: make support for 3d molecules.
	* goffice/gchemutils.cc: ditto.
	* goffice/gogchem3dapp.cc: ditto.
	* goffice/gogchem3dwin.cc: ditto.
	* goffice/gogchem3dwin.h: ditto.

2011-11-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* gnumeric/functions.cc: remove extra white space in function help.
	* libs/gcp/document.cc: don't access a NULL object on pasting.
	* libs/gcu/chem3ddoc.cc: always ensure the view distance is valid.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/gldocument.cc: ditto.
	* libs/gcu/macros.h: new GCU_PROP_EX macro.

2011-11-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: use a better property name.
	* goffice/gogchem3dapp.cc: fix size on loading.
	* goffice/gogcrystalapp.cc: no need to change the content type for a
	CIF file if we don't treat any error.

2011-11-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcugtk/spectrumview.cc: fixed build with gtk+-3.2.

2011-11-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/arrows/org.gnome.gchemutils.paint.plugins.arrows.gs
	chema.xml.in.in: fixed paths.
	* schemas/org.gnome.gchemutils.crystal.gschema.xml.in.in: ditto.
	* schemas/org.gnome.gchemutils.gschema.xml.in.in: ditto.
	* schemas/org.gnome.gchemutils.paint.gschema.xml.in.in: ditto.

2011-11-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/selection/group.cc: make Group derive from DialogOwner
	so that its property box can be non modal.
	* plugins/paint/selection/group.h: ditto.
	* plugins/paint/selection/groupdlg.cc: the dialog can now belong to the
	group if any.
	* plugins/paint/selection/selectiontool.cc: ensure we don't open two group
	dialogs at once.

2011-11-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* COPYING-DOCS: updated to GFDL 1.3.
	* docs/help/*/C/legal.xml: ditto.
	* plugins/paint/selection/group.ui: fixed alignment and group dialog.
	* plugins/paint/selection/groupdlg.cc: ditto.

2011-11-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogchem3dapp.cc: add a nil pointer to the documents list to
	avoid an unwanted call to gtk_main_quit().

2011-11-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogchem3dapp.cc: 3d viewer starts working inside goffice
	component.
	* libs/gcu/chem3ddoc.cc: ditto.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcugtk/chem3ddoc.cc: ditto.
	* libs/gcugtk/glview.cc: ditto.

2011-11-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.13.6).

2011-11-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: really fix mozilla plugin build.
	* mozilla-plugin/moz-plugin.c: ditto.

2011-11-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* Makefile.am: drop GConf support.
	* gchemutils.schemas.in: ditto.
	* plugins/paint/arrows/Makefile.am: ditto.
	* plugins/paint/arrows/gchempaint-arrows.schemas.in: ditto.
	* programs/crystal/Makefile.am: ditto.
	* programs/crystal/gcrystal.schemas.in: ditto.
	* programs/paint/Makefile.am: ditto.
	* programs/paint/gchempaint.schemas.in: ditto.

2011-11-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: add support for CIF files.
	* goffice/gogcrystalapp.cc: ditto.
	* libs/gcr/atom.cc: serialize effective radius ratio.
	* libs/gcr/document.cc: fix crasher.
	* libs/gcr/document.h: remove local dialogs list.
	* libs/gcu/spacegroup.cc: don't add too many atoms.

2011-11-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils-priv.h: enhance content type support.
	* goffice/gchemutils.cc: ditto.
	* goffice/gogchem3dapp.h: ditto.
	* goffice/gogcpapp.h: ditto.
	* goffice/gogcrystalapp.h: ditto.
	* goffice/gogcuapp.h: ditto.

2011-11-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/Makefile.am: add a window class for 3d views.
	* goffice/gogchem3dapp.cc: implement load data.
	* goffice/gogchem3dapp.h: fixed class declaration.
	* goffice/gogchem3dwin.cc: add a window class for 3d views.
	* goffice/gogchem3dwin.h: ditto.
	* goffice/plugin.xml.in: support chemical/x-xyz at the print level.

2011-11-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogcrystalapp.cc: fixed various issues in component.
	* libs/gcr/application.cc: ditto.
	* libs/gcr/document.cc: ditto.

2011-11-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: don't duplicate applications.
	* libs/gcu/chem3ddoc.cc: moved string to/from display mode here.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcugtk/chem3dwindow.cc: more work for the goffice plugin.
	* libs/gcugtk/chem3dwindow.h: ditto.
	* programs/3d/main.cc: moved string to/from display mode to gcu library.
	* programs/3d/window.cc: ensure Quit menu item presence.

2011-11-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/Makefile.am: start working on 3d viewer support in the goffice
	component.
	* goffice/gchemutils-priv.h: ditto.
	* goffice/gchemutils.cc: ditto.
	* goffice/gogchem3dapp.cc: ditto.
	* goffice/gogchem3dapp.h: ditto.
	* libs/gcu/structs.h: ditto.
	* libs/gcugtk/Makefile.am: ditto.
	* libs/gcugtk/chem3dapplication.cc: ditto.
	* libs/gcugtk/chem3dapplication.h: ditto.
	* libs/gcugtk/chem3dview.cc: ditto.
	* libs/gcugtk/chem3dview.h: ditto.
	* libs/gcugtk/chem3dwindow.cc: ditto.
	* libs/gcugtk/chem3dwindow.h: ditto.
	* programs/3d/application.cc: ditto.
	* programs/3d/application.h: ditto.
	* programs/3d/document.cc: ditto.
	* programs/3d/main.cc: ditto.
	* programs/3d/view.cc: ditto.
	* programs/3d/view.h: ditto.
	* programs/3d/window.cc: ditto.
	* programs/3d/window.h: ditto.

2011-11-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: make gcrystal files support in component work, and
	ensure that gcrystal still works.
	* goffice/gogcpapp.cc: ditto.
	* goffice/gogcpapp.h: ditto.
	* goffice/gogcrystalapp.cc: ditto.
	* goffice/gogcrystalapp.h: ditto.
	* goffice/gogcrystalwin.cc: ditto.
	* goffice/gogcrystalwin.h: ditto.
	* goffice/gogcuapp.h: ditto.
	* libs/gcr/application.cc: ditto.
	* libs/gcr/application.h: ditto.
	* libs/gcr/document.cc: ditto.
	* libs/gcr/window.cc: ditto.
	* programs/crystal/application.cc: ditto.
	* programs/crystal/window.cc: ditto.

2011-10-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: more work on gcrystal files support in component.
	* goffice/gogcrystalapp.cc: ditto.
	* goffice/gogcrystalapp.h: ditto.
	* goffice/gogcrystalwin.cc: ditto.
	* libs/gcr/window.cc: ditto.
	* libs/gcr/window.h: ditto.
	* libs/gcp/window.h: white space issue.

2011-10-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcugtk/glview.cc: fixed an off-screen rendering issue.
	* all others: moved code from programs/crystal to libs/gcr to prepare
	for crystal models support in the goffice plugin.

2011-10-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: make it build with most recent goffice.
	* libs/gcp/reaction-arrow.cc: start work on multi-step reaction schemes.
	* libs/gcp/reaction-arrow.h: ditto.
	* libs/gcp/reaction.cc: ditto.
	* libs/gcugtk/glview.cc: make BuildPixbuf work even if the widget is not
	realized.

2011-10-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* acinclude.m4: removed DOLT support.
	* configure.ac: ditto.
	* *.cc: made GtkGrid spacing compatible with gtk+-3.2.
	* *.ui: ditto.

2011-10-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/glview.cc: fixed after a Goffice API break.
	* libs/gcu/molecule.cc: implement GetRawFormula().
	* libs/gcu/molecule.h: ditto.
	* libs/gcugtk/glview.cc: fixed a GL related crash.
	* plugins/loaders/cif/cif.cc: really only load the first struture from
	the file.
	* programs/3d/window.cc: implement export to GChemCalc.

2011-10-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/window.cc: make import from InChI and SMILES available in the
	3d viewer.
	* libs/gcu/chem3ddoc.cc: ditto.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcugtk/Makefile.am: ditto.
	* libs/gcugtk/stringdlg.cc: ditto.
	* libs/gcugtk/stringinputdlg.cc: ditto.
	* libs/gcugtk/stringinputdlg.h: ditto.
	* programs/3d/document.cc: ditto.
	* programs/3d/window.cc: ditto.
	* ui/libgcu/Makefile.am: ditto.
	* ui/libgcu/stringinputdlg.ui: ditto.
	* ui/paint/Makefile.am: ditto.
	* ui/paint/stringinputdlg.ui: ditto.

2011-10-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: make database support available for the 3d viewer.
	* libs/gcugtk/Makefile.am: ditto.
	* libs/gcugtk/molecule.cc: ditto.
	* libs/gcugtk/molecule.h: ditto.
	* programs/3d/document.cc: ditto.
	* programs/3d/window.cc: ditto.
	* programs/3d/window.h: ditto.

2011-10-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils-priv.h: moved the gtk related gcu::Window code
	to gtkgcu.
	* libs/gcp/Makefile.am: moved the StringDlg class to gcugtk.
	* libs/gcp/application.cc: ditto.
	* libs/gcp/application.h: ditto.
	* libs/gcp/docprop.cc: ditto.
	* libs/gcp/document.cc: ditto.
	* libs/gcp/document.h: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcp/molecule.h: ditto.
	* libs/gcp/stringdlg.cc: ditto.
	* libs/gcp/stringdlg.h: ditto.
	* libs/gcp/target.cc: ditto.
	* libs/gcp/target.h: ditto.
	* libs/gcp/text-object.cc: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcr/window.cc: moved the gtk related gcu::Window code
	to gtkgcu.
	* libs/gcr/window.h: ditto.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/document.h: ditto.
	* libs/gcu/window.h: ditto.
	* libs/gcugtk/Makefile.am: ditto.
	* libs/gcugtk/application.h: ditto.
	* libs/gcugtk/molecule.cc: ditto.
	* libs/gcugtk/molecule.h: ditto.
	* libs/gcugtk/stringdlg.cc: ditto.
	* libs/gcugtk/stringdlg.h: ditto.
	* libs/gcugtk/window.cc: ditto.
	* libs/gcugtk/window.h: ditto.
	* plugins/paint/selection/lassotool.cc: ditto.
	* plugins/paint/selection/selectiontool.cc: ditto.
	* plugins/paint/text/fragmenttool.cc: ditto.
	* plugins/paint/text/texttool.cc: ditto.
	* programs/3d/document.cc: ditto.
	* programs/3d/document.h: ditto.
	* programs/3d/window.cc: add export to GChemPaint and evaluation of InChI,
	InChiKey and SMILES.
	* programs/3d/window.h: ditto.
	* ui/libgcu/Makefile.am: moved the StringDlg class to gcugtk.
	* ui/paint/Makefile.am: ditto.
	* ui/paint/stringdlg.ui: ditto.

2011-10-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: fixed an alignment issue.
	* plugins/paint/text/texttool.cc: don't destroy a whole molecule when
	removing just a bracket stoichiometry.

2011-10-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/brackets.cc: make stoechimetry survive serialization.
	* libs/gcp/brackets.h: ditto.
	* libs/gcp/text.cc: ditto.

2011-10-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: more work on brackets stoichimetry coefficient support.
	* libs/gcp/brackets.cc: ditto.
	* libs/gcp/text.cc: ditto.
	* libs/gcp/window.cc: expand the contents widget.
	* plugins/paint/text/texttool.cc: more work on brackets stoichimetry
	coefficient support.

2011-10-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/text.cc: some progress on brackets stoichiometry coefficient.
	* plugins/paint/text/texttool.cc: ditto.
	* plugins/paint/text/texttool.h: ditto.

2011-09-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: fixed AM_MAINTAINER_MODE usage.
	* libs/gcp/brackets.cc: attempt to add a global tag to decorative text.
	* libs/gcp/text.cc: ditto.
	* libs/gcp/text.h: ditto.

2011-08-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/brackets.cc: add a text field as stoichiometry.
	* libs/gcugtk/cmd-context-gtk.cc: delete message box when done.

2011-08-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.h: API doc typo.
	* libs/gcp/brackets.cc: add a contextual menu.
	* libs/gcp/brackets.h: ditto.

2011-08-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcugtk/spectrumdoc.cc: use markup in combo box and axis title. 
	* libs/gcugtk/spectrumview.cc: add two methods to sanitize custom option
	widgets management.
	* libs/gcugtk/spectrumview.h: ditto.

2011-08-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: apply radius and color changes to the whole
	selection.
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcr/grid.cc: enhance keyboard navigation.

2011-08-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: remove obsolete  "Apply to" button.
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcr/grid.cc: enhance keyboard navigation.
	* libs/gcr/grid.h: ditto.
	* ui/crystal/atoms.ui: remove obsolete  "Apply to" button.

2011-08-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/grid.cc: enhance multiple selection handling.
	* libs/gcr/grid.h: add gcr_grid_select_all().
	* libs/gcr/linesdlg.cc: new "Select all" button.
	* libs/gcugtk/ui-builder.cc: new GetObject() method.
	* libs/gcugtk/ui-builder.h: ditto.
	* ui/crystal/lines.ui: new "Select all" button.

2011-08-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/grid.cc: enhance mouse move selection and multiple selection.
	* libs/gcr/grid.h: ditto.
	* libs/gcr/linesdlg.cc: apply color and radius change to the whole 
	selection.
	* libs/gcr/linesdlg.h: ditto.

2011-08-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/grid.cc: start work on multiple row selection.
	* libs/gcr/grid.h: ditto.
	* libs/gcr/linesdlg.cc: use multiple selection in grid.

2011-08-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* pixmaps/Makefile.am: install svg icons for mime types as well.
	* programs/crystal/view-settings.cc: make it instant apply.
	* programs/crystal/view-settings.h: ditto.
	* ui/crystal/view-settings.ui: ditto.

2011-08-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* pixmaps/Makefile.am: install scalable icons instead of bitmaps.
	* programs/crystal/prefs.cc: made it instant apply.
	* programs/crystal/prefs.h: ditto.
	* ui/crystal/docprop.ui: minor fix.
	* ui/crystal/prefs.ui: made it instant apply.

2011-08-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/celldlg.cc: made it instant apply.
	* libs/gcr/celldlg.h: ditto.
	* pixmaps/gchem3d.svg: new svg icon, thanks to Matthias Mailänder.
	* pixmaps/gchemcalc.svg: ditto.
	* pixmaps/gchempaint.svg: ditto.
	* pixmaps/gchemtable.svg: ditto.
	* pixmaps/gcrystal.svg: ditto.
	* pixmaps/gspectrum.svg: ditto.

2011-08-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.13.5).
	* libs/gcr/celldlg.cc: start cell dialog reimplementation.
	* libs/gcr/document.cc: ditto.
	* programs/crystal/document.cc: ditto.
	* ui/crystal/cell.ui: ditto.

2011-08-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: no more tar.gz package.
	* libs/gcr/grid.cc: fixed decimal separator handling.
	* libs/gcr/Makefile.am: fixed include path for generated header.
	* libs/gcu/loader.cc: don't crash when using default application.
	* mozilla-plugin/chem-viewer.cc: make it build.
	* mozilla-plugin/moz-plugin.c: make it work with latest firefox.
	* plugins/paint/atoms/plugin.cc: add missing fields.

2011-08-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/grid.cc: cleaned.
	* libs/gcr/sizedlg.cc: make size dialog instant apply.
	* libs/gcr/sizedlg.h: ditto.
	* ui/crystal/size.ui: ditto.

2011-08-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/grid.cc: really support booleans.
	* libs/gcr/line.h: make members more accessible.
	* libs/gcr/linesdlg.cc: make it work.
	* libs/gcr/linesdlg.h: ditto.

2011-08-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/line.cc: add new SetColor(GdkRGBA) method.
	* libs/gcr/line.h: ditto.
	* libs/gcr/linesdlg.cc: manage edges, diagonals and medians.
	* libs/gcr/linesdlg.h: ditto.

2011-08-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/grid.cc: display a check box in boolean cells.

2011-08-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: removed old obsolete code.
	* libs/gcr/line.cc: add new GetColor(GdkRGBA&) method.
	* libs/gcr/line.h: ditto.
	* libs/gcr/linesdlg.cc: populate the dialog with existing lines.
	* libs/gcr/linesdlg.h: ditto.

2011-08-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: take target button selection into account when
	radius scale changes.
	* libs/gcr/linesdlg.cc: new display, doesn't work yet.
	* libs/gcr/linesdlg.h: ditto.
	* ui/crystal/lines.ui: ditto.

2011-08-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: check atom list and remove duplicates.
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcr/document.cc: ditto.
	* libs/gcr/document.h: ditto.
	* libs/gcr/linesdlg.cc: start work on the lines dialog.
	* libs/gcr/linesdlg.h: ditto.

2011-08-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: manage radius.

2011-08-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: take radius scaling into account.
	* libs/gcr/atomsdlg.h: ditto.

2011-08-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: fixed goffice and gnumeric API versions.
	* libs/gcr/atomsdlg.cc: make color changes really work.
	* libs/gcr/grid.cc: improve navigation, and implement delete ans backspace.

2011-08-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atom.cc: add new GetColor(GdkRBGA&) method.
	* libs/gcr/atom.h: ditto.
	* libs/gcr/atomsdlg.cc: work on atom color and radius. 
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcr/grid.cc: don't diplay the cursor when column < 0.

2011-07-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: some work on radii.
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcr/grid.cc: support double numbers edition.
	* libs/gcugtk/message.cc: fixed a crasher.

2011-07-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: update element and coordinates.
	* libs/gcr/atomsdlg.h: cleaned out all deprecated methods.
	* libs/gcr/grid.cc: implement get/set_string.
	* libs/gcr/grid.h: ditto.
	* libs/gcu/atom.h: add new coordinates accessors.
	* ui/table/state-thermometer.ui: fixed the adjustment.

2011-07-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: redesign progress.
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcr/cleavagesdlg.cc: fixed "Delete All" button sensitivity.

2011-07-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: add a GrcGrid for the atom list.
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcr/cleavagesdlg.cc: restore missing label.
	* libs/gcr/document.cc: move Define() method from programs/crystal and fixed
	crash when a dialog is called twice.
	* libs/gcr/document.h: ditto.
	* libs/gcr/grid.cc: add protected columns and mouse wheel scrolling support.
	* programs/crystal/document.cc: move Define() method to parent class.
	* programs/crystal/document.h: ditto.
	* ui/crystal/atoms.ui: redesigned.
	* ui/crystal/cleavages.ui: restore missing label.

2011-07-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atomsdlg.cc: start redesign work.
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcr/grid.cc: enhance navigation, and add some support for strings.
	* libs/gcr/grid.h: ditto.
	* ui/crystal/atoms.ui: start redesign work.

2011-07-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/cleavage.cc: make cleaved planes number unsigned.
	* libs/gcr/cleavage.h: ditto.
	* libs/gcr/cleavagesdlg.cc: add checks for cleavages validity.
	* libs/gcr/document.cc: ditto.
	* libs/gcr/grid.cc: implement unsigned int support, double click and
	validity checks.
	* libs/gcr/grid.h: ditto.

2011-07-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/cleavagesdlg.cc: really implement cleavage change.
	* libs/gcr/grid.cc: make it start being really usable.

2011-07-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/cleavagesdlg.cc: implement cleavage change.
	* libs/gcr/cleavagesdlg.h: ditto.
	* libs/gcr/document.cc: add a new method to check cleavages list coherence.
	* libs/gcr/document.h: ditto.
	* libs/gcr/grid.cc: more keyboard interaction.
	* libs/gcu/chem3ddoc.cc: fixed model position.
	* libs/gcu/dialog-owner.cc: make GetDialog() const.
	* libs/gcu/dialog-owner.h: ditto.
	* libs/gcugtk/dialog.cc: add a Closed() virtual method.
	* libs/gcugtk/dialog.h: ditto.

2011-07-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/grid.cc: start interacting with the keyboard.

2011-07-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/cleavagesdlg.cc: removed obsolete code.
	* libs/gcr/cleavagesdlg.h: ditto.
	* libs/gcr/grid.cc: display a cursor.

2011-07-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/cleavagesdlg.cc: make this dialog instant apply.
	* libs/gcr/cleavagesdlg.h: ditto.
	* libs/gcr/document.h: set the Update() method virtual.
	* libs/gcr/grid.cc: implement row deletion and horizontal expansion.
	* libs/gcr/grid.h: ditto.
	* ui/crystal/cleavages.ui: removed obsolete buttons.

2011-07-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: update libspreadsheet required version.
	* libs/gcr/grid.cc: implement scrolling.

2011-07-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: use next gnumeric API (tentative).
	* libs/gcr/cleavagesdlg.cc: redesigned.
	* libs/gcr/grid.cc: add row headers and a vertical scrollbar.
	* programs/crystal/docprop.cc: fixed window title when document title
	is empty.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/document.h: ditto.
	* ui/crystal/cleavages.ui: redesigned.

2011-07-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/cleavagesdlg.cc: display existing cleavages.
	* libs/gcr/cleavagesdlg.h: ditto.
	* libs/gcr/grid.cc: ditto.

2011-07-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: add signals to GcrGrid.
	* libs/gcr/grid.cc: ditto.
	* libs/gcr/grid.h: ditto.
	* libs/gcugtk/Makefile.am: ditto.
	* libs/gcugtk/marshalers.list: ditto.

2011-07-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/grid.cc: display column headers.
	* ui/crystal/cleavages.ui: restore title.
	* ui/crystal/docprop.ui: redesigned.

2011-07-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/atom.cc: don't scale fractional coordinates.
	* libs/gcr/cleavagesdlg.cc: fixed cast to DialogOwner.
	* libs/gcr/document.cc: fixed cell paramters from CIF files.
	* libs/gcr/grid.cc: fixed criticals.
	* plugins/loaders/cif/cif.cc: fixed alpha angle loading.
	* ui/crystal/cleavages.ui: redesigned.

2011-07-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/sizedlg.cc: redesigned dialog boxes.
	* programs/crystal/view-settings.cc: ditto.
	* ui/crystal/prefs.ui: ditto.
	* ui/crystal/size.ui: ditto.
	* ui/crystal/view-settings.ui: ditto.

2011-07-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcugtk/gcuperiodic.c: make sure that wanted colors are always used.
	* ui/libgcu/gcuperiodic.ui: minor fixes.

2011-07-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/docprop.cc: cleaned out deprecated gtk code.
	* libs/gcp/newfiledlg.cc: ditto.
	* libs/gcp/reaction-prop-dlg.cc: ditto.
	* libs/gcugtk/spectrumdoc.cc: use GtkGrid.
	* libs/gcugtk/spectrumview.cc: ditto.
	* libs/gcugtk/ui-builder.cc: removed GetCombo().
	* libs/gcugtk/ui-builder.h: ditto.
	* plugins/paint/selection/bracketstool.cc: ditto.
	* programs/crystal/window.cc: use GtkGrid.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-data-allocator.cc: use a GtkComboText.
	* ui/paint/arrow-object.ui: ditto.

2011-07-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/chem3ddoc.cc: use the file name as title if the molecule has
	no known name.
	* programs/3d/window.cc: use GtkGrid.

2011-07-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/window.cc: use GtkGrid.
	* libs/gcugtk/filechooser.cc: ditto.
	* ui/libgcu/image-resolution.ui: added missing label.

2011-07-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fontsel.cc: replace more boxes and tables.
	* libs/gcp/tools.cc: fixed toolbars margins.
	* plugins/paint/text/fontsel.ui: minor tweaks.
	* ui/paint/tools.ui: fixed margins.

2011-06-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/preferences.cc: replace boxes and tables.
	* libs/gcp/preferences.h: ditto.
	* ui/paint/preferences.ui: ditto.

2011-06-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/residues/residues.ui: cleaning in plugins completed.
	* plugins/paint/selection/brackets.ui: ditto.
	* plugins/paint/selection/lassotool.cc: ditto.
	* plugins/paint/selection/selectiontool.cc: ditto.
	* plugins/paint/templates/new-template.ui: ditto.
	* plugins/paint/templates/templates.ui: ditto.
	* plugins/paint/text/fontsel.ui: ditto.
	* plugins/paint/text/texttool.cc: ditto.

2011-06-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/brackets.cc: fixed a pixman warning.
	* plugins/paint/residues/residues.ui: replace more boxes and tables.
	* plugins/paint/selection/brackets.ui: ditto.
	* plugins/paint/selection/bracketstool.cc: ditto.
	* plugins/paint/selection/group.ui: ditto.
	* plugins/paint/templates/new-template.ui: ditto.
	* plugins/paint/templates/templates.ui: ditto.
	* plugins/paint/templates/templatetool.cc: ditto.
	* plugins/paint/text/fontsel.ui: ditto.

2011-06-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/grid.cc: make it compile again.
	* libs/gcu/chain.cc: fixed an infinite loop condition.
	* libs/gcu/molecule.cc: ditto.
	* libs/gcu/molecule.h: ditto.
	* plugins/paint/cycles/cycle.ui: replace more boxes and tables.
	* plugins/paint/cycles/cyclen.ui: ditto.
	* plugins/paint/residues/pseudo-atom.cc: mark as new whan loaded.
	* plugins/paint/residues/residues-dlg.cc: replace more boxes and tables.
	* plugins/paint/residues/residues.ui: ditto.

2011-06-05  Jean Bréfort  <jean@acer>
	* plugins/paint/atoms/orbital-prop.ui: replace more boxes and tables.
	* plugins/paint/atoms/orbital.ui: ditto.
	* plugins/paint/atoms/orbitaltool.cc: ditto.
	* plugins/paint/bonds/bond.ui: ditto.
	* plugins/paint/bonds/chain.ui: ditto.

2011-06-04  Jean Bréfort  <jean@acer>
	* libs/gccv/canvas.cc: fixed default color.
	* libs/gcp/docprop.cc: replace more boxes and tables.
	* libs/gcp/newfiledlg.cc: ditto.
	* libs/gcr/grid.cc: ditto.
	* plugins/paint/arrows/arrowtool.cc: ditto.
	* plugins/paint/arrows/arrowtool.ui: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: ditto.
	* plugins/paint/arrows/curvedarrowtool.ui: ditto.
	* ui/paint/H-pos.ui: ditto.
	* ui/paint/arrow-object.ui: ditto.
	* ui/paint/docprop.ui: ditto.
	* ui/paint/newfiledlg.ui: ditto.
	* ui/paint/preferences.ui: ditto.
	* ui/paint/stringdlg.ui: ditto.
	* ui/paint/stringinputdlg.ui: ditto.
	* ui/paint/tools.ui: ditto.
	* ui/paint/zoom.ui: ditto.

2011-06-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/chemistry.cc: use minus instead of an hyphen when displayin numbers.
	* libs/gcu/element.cc: ditto.
	* programs/table/gchemtable-curve.cc: replace last boxes and tables. 
	* programs/table/gchemtable-elt.cc: ditto.
	* ui/table/curve.ui: ditto.
	* ui/table/eltpage.ui: ditto.

2011-05-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* programs/table/gchemtable-curve.cc: replace some boxes and tables with
	grids.
	* ui/table/acidity.ui: ditto.
	* ui/table/block.ui: ditto.
	* ui/table/curve.ui: ditto.
	* ui/table/eltpage.ui: ditto.
	* ui/table/family.ui: ditto.
	* ui/table/state-thermometer.ui: ditto.

2011-05-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/chemistry.cc: add new functions for weight and electronic configuration.
	* libs/gcu/chemistry.h: ditto.
	* libs/gcu/element.cc: add a Stability flag for Element.
	* libs/gcu/element.h: ditto.
	* libs/gcugtk/gcuperiodic.c: add new configurable tips for element buttons.
	* libs/gcugtk/gcuperiodic.h: ditto.
	* libs/gcugtk/glview.cc: fix color in pixbuf export.
	* libs/gcugtk/glview.h: cleaned out deprectated static data.
	* libs/gcugtk/print-setup-dlg.cc: updated for Gtk+-3.0.
	* libs/gcugtk/printable.cc: ditto.
	* libs/gcugtk/printable.h: ditto.
	* programs/table/gchemtable-app.cc: set full tips on buttons.
	* ui/libgcu/print-setup.ui: updated for Gtk+-3.0.

2011-05-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* Makefile.am: don't build osmesa related code anymore.
	* configure.ac: ditto.
	* libs/gcugtk/glview.cc: fix byte order.
	* programs/calc/gchemcalc.cc: cleaned code.
	* programs/table/gchemtable-app.cc: fix color display in table.
	* programs/table/gchemtable-app.h: ditto.
	* ui/calc/gchemcalc.ui: ported to Gtk+-3.0.
	* ui/libgcu/gcuperiodic.ui: make it homogeneous.

2011-05-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcugtk/application.cc: add a transparency check button in image size dialog.
	* libs/gcugtk/filechooser.cc: use GtkGrid as extra widget.
	* libs/gcugtk/glview.cc: unset the GL context when done.
	* programs/3d/application.cc: export images with transparent background when
	requested.
	* programs/crystal/application.cc: ditto.
	* programs/crystal/document.cc: ditto.
	* ui/libgcu/gcuperiodic.ui: request Gtk+-3.0.
	* ui/libgcu/image-resolution.ui: use a GtkGrid.
	* ui/libgcu/image-size.ui: add a transparency check button.
	* ui/libgcu/print-setup.ui: update to Gtk+-3.0.

2011-05-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogcrystalapp.cc: use a transparent background.
	* libs/gcr/gcrcrystalviewer.cc: allow for a transparent background.
	* libs/gcr/gcrcrystalviewer.h: ditto.
	* libs/gcu/glview.cc: ditto.
	* libs/gcu/glview.h: ditto.
	* libs/gcugtk/chem3ddoc.cc: new file.
	* libs/gcugtk/chem3ddoc.h: ditto.
	* libs/gcugtk/gcuchem3dviewer.cc: allow for a transparent background.
	* libs/gcugtk/gcuchem3dviewer.h: ditto.
	* libs/gcugtk/glview.cc: ditto.
	* libs/gcugtk/glview.h: ditto.
	* programs/3d/application.cc: export images with a transparent background.
	* programs/crystal/application.cc: ditto.
	* programs/crystal/document.cc: print with transparent background.

2011-05-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/glview.cc: reimplement offscreen rendering.
	* libs/gcu/glview.h: ditto.
	* libs/gcugtk/glview.cc: ditto.

2011-05-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcugtk/Makefile.am: add -lX11 to LIBADD.
	* libs/gcugtk/glview.cc: make GL rendering work on screen.
	* libs/gcugtk/glview.h: ditto.
	* programs/3d/application.cc: sanitize gcu namespace use.
	* programs/3d/application.h: ditto.
	* programs/3d/main.cc: ditto.
	* programs/3d/window.cc: ditto.
	* programs/crystal/application.cc: ditto.
	* programs/crystal/atom.cc: ditto.
	* programs/crystal/atom.h: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/prefs.h: ditto.
	* programs/crystal/view.cc: ditto.
	* programs/crystal/view.h: ditto.

2011-05-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* gchemutils.schemas.in: removed offscreen option.
	* libs/gcugtk/glview.cc: statrt working on GLX direct calls.
	* libs/gcugtk/glview.h: ditto.
	* schemas/org.gnome.gchemutils.gschema.xml.in.in: removed offscreen option.

2011-05-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fontsel.cc: fixed size issue.
	* libs/gcr/gcrcrystalviewer.cc: ditto.
	* libs/gcu/chem3ddoc.cc: add a CreateView() method.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/glview.h: add virtual GL related methoods.
	* libs/gcugtk/Makefile.am: add new Chem3dDoc class.
	* libs/gcugtk/chem3ddoc.cc: ditto.
	* libs/gcugtk/chem3ddoc.h: ditto.
	* libs/gcugtk/gcuchem3dviewer.cc: fixed size issue.
	* libs/gcugtk/gcuspectrumviewer.cc: ditto.
	* libs/gcugtk/glview.cc: implement virtual GL related methoods.
	* libs/gcugtk/glview.h: ditto.
	* programs/3d/document.cc: derive from gcugtk::Chem3dDoc.
	* programs/3d/document.h: ditto.

2011-05-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/line-item.cc: add support for dashes.
	* libs/gccv/line-item.h: ditto.
	* libs/gccv/line.cc: ditto.
	* plugins/paint/selection/plugin.cc: generate the merge tool icon using
	the canvas.

2011-05-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.cc: make m_Color a settable property.
	* libs/gccv/canvas.h: ditto.
	* libs/gccv/line.cc: use auto color when needed.
	* libs/gccv/rectangle.cc: ditto.
	* libs/gcp/application.cc: build icons from canvas when provided.
	* libs/gcp/application.h: ditto.
	* plugins/paint/arrows/plugin.cc: ditto.
	* plugins/paint/bonds/plugin.cc: ditto.
	* plugins/paint/cycles/plugin.cc: ditto.
	* plugins/paint/selection/plugin.cc: ditto.
	* plugins/paint/text/plugin.cc: ditto.

2011-05-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.cc: replace expose event by draw event.
	* libs/gcp/application.cc: restore buttons bitmaps, needs work.
	* libs/gcp/tools.cc: use GtkGrid instead of GtkBox.
	* libs/gcp/tools.h: ditto.
	* libs/gcugtk/spectrumdoc.cc: set min and max on loadinf XY..XY values.
	* ui/paint/tools.ui: use GtkGrid instead of GtkBox.

2011-05-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcugtk/gcuperiodic.c: make it work again.
	* programs/3d/Makefile.am: make things link again.
	* ui/libgcu/gcuperiodic.ui: fixed labels positions.

2011-05-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post branching version bump (0.13.4).
	* all files: port to gtk+-3.0.

2011-05-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: fixed make dist.
	* libs/gcu/application.cc: removed obsolete header.
	* tests/Makefile.am: fixed libs.

2011-05-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* database/space-groups.xml.in: fixed space group P -2yac.
	* libs/gcp/molecule.cc: when loaded, update parent.
	* plugins/paint/selection/group.cc: really support brackets.

2011-05-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/brackets.cc: two brackets should not enclose the same objects set.
	* plugins/paint/selection/bracketstool.cc: ditto.

2011-05-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/brackets.cc: don't accept unconnected atoms inside brackets.
	* libs/gcp/brackets.h: ditto.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcu/atom.cc: ditto.
	* libs/gcu/atom.h: ditto.
	* libs/gcu/bond.cc: ditto.
	* libs/gcu/bond.h: ditto.
	* plugins/paint/selection/bracketstool.cc: ditto.

2011-05-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogcrystalapp.cc: fixed g++-4.6 warnings.
	* libs/gccv/arrow.h: ditto.
	* libs/gccv/text.cc: ditto.
	* libs/gcp/brackets.cc: don't accept several brackets around the same object.
	* libs/gcp/brackets.h: ditto.
	* libs/gcp/fontsel.cc: fixed g++-4.6 warnings.
	* libs/gcp/plugin.cc: really clear plugins data.
	* libs/gcp/plugin.h: fixed documentation.
	* libs/gcp/widgetdata.cc: don't accept several brackets around the same object.
	* libs/gcr/document.cc: fixed g++-4.6 warnings.
	* libs/gcu/chain.cc: ditto.
	* libs/gcu/formula.cc: ditto.
	* libs/gcugtk/spectrumdoc.cc: ditto.
	* plugins/loaders/nuts/nuts.cc: ditto.
	* plugins/paint/selection/bracketstool.cc: don't accept several brackets around the
	same object.
	* plugins/paint/text/texttool.cc: fixed g++-4.6 warnings.
	* programs/calc/gchemcalc.cc: ditto.

2011-04-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogcpapp.cc: add a default flag for atom symbols colors.
	* libs/gcp/application.cc:  ditto.
	* libs/gcp/application.h:  ditto.
	* libs/gcp/preferences.cc:  ditto.
	* programs/paint/gchempaint.schemas.in:  ditto.
	* programs/paint/standaloneapp.cc:  ditto.
	* schemas/org.gnome.gchemutils.paint.gschema.xml.in.in:  ditto.
	* ui/paint/preferences.ui:  ditto.

2011-04-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: allow colored atomic symbols on a per-document basis.
	* libs/gcp/docprop.cc:  ditto.
	* libs/gcp/docprop.h: ditto.
	* libs/gcp/document.cc: ditto.
	* libs/gcp/document.h: ditto.
	* ui/paint/docprop.ui: ditto.

2011-04-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: make brackets work.
	* libs/gcp/brackets.cc: ditto.
	* libs/gcp/brackets.h: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcp/widgetdata.h: ditto.
	* libs/gcu/molecule.cc: ditto.
	* libs/gcugtk/cmd-context-gtk.cc: fixed response for modal message boxes.
	* libs/gcugtk/message.cc: ditto.
	* libs/gcugtk/message.h: ditto.
	* plugins/paint/selection/bracketstool.cc: create the brackets.

2011-04-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: make selection a set instead of a list.
	* libs/gcp/brackets.cc: ditto.
	* libs/gcp/brackets.h: ditto.
	* libs/gcp/mesomery.cc: ditto.
	* libs/gcp/mesomery.h: ditto.
	* libs/gcp/plugin.cc: implement plugin cleaning on exit.
	* libs/gcp/plugin.h: ditto.
	* libs/gcp/reaction-arrow.cc: make selection a set instead of a list.
	* libs/gcp/reaction.cc: ditto.
	* libs/gcp/reaction.h: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcp/widgetdata.cc: ditto.
	* libs/gcp/widgetdata.h: ditto.
	* libs/gcu/object.cc: ditto.
	* libs/gcu/object.h: ditto.
	* plugins/paint/arrows/retrosynthesis.cc: ditto.
	* plugins/paint/arrows/retrosynthesis.h: ditto.
	* plugins/paint/residues/plugin.cc: implement plugin cleaning on exit.
	* plugins/paint/residues/plugin.h: ditto.
	* plugins/paint/selection/bracketstool.cc: create a bracket on release.
	* plugins/paint/selection/bracketstool.h: ditto.
	* plugins/paint/selection/groupdlg.cc: make selection a set instead of a list.
	* plugins/paint/selection/lassotool.cc: ditto.
	* plugins/paint/selection/selectiontool.cc: ditto.
	* plugins/paint/templates/plugin.cc: implement plugin cleaning on exit.
	* plugins/paint/templates/plugin.h: ditto.
	* plugins/paint/templates/templatetool.cc: make selection a set instead of a list.

2011-04-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/templates/plugin.cc: don't assume in a static object
	construtor that other static objects already exist.

2011-04-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* all files: still more gcugtk split work, should be complete now.

2011-04-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* all files: more gcugtk split work.

2011-04-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: add brackets font related properties.
	* libs/gcp/document.h: ditto.
	* plugins/paint/selection/bracketstool.cc: allow brackets font selection.
	* plugins/paint/selection/bracketstool.h: ditto.

2011-04-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/brackets.cc: fully implemented now.
	* mozilla-plugin/Makefile.am: fix build after moves to gcugtk.
	* mozilla-plugin/chem-viewer.cc: ditto.

2011-04-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/brackets.cc: display square and round brackets of all sizes.
	* libs/gccv/brackets.h: ditto.
	* plugins/paint/selection/brackets.ui: fix UI after API change.
	* plugins/paint/selection/bracketstool.cc: ditto.

2011-04-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/brackets.cc: start showing brackets.
	* libs/gccv/brackets.h: ditto.
	* plugins/paint/selection/bracketstool.cc: ditto.

2011-04-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/docprop.cc: make things compile with gtk+-2.14.
	* libs/gcp/docprop.h: ditto.
	* libs/gcp/newfiledlg.cc: ditto.
	* libs/gcp/newfiledlg.h: ditto.
	* libs/gcp/preferences.cc: ditto.
	* libs/gcp/preferences.h: ditto.
	* libs/gcp/reaction-prop-dlg.cc: ditto.
	* libs/gcr/atomsdlg.cc: ditto.
	* libs/gcu/filechooser.cc: ditto.
	* libs/gcu/spectrumdoc.cc: ditto.
	* plugins/paint/residues/residues-dlg.cc: ditto.
	* plugins/paint/templates/templatetool.cc: ditto.
	* programs/3d/window.cc: ditto.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/window.cc: ditto.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-app.cc: ditto.
	* programs/table/gchemtable-data-allocator.cc: ditto.
	* ui/crystal/atoms.ui: make VBoxes really vertical.

2011-03-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* openbabel/babelserv.cc: don't use POLLRDHUP when not defined. [#32768]
	* osmesa/osmesaserv.cc: ditto.

2011-03-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: add new library.
	* libs/Makefile.am: ditto.
	* libs/gccv/brackets.cc: fixed some issues.
	* libs/gccv/brackets.h: ditto.
	* libs/gcp/Makefile.am: add new library.
	* libs/gcp/brackets.cc: fixed brackets creation.
	* libs/gcp/brackets.h: ditto.
	* libs/gcp/document.cc: fixed saving.
	* libs/gcp/tools.h: add new library.
	* libs/gcr/Makefile.am: ditto..
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcu/Makefile.am: start moving gtk+ related code to a new library.
	* libs/gcu/chemistry.cc: don't use glib.
	* libs/gcu/chemistry.h: ditto.
	* libs/gcu/element.h: ditto.
	* libs/gcu/gcuchem3dviewer.cc: ditto.
	* libs/gcu/gcuchem3dviewer.h: ditto.
	* libs/gcu/gcucomboperiodic.c: ditto.
	* libs/gcu/gcucomboperiodic.h: ditto.
	* libs/gcu/gcuperiodic.c: ditto.
	* libs/gcu/gcuperiodic.h: ditto.
	* libs/gcu/gcuspectrumviewer.c: ditto.
	* libs/gcu/gcuspectrumviewer.h: ditto.
	* libs/gcu/isotope.cc: don't use glib.
	* libs/gcu/isotope.h: ditto.
	* libs/gcu/object.h: ditto.
	* libs/gcugtk/Makefile.am: new library for gtk+ related code in gcu.
	* libs/gcugtk/gcuchem3dviewer.cc: ditto.
	* libs/gcugtk/gcucomboperiodic.c: ditto.
	* libs/gcugtk/gcucomboperiodic.h: ditto.
	* libs/gcugtk/gcuperiodic.c: ditto.
	* libs/gcugtk/gcuperiodic.h: ditto.
	* libs/gcugtk/gcuspectrumviewer.cc: ditto.
	* libs/gcugtk/gcuspectrumviewer.h: ditto.
	* plugins/paint/selection/bracketstool.cc: add brackets.
	* plugins/paint/selection/bracketstool.h: ditto.
	* programs/calc/gchemcalc.cc: use new library.
	* programs/crystal/Makefile.am: ditto.
	* programs/paint/main.cc: ditto.
	* programs/table/Makefile.am: ditto.
	* programs/table/gchemtable-app.h: ditto.
	* programs/table/gchemtable-data.cc: ditto.
	* tests/Makefile.am: ditto.
	* tests/testgcuchem3dviewer.c: ditto.
	* tests/testgcuperiodic.c: ditto.

2011-03-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: don't add -lOSMesa to everything.
	* libs/gcu/application.cc: fixed export using OpenBabel.

2011-03-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: load from inchi.
	* libs/gcp/application.h: ditto.
	* libs/gcp/molecule.cc: removed debug statements.
	* libs/gcu/application.cc: propagate options to OpenBabel.
	* libs/gcu/document.cc: ditto.

2011-03-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: fixed loading alignment object.
	* libs/gcu/document.cc: a better fix for pasting.

2011-03-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: try to keep carbon atom in the plane as much as
	possible when importing the parity.
	* libs/gcp/stringdlg.cc: don't crash when copying a string from a closed
	dialog.
	* libs/gcu/bond.cc: add a default id.
	* libs/gcu/document.cc: fixed pasting.

2011-03-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: still more work on parity import.
	* libs/gcu/chain.cc: fixed typo.

2011-03-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: more work on parity import.
	* libs/gcu/chain.cc: implement some chain structure analysis.
	* libs/gcu/chain.h: ditto.

2011-03-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: more work on parity import.
	* libs/gcu/chain.cc: ditto.
	* libs/gcu/chain.h: ditto.

2011-03-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: more work on parity import.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcp/molecule.h: ditto.

2011-03-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* Makefile.am: add a new GL offscreen rendering external process.
	* configure.ac: ditto.
	* libs/gcp/atom.cc: fixed a test.
	* osmesa/Makefile.am: new GL offscreen rendering external process.
	* osmesa/osmesaserv.cc: ditto.
	* osmesa/socket.cc: ditto.
	* osmesa/socket.h: ditto.

2011-03-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: add all GSettings schemas.
	* libs/gcp/atom.cc: more work on parity import.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcp/molecule.h: ditto.
	* libs/gcu/objprops.h: ditto.
	* plugins/paint/arrows/Makefile.am: add all GSettings schemas.
	* plugins/paint/arrows/org.gnome.gchemutils.paint.plugins.arrows.gs
	chema.xml.in.in: ditto.
	* schemas/Makefile.am:
	* schemas/org.gnome.gchemutils.crystal.gschema.xml.in.in: ditto.
	* schemas/org.gnome.gchemutils.gschema.xml.in.in: ditto.
	* schemas/org.gnome.gchemutils.paint.gschema.xml.in.in: ditto.

2011-03-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: import parity.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/molecule.cc: store atoms with known parity,still need to do
	something with that.
	* libs/gcp/molecule.h: ditto.
	* libs/gcu/chem3ddoc.cc: delete rhe view from the destructor.
	* libs/gcu/objprops.h: add ATOM_PARITY property.
	* libs/gcu/printable.cc: unref the GOConfNode.
	* plugins/loaders/cml/cml.cc: import atomParity.

2011-02-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* Makefile.am: add schemas directory.
	* configure.ac: ditto.
	* libs/gcp/view.cc: add View::GetVisibleArea().
	* libs/gcp/view.h: ditto.
	* libs/gcp/window.cc: scale the imported molecule and move to center
	of visible area.
	* schemas/Makefile.am: start migration to GSettings.
	* schemas/org.gnome.gchemutils.gschema.xml.in.in: ditto.

2011-02-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: add Molecule::GetMeanBondLength ().
	* libs/gcp/molecule.h: ditto.
	* libs/gcp/window.cc: more work on molecule import from string.
	* libs/gcu/document.h: add an accessor to new objects.

2011-02-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/window.cc: start work on molecule import from string.
	* libs/gcp/window.h: ditto.
	* libs/gcu/application.cc: moved documentation to application.h.
	* libs/gcu/application.h: ditto.
	* ui/paint/Makefile.am: new ui file.
	* ui/paint/stringdlg.ui: set the vbox really vertical.
	* ui/paint/stringinputdlg.ui: new ui file.

2011-02-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment-residue.cc: fix build with gcc-4.6. [#32363]

2011-02-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post branching version bump (0.13.3).

2011-02-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: remove the Wikipedia tool.
	* database/databases.xml.in: fixed ChemSpider URI.
	* libs/gcp/molecule.cc: implement configurable access to databases.
	* libs/gcp/molecule.h: ditto.
	* plugins/paint/Makefile.am: remove the Wikipedia tool.

2011-02-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: don't crash on openbabel failure.
	* openbabel/socket.cc: fix communications issues.

2011-02-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: add ContentType support at the molecule level.
	* libs/gcu/molecule.cc: ditto.
	* libs/gcu/molecule.h: ditto.
	* plugins/loaders/ctfiles/ctfiles.cc: make things compile again.

2011-02-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/circle.cc: fixed an non initialized variable issue.
	* libs/gcp/document.cc: don't always add new object to a new operation.
	* libs/gcp/operation.cc: clear extra white spaces.
	* plugins/loaders/ctfiles/ctfiles.cc: some work on molfiles.
	* plugins/paint/arrows/arrowtool.cc: fix undo after libs/gcp/document.cc
	change.
	* plugins/paint/text/texttool.cc: fix a crasher.

2011-02-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/bonds/bondtool.cc: fix hashes orientation.
	* themes/paint/Gcp-Modern: better hashes.

2011-02-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogcpapp.cc: fix an alignment issue.
	* libs/gcp/document.cc: fix alignment with several children
	* libs/gcp/mechanism-step.cc: don't save an empty step.
	* libs/gcp/mechanism-step.h: ditto.
	* libs/gcp/reaction-step.cc: don't create empty steps.
	* libs/gcp/target.cc: remove signals when destroyed.
	* libs/gcp/target.h: ditto.
	* libs/gcu/object.cc: accept unsaved children in Object::SaveChildren().
	* plugins/paint/bonds/bondtool.cc: fixed an item position issue.

2011-02-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment.cc: allow for minus charge in the middel of a string.

2011-02-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: new comment.
	* libs/gcp/reaction-step.cc: more undo fix in reactions with curved arrows.

2011-02-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-step.cc: don't add new molecules when undoing a
	mechanism arrow deletion. [#32433]

2011-02-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: new CTfiles loader plugin.
	* plugins/loaders/ctfiles/Makefile.am: ditto.
	* plugins/loaders/ctfiles/ctfiles.cc: ditto.
	* plugins/loaders/ctfiles/plugin.xml.in: ditto.
	* other files: updated copyright.

2011-02-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* programs/paint/main.cc: try to save changed files on crashing.
	* programs/paint/standaloneapp.cc: ditto.
	* programs/paint/standaloneapp.h: ditto.

2011-02-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: request OpenBabel >= 2.3.0.
	* libs/gcp/Makefile.am: export molecules to avogadro and gchem3d.
	* libs/gcp/application.cc: ditto.
	* libs/gcp/application.h: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcr/atom.cc: fix space group detection with dummy atoms.
	* libs/gcu/application.cc: implement ConvertToCML, GsfIntput version.
	* libs/gcu/macros.h: add a static property macro.

2011-02-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: fix automake warning.
	* database/Makefile.am: add new datas.
	* database/databases.xml.in: new list of databases.
	* libs/gccv/brackets.cc: add more sizes. 
	* libs/gcu/application.cc: start work on extern databases.
	* libs/gcu/application.h: ditto.
	* openbabel/socket.cc: implement long option such as --gen3D support.

2011-02-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: implemement standard InChIKey generation.
	* libs/gcp/molecule.h: ditto.
	* libs/gcu/application.cc: new fix in ConvertFromCML.
	* openbabel/socket.cc: work on openbabel options support.

2011-02-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/Makefile.am: renamed libgcr to libgcrystal to avoid confusion
	with the cryptography related libgcr.
	* libs/gcr/Makefile.am: ditto.
	* mozilla-plugin/Makefile.am: ditto.
	* programs/crystal/Makefile.am: ditto.

2011-02-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: moved InChI and SMILES generation to gcu::Molecule.
	* libs/gcp/molecule.h: ditto.
	* libs/gcp/stringdlg.cc: add InChIKey support.
	* libs/gcp/stringdlg.h: ditto.
	* libs/gcu/application.h: mane ConvertTo/FromCML public.
	* libs/gcu/molecule.cc:moved InChI and SMILES generation from gcp::Molecule.
	* libs/gcu/molecule.h: ditto.
	* plugins/paint/wikipedia/wikipediatool.cc: fixed after method signature
	change.

2011-02-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: reimplement BuildInChI().
	* libs/gcu/application.cc: implement more babelserver related code.
	* plugins/loaders/cml/cml.cc: save any object, not only a whole document.

2011-01-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/application.cc: make some API changes so that any Object const*
	can be saved.
	* libs/gcu/application.h: ditto.
	* libs/gcu/cmd-context.h: ditto.
	* libs/gcu/document.h: ditto.
	* libs/gcu/loader.cc: ditto.
	* libs/gcu/loader.h: ditto.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/loaders/cif/cif.cc: ditto.
	* plugins/loaders/cml/cml.cc: ditto.

2011-01-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/Makefile.am: don't depend anypore on OpenBabel.
	* goffice/gchemutils.cc: ditto.
	* libs/gcp/Makefile.am: ditto.
	* libs/gcp/application.cc: ditto.
	* libs/gcp/application.h: ditto.
	* libs/gcp/atom.cc: ditto.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/document.cc: ditto.
	* libs/gcp/document.h: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcp/molecule.h: ditto.
	* mozilla-plugin/Makefile.am: ditto.
	* plugins/paint/arrows/Makefile.am: ditto.
	* plugins/paint/atoms/Makefile.am: ditto.
	* plugins/paint/bonds/Makefile.am: ditto.
	* plugins/paint/cycles/Makefile.am: ditto.
	* plugins/paint/residues/Makefile.am: ditto.
	* plugins/paint/selection/Makefile.am: ditto.
	* plugins/paint/templates/Makefile.am: ditto.
	* plugins/paint/text/Makefile.am: ditto.
	* plugins/paint/text/fragmenttool.cc: ditto.
	* plugins/paint/wikipedia/Makefile.am: ditto.
	* plugins/paint/wikipedia/wikipediatool.cc: ditto.
	* programs/3d/Makefile.am: ditto.
	* programs/3d/document.h: ditto.
	* programs/crystal/Makefile.am: ditto.
	* programs/paint/Makefile.am: ditto.

2011-01-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/chem3ddoc.cc: reimplemented Chem3dDoc::LoadData().

2011-01-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/brackets.cc: add brackets type.
	* libs/gccv/brackets.h: ditto.
	* libs/gcp/brackets.cc: move brackets type to gccv.
	* libs/gcp/brackets.h: ditto.
	* libs/gcp/widgetdata.cc: add GetObjectsBounds().
	* libs/gcp/widgetdata.h: ditto.
	* libs/gcu/application.cc: don't block if the soecket is closed.
	* openbabel/babelserv.cc: delete the socket on error.
	* programs/spectra/application.cc: use jcamp-dx before any other type.
	* programs/spectra/gspectrum.cc: int goffice plugins before loaders.

2011-01-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/Makefile.am: add brackets.*.
	* libs/gccv/brackets.cc: new Item class.
	* libs/gccv/brackets.h: ditto.
	* libs/gcp/brackets.h: remove unneeded virtual keyword.

2011-01-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/Makefile.am: no more direct linking to openbabel.
	* libs/gcu/application.cc: load distant files using babelserver.
	* libs/gcu/chem3ddoc.cc: no more use of openbabel.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/gcuchem3dviewer.cc: ditto.
	* libs/gcu/gcuchem3dviewer.h: ditto.
	* openbabel/babelserv.cc: don't close socket too early.
	* tests/testbabelserver.c (main): avoid infinite loop.

2011-01-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: do not call Application::Load() for native files.
	* libs/gcp/document.cc: fixed merging molecules owned by another object.
	* plugins/paint/cycles/cycletool.cc: never address a deleted string.

2011-01-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/brackets.cc: add content type.
	* libs/gcp/brackets.h: ditto.
	* libs/gcp/fragment.cc: removed obsolete code.
	* libs/gcp/mechanism-step.cc: don't crash when adding an arrow ouside
	a reaction.
	* plugins/paint/cycles/cycletool.cc: do not add a cycle when not allowed.

2011-01-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/Makefile.am: add libexecdir to DEFS.
	* libs/gcu/application.cc: new methods to support the use of babelserver.
	* libs/gcu/application.h: ditto.
	* libs/gcu/chem3ddoc.cc: remove unwanted white spaces.
	* openbabel/babelserv.cc: use a user dependant socket.
	* openbabel/socket.cc: fix loading from file.
	* tests/testbabelserver.c (main): use a user dependant socket.

2011-01-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/application.cc: allow load/save operations using any gsf
	stream.
	* libs/gcu/application.h: ditto.
	* openbabel/babelserv.cc: fixed reading from socket.
	* openbabel/socket.cc: implement input and output from/to local files.
	* openbabel/socket.h: ditto.
	* tests/testbabelserver.c (main): use openbabel format names instead of
	mime types.

2011-01-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* openbabel/babelserv.cc: make valgrind happy.
	* openbabel/socket.cc: make things work.
	* openbabel/socket.h: ditto.
	* tests/testbabelserver.c (main): write a mol file for methane and get
	the InChI.

2011-01-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* openbabel/babelserv.cc: more work on reading commands.
	* openbabel/socket.cc: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: update parent after adding
	an arrow.
	* tests/testbabelserver.c (main): send a full command.

2011-01-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* openbabel/Makefile.am: move babelserver to libexecdir.
	* tests/Makefile.am: ditto.
	* tests/testbabelserver.c (main): ditto.

2011-01-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* openbabel/Makefile.am: add new files.
	* openbabel/babelserv.cc: start read code.
	* openbabel/socket.cc: new class.
	* openbabel/socket.h: ditto.
	* tests/testbabelserver.c (main): start sending options.

2010-12-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/brackets.cc: partial implementation of SetEmbeddedObjects();
	* libs/gcp/brackets.h: ditto.
	* plugins/paint/selection/bracketstool.cc: ditto.
	* plugins/paint/selection/plugin.cc: ditto.

2010-12-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: don't use the GdkWindow related API.
	* goffice/gogcpapp.cc: safer use of cairo.
	* goffice/gogcrystalapp.cc: display as bitmap if possible.
	* plugins/paint/selection/bracketstool.cc: enhance selection evaluation.

2010-12-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/item.cc: fixed object item dimension evaluation.
	* libs/gccv/item.h: ditto.
	* libs/gcp/widgetdata.cc: ditto.

2010-12-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: fixed a charge automatic position issue.
	* libs/gcp/mechanism-arrow.cc: add a default Id.
	* libs/gcu/document.cc: fixed a major loading issue.

2010-12-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: save all children.
	* libs/gcp/electron.cc: serialize the Id.
	* libs/gcp/fragment-atom.cc: serialize an orbital child if any.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/reaction-step.cc: make GetYAlign() safer. 
	* plugins/paint/atoms/orbitaltool.cc: fixed one more undo/redo issue.

2010-12-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment.cc: fragments accept local charges again.
	* libs/gcp/mechanism-step.cc: better fix.
	* plugins/paint/arrows/curvedarrowtool.cc: fixed undo/redo.

2010-12-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: ensure that the displayed options page always
	correpond to the active tool.
	* libs/gcp/mechanism-step.cc: when destroying, reparent children when we
	are inside a reaction.
	* libs/gcp/reaction-step.cc: new ReactionStep:AddMolecule() method.
	* libs/gcp/reaction-step.h: ditto.

2010-12-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-step.cc: destroy a mechanismstep when the last arrow
	is removed.

2010-12-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/arrows/curvedarrowtool.cc: removed a printf debug statement.
	* plugins/paint/selection/lassotool.cc: allow rotation around an atom, and
	call EmitSignal for all modified objects.

2010-12-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: use AC_CONFIG_HEADERS instead of AM_CONFIG_HEADER.
	* libs/gcp/atom.cc: fixed electrons lone pairs count for atoms with
	an extended octet.
	* libs/gcp/tool.cc: don't set Tool::m_Pressed when OnClicked return false.
	* plugins/paint/residues/residues-dlg.cc: don't use deprecated
	GtkNotebookPage.
	* programs/calc/gchemcalc.cc: ditto.

2010-12-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/tool.cc: avoid crashes when activating a tool.

2010-12-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/tool.cc: do not allow document changes using keyboard while
	dragging the mouse. [#31812]
	* libs/gcp/view.cc: ditto.
	* libs/gcp/window.cc: ditto.

2010-12-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/bonds/chaintool.cc: fixed more undo/redo issues.
	* plugins/paint/cycles/cycletool.cc: ditto.

2010-12-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: never remove a molecule from it's reactant
	parent.
	* libs/gcp/reactant.cc:  update Child when needed.
	* libs/gcp/reaction-step.cc: remove unneeded operators.
	* libs/gcp/view.cc: fix more undo/redo issues.

2010-11-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: fixed more undo/redo issues.
	* libs/gcp/document.h: ditto.
	* libs/gcp/view.cc: ditto.
	* plugins/paint/selection/erasertool.cc: ditto.

2010-11-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: don't crash when deleting a partial selection.
	* libs/gcp/document.h: ditto.
	* libs/gcp/view.cc: ditto.

2010-11-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post branching version bump (0.13.2).
	* libs/gcp/reaction-step.cc: fixed serialization issues.
	* libs/gcp/theme.cc: really save the theme (one line accidentally removed
	earlier).
	* libs/gcu/document.cc: clean dirty objects set after cleaning.

2010-11-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumdoc.cc: change interface after a FID to spectrum
	transform.
	* mozilla-plugin/moz-plugin.c: fixed typo.
	* programs/spectra/window.cc: always use the first Y axis when displaying
	 coordinates.

2010-11-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumdoc.cc: fix NMR spectrum integration.
	* plugins/loaders/nuts/nuts.cc: fix document title.
	* programs/spectra/application.cc: ditto.
	* programs/spectra/document.cc: ditto.
	* programs/spectra/document.h: ditto.
	* programs/spectra/view.cc: ditto.

2010-11-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumdoc.cc: fixed offset when importing a NUTS .spc file.
	* plugins/loaders/nuts/nuts.cc: ditto.

2010-11-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: fixed undo after erasing atoms and/or bonds.
	* plugins/paint/selection/erasertool.cc: ditto.

2010-11-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/line-item.h: make line width change the bounds. [#31654]

2010-11-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: test for exp10 and use pow instead if not available.
	[#31606]
	* libs/gcu/spectrumdoc.cc: ditto.

2010-11-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* gchemutils.xml.in: also accept *.spc files.
	* plugins/loaders/nuts/nuts.cc: ditto.
	* plugins/loaders/nuts/plugin.xml.in: ditto.

2010-10-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* gchemutils.xml.in: add a new NUTS mime type.
	* libs/gcu/spectrumdoc.cc: make 
	* plugins/loaders/nuts/plugin.xml.in: add support for spectra, not
	only fids.

2010-10-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumdoc.cc: phasing grossly works, needs refinement.

2010-10-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumdoc.cc: more work on phasing, but still not always 
	working.

2010-10-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* database/space-groups.xml.in: fixed group 104.
	* libs/gcu/spectrumdoc.cc: more work on phasing.

2010-10-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/brackets.cc: load brackets.
	* libs/gcp/brackets.h: ditto.
	* libs/gcu/spectrumdoc.cc: more work on phasing.

2010-10-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/brackets.cc: save brackets.
	* libs/gcp/brackets.h: ditto.
	* libs/gcu/spectrumdoc.cc: some work on NMR spectrum phasing.

2010-10-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* openbabel/babelserv.cc: start the server.
	* tests/Makefile.am: new test program.
	* tests/testbabelserver.c (main): ditto.

2010-10-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/object.cc: fixed crash in Object::Clear(). (Fredora #637564)

2010-10-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/Makefile.am: add new files.
	* libs/gcp/application.cc:  new gcp::Brackets class.
	* libs/gcp/brackets.cc: ditto.
	* libs/gcp/brackets.h: ditto.
	* libs/gcp/window.cc: enhanced recents file code.
	* libs/gcr/cleavagesdlg.cc: changed the grid creation signature.
	* libs/gcr/grid.cc: ditto.
	* libs/gcr/grid.h: ditto.
	* libs/gcu/application.cc: set dir after loading a file.
	* libs/gcu/spectrumdoc.cc: fixed FID transform.
	* plugins/loaders/nuts/nuts.cc: set some more properties.
	* programs/spectra/application.cc: enhanced recents file code.
	* programs/spectra/application.h: ditto.
	* programs/spectra/window.cc: ditto.

2010-10-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumdoc.cc: make fourier transform really work.

2010-09-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: allays update cycles when loaded.
	* libs/gcu/spectrumdoc.cc: some work on FID transform using fft.
	* libs/gcu/spectrumdoc.h: ditto.

2010-09-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* database/elecprops.xml.in: added elements 117 and 118.
	* database/elements.xml.in: ditto.
	* libs/gcu/element.cc: don't crash if no electronegativity is known.
	* programs/table/gchemtable-elt.cc: don't crash if weight is unknown.
	* ui/libgcu/gcuperiodic.ui: added elements 117 and 118.

2010-09-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/objprops.h: add more spectrum related properties.
	* libs/gcu/spectrumdoc.cc: ditto.
	* plugins/loaders/nuts/nuts.cc: imports the time related data.

2010-09-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: enhance the command context API.
	* libs/gcp/application.h: ditto.
	* libs/gcr/atom.cc: fixed Atpm::SetProperty().
	* libs/gcu/application.cc: enhance the command context API.
	* libs/gcu/application.h: ditto.
	* libs/gcu/chem3ddoc.cc: ditto.
	* libs/gcu/cmd-context-gtk.cc: ditto.
	* libs/gcu/cmd-context-gtk.h: ditto.
	* libs/gcu/cmd-context.cc: ditto.
	* libs/gcu/cmd-context.h: ditto.
	* libs/gcu/loader.cc: ditto.
	* libs/gcu/loader.h: ditto.
	* mozilla-plugin/chem-viewer.cc: ditto.
	* programs/crystal/application.cc: ditto.
	* programs/spectra/application.cc: ditto.

2010-09-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: use CmdContext instead of gtk to display
	messages when serializing.
	* libs/gcr/document.h: fixed typo in docs.
	* libs/gcu/cmd-context-gtk.cc: add Message method.
	* libs/gcu/cmd-context-gtk.h: ditto.
	* libs/gcu/cmd-context.h: ditto.
	* libs/gcu/objprops.h: add spectrum related entries.
	* libs/gcu/spectrumdoc.cc: implement GetProperty().
	* libs/gcu/spectrumdoc.h: ditto.
	* plugins/loaders/nuts/nuts.cc: load data to the document.
	* programs/paint/standaloneapp.cc: don't return an invalid window.

2010-09-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/Makefile.am: some work on command contexts.
	* libs/gcu/application.cc: ditto.
	* libs/gcu/application.h: ditto.
	* libs/gcu/cmd-context-gtk.cc: ditto.
	* libs/gcu/cmd-context-gtk.h: ditto.
	* libs/gcu/cmd-context.cc: ditto.
	* libs/gcu/cmd-context.h: ditto.

2010-09-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/Makefile.am: moved more files from programs/crystal.
	* libs/gcr/celldlg.cc: ditto.
	* libs/gcr/celldlg.h: ditto.
	* libs/gcr/document.cc: ditto.
	* libs/gcr/document.h: ditto.
	* libs/gcr/linesdlg.cc: ditto.
	* libs/gcr/linesdlg.h: ditto.
	* libs/gcr/sizedlg.cc: ditto.
	* libs/gcr/sizedlg.h: ditto.
	* libs/gcu/objprops.h: add some spectrum related properties.
	* libs/gcu/spectrumdoc.cc: ditto.
	* libs/gcu/spectrumdoc.h: ditto.
	* plugins/loaders/nuts/nuts.cc: ditto.
	* programs/crystal/Makefile.am: moved more files to libs/gcr.
	* programs/crystal/celldlg.cc: ditto.
	* programs/crystal/celldlg.h: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/document.h: ditto.
	* programs/crystal/linesdlg.cc: ditto.
	* programs/crystal/linesdlg.h: ditto.
	* programs/crystal/sizedlg.cc: ditto.
	* programs/crystal/sizedlg.h: ditto.
	* programs/paint/gchempaint.schemas.in: fixed typo.

2010-09-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* Makefile.am: attempt to isolate OpenBabel calls.
	* configure.ac: ditto.
	* libs/gcu/loader.cc: implement spectra support.
	* openbabel/Makefile.am: attempt to isolate OpenBabel calls.
	* openbabel/babelserv.cc: ditto.
	* plugins/loaders/Makefile.am: new NUTS loader.
	* plugins/loaders/nuts/Makefile.am: ditto.
	* plugins/loaders/nuts/nuts.cc: ditto.
	* plugins/loaders/nuts/plugin.xml.in: ditto.
	* programs/spectra/application.cc: ditto.
	* programs/spectra/application.h: ditto.

2010-09-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* gchemutils.xml.in: add mime type for NUTS FID.
	* libs/gcr/Makefile.am: add new files.
	* libs/gcr/application.cc: new application class.
	* libs/gcr/application.h: ditto.
	* libs/gcr/atomsdlg.cc: moved from gcrystal.
	* libs/gcr/atomsdlg.h: ditto.
	* libs/gcr/document.h: make atoms dialog work.
	* programs/crystal/Makefile.am: removed atoms dialog related files.
	* programs/crystal/application.cc: derive from gcr::Application.
	* programs/crystal/application.h: ditto.
	* programs/crystal/atomsdlg.cc: moved to libs/gcr.
	* programs/crystal/atomsdlg.h: ditto.
	* programs/crystal/document.cc: use gcr::AtomsDlg.
	* programs/crystal/document.h: ditto.

2010-08-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/Makefile.am: make libgcr link with GNU gold ld.

2010-08-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/cleavagesdlg.cc: work on GcrGrid use.
	* libs/gcr/grid.cc: ditto.
	* ui/crystal/cleavages.ui: ditto.

2010-08-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/Makefile.am: moved cleavages dialog from programs/crystal.
	* libs/gcr/cleavagesdlg.cc: ditto and use GcrGrid (not working yet).
	* libs/gcr/cleavagesdlg.h: ditto.
	* libs/gcr/document.cc: ditto.
	* libs/gcr/document.h: ditto.
	* libs/gcr/grid.cc: derives from GocCanvas.
	* programs/crystal/Makefile.am: moved cleavages dialog to libs/gcr.
	* programs/crystal/cleavagesdlg.cc: ditto.
	* programs/crystal/cleavagesdlg.h: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/document.h: ditto.
	* ui/crystal/cleavages.ui: removed the GtkTreeView.

2010-08-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* programs/spectra/application.cc: more setlocale eradication work.
	* programs/table/gchemtable-app.cc: fix clipboard support for curves.
	* programs/table/gchemtable-curve.cc: ditto.

2010-08-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/chem3ddoc.cc: more setlocale eradication work.
	* libs/gcu/element.cc: ditto.
	* libs/gcu/gcuspectrumviewer.cc: ditto.
	* libs/gcu/spectrumdoc.cc: ditto.

2010-08-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/atom.cc: fixed various serialization issues.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/loaders/cml/cml.cc: ditto.

2010-08-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cdx/cdx.cc: replaced all printf and scanf instances.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/loaders/cif/cif.cc: ditto.
	* plugins/loaders/cml/cml.cc: ditto.

2010-08-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/application.cc: more setlocale eradication work.
	* plugins/loaders/cml/cml.cc: ditto.
	* plugins/paint/selection/bracketstool.cc: statrt testing the selection.
	* plugins/paint/selection/bracketstool.h: ditto.
	* programs/crystal/document.cc: more setlocale eradication work.

2010-08-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: more setlocale eradication work.
	* libs/gcp/theme.cc: ditto.
	* libs/gcr/document.cc: ditto.
	* programs/crystal/document.cc: ditto.

2010-08-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: make things compile again with current goffice.
	* goffice/gogcrystalapp.cc: more work on crystal support.
	* goffice/gogcrystalwin.cc: ditto.
	* libs/gcp/application.cc: more setlocale eradication work.
	* libs/gcp/document.cc: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcr/window.h: more work on crystal support in component.

2010-08-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: more setlocale eradication work.
	* libs/gcp/theme.cc: ditto.
	* libs/gcu/macros.h: new conversionmacros between char* ans xmlChar*.
	* libs/gcu/xml-utils.cc: new ReadInt() and WriteInt convenience functions.
	* libs/gcu/xml-utils.h: ditto.

2010-08-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogcrystalapp.cc: do not use setlocale when loading a gcrystal
	file.
	* libs/gcr/document.cc: ditto.
	* libs/gcu/xml-utils.cc: ditto.
	* libs/gcu/xml-utils.h: ditto.
	* programs/crystal/document.cc: ditto.

2010-08-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogcpapp.cc: fixed a memory leak.
	* goffice/gogcrystalapp.cc: import the document.
	* libs/gcp/fontsel.cc: remove slanted fonts when requested.
	* libs/gcp/fragment.cc: fix loading.

2010-08-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: make the crystal component use a window.
	* libs/gcp/fontsel.cc: add a new "label" property.
	* libs/gcp/fontsel.h: ditto.
	* plugins/paint/selection/bracketstool.cc: set the current font in the
	properties page.
	* plugins/paint/selection/bracketstool.h: ditto.

2010-08-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post branching version bump (0.13.1). 
	* libs/gcp/fontsel.cc: add a new property: "allow-slanted".
	* libs/gcp/fontsel.h: ditto and fixed a type macro.
	* libs/gcp/preferences.cc: use fixed a type macro.
	* plugins/paint/selection/bracketstool.cc: add an font selector not
	allowing slanted fonts.

2010-08-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/item.cc: fixed a compilation warning.
	* libs/gccv/item.h: doc typo.
	* tests/Makefile.am: make testgcrcrystalviewer build.
	* tests/testgcrcrystalviewer.c (main): ditto.

2010-08-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/selection/bracketstool.cc: fully implement OnDrag().

2010-08-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: prohibit a reaction operator partial slection
	when the whole reaction is not selected.
	* libs/gcp/reaction-step.cc: fix reaction step loading.
	* libs/gcp/reaction-step.h: ditto.
	* libs/gcp/widgetdata.cc: prohibit a reaction operator partial slection
	when the whole reaction is not selected.
	* libs/gcu/document.cc: fix reaction step loading
	* plugins/paint/arrows/retrosynthesis.cc: ensure that links are correctly
	set when pasting data.
	* plugins/paint/arrows/retrosynthesisarrow.cc: ditto.
	* plugins/paint/arrows/retrosynthesisarrow.h: ditto.
	* plugins/paint/arrows/retrosynthesisstep.cc: ditto.
	* plugins/paint/atoms/orbital.cc: ditto.
	* plugins/paint/selection/group.cc: ditto.
	* plugins/paint/selection/lassotool.cc: ditto.

2010-08-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: fixed more issues related to pasting a partial
	selection.
	* libs/gcp/document.cc: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcp/widgetdata.cc: ditto.
	* libs/gcp/widgetdata.h: ditto.
	* plugins/paint/selection/lassotool.cc: ditto.

2010-07-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: do not create empty molecules when pasting.
	* libs/gcp/widgetdata.cc: do not select objects that can't exist standalone
	as toplevel objects.

2010-07-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/widgetdata.cc: really simplify selection.
	* plugins/paint/selection/lassotool.cc: ditto.

2010-07-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: implement SVG snapshot.
	* libs/gcp/arrow.cc: ensure that links are correctly set when pasting data.
	* libs/gcp/document.cc: ditto.
	* libs/gcp/document.h: ditto.
	* libs/gcp/electron.cc: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/mechanism-arrow.cc: ditto.
	* libs/gcp/mechanism-step.cc: ditto.
	* libs/gcp/mesomer.cc: ditto.
	* libs/gcp/mesomery-arrow.cc: ditto.
	* libs/gcp/mesomery.cc: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcp/reactant.cc: ditto.
	* libs/gcp/reaction-arrow.cc: ditto.
	* libs/gcp/reaction-arrow.h: ditto.
	* libs/gcp/reaction-step.cc: ditto.
	* libs/gcp/text.cc: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcu/atom.cc: ditto.
	* libs/gcu/bond.cc: ditto.
	* libs/gcu/document.cc: ditto.
	* libs/gcu/document.h: ditto.
	* plugins/paint/templates/templatetool.cc: ditto.

2010-07-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/item.h: fixed typo.
	* libs/gcp/arrow.cc: fixed returned value.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/molecule.cc: export formal charges to OpenBabel. [#30547]
	* libs/gcp/reaction-operator.h: fixed typo.
	* libs/gcp/text.cc: make more objects selectable with the lasso tool.
	* libs/gcp/text.h: ditto.
	* libs/gcp/theme.cc: fixed crash when changing default theme font.
	[see #30495]
	* libs/gcu/macros.h: fixed documentation.

2010-07-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/arrow.cc: make more objects selectable with the lasso tool.
	* libs/gcp/arrow.h: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/reaction-operator.cc: ditto.
	* libs/gcp/reaction-operator.h: ditto.
	* libs/gcp/view.cc: do not update a NULL widget. [#30495]
	* libs/gcp/widgetdata.cc: fixed selection optimization.
	* libs/gcr/Makefile.am: moved grid.* from programs/crystal.
	* libs/gcr/grid.cc: ditto.
	* libs/gcr/grid.h: ditto.
	* plugins/paint/selection/lassotool.cc: fixed selection optimization.
	* programs/crystal/Makefile.am: moved grid.* to libs/gcr.
	* programs/crystal/grid.cc: ditto.
	* programs/crystal/grid.h: ditto.

2010-07-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/widgetdata.cc: started work on selection optimization.
	* libs/gcp/widgetdata.h: ditto.
	* plugins/paint/selection/lassotool.cc: ditto.

2010-07-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: new UI files dirs.
	* libs/gcp/theme.cc: make file name and theme name different.
	* libs/gcp/theme.h: ditto.
	* libs/gcu/Makefile.am: rearranged UI files.
	* programs/calc/Makefile.am: ditto.
	* ui/Makefile.am: ditto.
	* ui/calc/Makefile.am: ditto.
	* ui/calc/gchemcalc.ui: ditto.
	* ui/gchemcalc.ui: ditto.
	* ui/gcuperiodic.ui: ditto.
	* ui/image-resolution.ui: ditto.
	* ui/image-size.ui: ditto.
	* ui/libgcu/Makefile.am: ditto.
	* ui/print-setup.ui: ditto.

2010-07-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: unselect all on undo/redo.
	* plugins/paint/selection/brackets.ui: add a notebook so that the font
	can be selected.
	* plugins/paint/selection/lassotool.cc: make undo/redo work for partial
	selection moves.
	* themes/paint/Gcp-Modern: new GChemPaint theme based on ACS theme, but
	with longer default bond length.
	* themes/paint/Makefile.am: add new theme.

2010-07-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: one more undo/redo issue fixed.
	* libs/gcp/mechanism-step.cc: ditto.
	* libs/gcp/mechanism-step.h: ditto.
	* libs/gcu/object.cc: ditto.
	* libs/gcu/object.h: ditto.

2010-07-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: safely select curved arrows when using the
	lasso tool.
	* libs/gcp/mechanism-arrow.h: ditto.
	* libs/gcu/object.h: ditto.
	* plugins/paint/selection/lassotool.cc: ditto.

2010-07-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: undo/redo fixes.
	* libs/gcp/bond.cc: ditto.
	* libs/gcp/document.cc: ditto.
	* libs/gcu/document.cc: ditto.
	* plugins/paint/selection/lassotool.cc: ditto.

2010-07-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/selection/lassotool.cc: implement rotation and flip.
	* plugins/paint/selection/lassotool.h: ditto.

2010-07-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: implement Atom::Move.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/widgetdata.cc: white space.
	* plugins/paint/selection/lassotool.cc: move partial selection.
	* plugins/paint/selection/lassotool.h: ditto.

2010-07-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/bond.cc: enhance loading of invalid files.
	* libs/gcu/document.cc: ditto.
	* libs/gcu/document.h: ditto.

2010-07-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: fixed loading.
	* libs/gcp/bond.h: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcu/molecule.cc: set "m1" as default Id in constructors.

2010-07-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: do not add an invalid atom in the canvas.
	* libs/gcp/bond.cc: do not add an invalid bond in the canvas.
	* libs/gcp/document.cc: work on loading fixes.
	* libs/gcu/application.cc: add GetApplication() static methods.
	* libs/gcu/application.h: ditto.
	* libs/gcu/bond.cc: do not set the atoms on loading, but wait until all
	atoms are loaded.
	* libs/gcu/document.cc: ditto.
	* libs/gcu/object.cc: fixed a compilation warning. 
	* plugins/paint/selection/lassotool.cc: make copy/paste start working.
	* plugins/paint/selection/lassotool.h: ditto.

2010-07-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/selection/lassotool.cc: select bonds if both atoms
	are inside the path.

2010-07-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/Makefile.am: add gccv::Polygon class.
	* libs/gccv/item.cc: add Item::BuildPath().
	* libs/gccv/item.h: ditto.
	* libs/gccv/polygon.cc: new class.
	* libs/gccv/polygon.h: ditto.
	* libs/gcu/atom.h: add Object::GetCoords().
	* libs/gcu/object.cc: ditto.
	* libs/gcu/object.h: ditto.
	* plugins/paint/selection/lassotool.cc: select atoms inside the path.
	* plugins/paint/selection/lassotool.h: ditto.

2010-06-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/selection/Makefile.am: new lasso tool.
	* plugins/paint/selection/bracketstool.cc: start OnDrag() implementation.
	* plugins/paint/selection/lassotool.cc: new lasso tool.
	* plugins/paint/selection/lassotool.h: ditto.
	* plugins/paint/selection/plugin.cc: ditto.
	* plugins/paint/selection/selectiontool.cc: fixed a critical.

2010-06-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/document.cc: more renaming.
	* libs/gcr/document.h: ditto.
	* libs/gcu/element.cc: do not set locale on startup.
	* mozilla-plugin/Makefile.am: make things compile again.
	* mozilla-plugin/chem-viewer.cc: ditto.
	* plugins/paint/selection/brackets.ui: fixed appearance.
	* plugins/paint/selection/bracketstool.cc: implement properties page.
	* plugins/paint/selection/bracketstool.h: ditto.
	* programs/crystal/Makefile.am: make things compile again.
	* programs/crystal/application.cc: ditto.
	* programs/crystal/atom.cc: ditto.
	* programs/crystal/atom.h: ditto.
	* programs/crystal/atomsdlg.cc: ditto.
	* programs/crystal/celldlg.cc: ditto.
	* programs/crystal/cleavage.cc: ditto.
	* programs/crystal/cleavage.h: ditto.
	* programs/crystal/cleavagesdlg.cc: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/document.h: ditto.
	* programs/crystal/line.cc: ditto.
	* programs/crystal/line.h: ditto.
	* programs/crystal/linesdlg.cc: ditto.
	* programs/crystal/view.cc: ditto.
	* programs/crystal/view.h: ditto.
	* programs/crystal/window.cc: ditto.

2010-06-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcr/Makefile.am: moved crystal related files from gcu to gcr.
	(gcrystal will not compile during a few days).
	* libs/gcr/atom.cc: ditto.
	* libs/gcr/atom.h: ditto.
	* libs/gcr/bond.cc: ditto.
	* libs/gcr/bond.h: ditto.
	* libs/gcr/cleavage.cc: ditto.
	* libs/gcr/cleavage.h: ditto.
	* libs/gcr/document.cc: ditto.
	* libs/gcr/document.h: ditto.
	* libs/gcr/gcrcrystalviewer.cc: ditto.
	* libs/gcr/gcrcrystalviewer.h: ditto.
	* libs/gcr/line.cc: ditto.
	* libs/gcr/line.h: ditto.
	* libs/gcr/view.cc: ditto.
	* libs/gcr/view.h: ditto.
	* libs/gcu/Makefile.am: ditto.
	* libs/gcu/chemistry.h: ditto.
	* libs/gcu/crystalatom.cc: ditto.
	* libs/gcu/crystalatom.h: ditto.
	* libs/gcu/crystalbond.cc: ditto.
	* libs/gcu/crystalbond.h: ditto.
	* libs/gcu/crystalcleavage.cc: ditto.
	* libs/gcu/crystalcleavage.h: ditto.
	* libs/gcu/crystaldoc.cc: ditto.
	* libs/gcu/crystaldoc.h: ditto.
	* libs/gcu/crystalline.cc: ditto.
	* libs/gcu/crystalline.h: ditto.
	* libs/gcu/crystalview.cc: ditto.
	* libs/gcu/crystalview.h: ditto.
	* libs/gcu/gcucrystalviewer.cc: ditto.
	* libs/gcu/gcucrystalviewer.h: ditto.
	* mozilla-plugin/moz-plugin.c: relicense to GPL.
	* tests/Makefile.am: renamed crystal viewer test.
	* tests/testgcrcrystalviewer.c: ditto.
	* tests/testgcuchem3dviewer.c: relicense to GPL.
	* tests/testgcucrystalviewer.c: removed.
	* tests/testgcuperiodic.c: relicense to GPL.

2010-06-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/gcucrystalviewer.cc: use the default application to avoid a
	crash.
	* mozilla-plugin/chem-viewer.cc: removed an unused application.
	* plugins/paint/selection/Makefile.am: add new ui file.
	* plugins/paint/selection/brackets.ui: new properties page.

2010-06-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/Makefile.am: add new message box class.
	* libs/gcu/application.cc: use gcu::Message.
	* libs/gcu/dialog.cc: ditto.
	* libs/gcu/message.cc: new message box class.
	* libs/gcu/message.h: ditto.
	* plugins/paint/selection/bracketstool.cc: start work on property page.
	* plugins/paint/selection/bracketstool.h: ditto.

2010-06-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/Makefile.am: fix used libraries list.
	* goffice/gogcpwin.cc: 	always update bounds.
	* libs/gcu/application.cc: fix a NULL pointer issue.

2010-06-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: add a new libgcr library.
	* docs/reference/Doxyfile.in: ditto.
	* goffice/Makefile.am: start adding support for crystal structures.
	* goffice/gchemutils.cc: ditto.
	* goffice/gogcpwin.cc: ditto.
	* goffice/gogcpwin.h: ditto.
	* goffice/gogcrystalapp.cc: ditto.
	* goffice/gogcrystalapp.h: ditto.
	* goffice/gogcrystalwin.cc: ditto.
	* goffice/gogcrystalwin.h: ditto.
	* goffice/plugin.xml.in: ditto.
	* libs/Makefile.am: add a new libgcr library.
	* libs/gcr/Makefile.am: ditto.
	* libs/gcr/window.cc: ditto.
	* libs/gcr/window.h: ditto.
	* libs/gcu/chemistry.h: ditto.

2010-06-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/atoms/orbital.cc: fix orbital code when the atom is inside
	a fragment. [#29862]

2010-06-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cdxml/cdxml.cc: use gcu::Application::CreateObject().
	* plugins/loaders/cif/cif.cc: ditto.
	* plugins/loaders/cml/cml.cc: ditto.

2010-06-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: use gcu::Application::CreateObject().
	* libs/gcp/document.cc: ditto.
	* libs/gcp/fragment-residue.cc: ditto.
	* libs/gcp/residue.cc: ditto.
	* libs/gcp/residue.h: ditto.
	* libs/gcu/application.cc: ditto.
	* libs/gcu/application.h: ditto.
	* libs/gcu/chem3ddoc.cc: ditto.
	* libs/gcu/gcucrystalviewer.cc: ditto.
	* libs/gcu/molecule.cc: ditto.
	* libs/gcu/object.cc: ditto.
	* libs/gcu/object.h: ditto.
	* libs/gcu/residue.cc: ditto.
	* libs/gcu/residue.h: ditto.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/paint/arrows/plugin.cc: ditto.
	* plugins/paint/atoms/plugin.cc: ditto.
	* plugins/paint/residues/plugin.cc: ditto.
	* plugins/paint/residues/residues-dlg.cc: ditto.
	* plugins/paint/selection/plugin.cc: ditto.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/application.cc: ditto.

2010-06-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/application.cc: make object creation a per application mechanism.
	* libs/gcu/application.h: ditto.
	* libs/gcu/document.cc: ditto.
	* libs/gcu/document.h: ditto.
	* libs/gcu/object.cc: ditto.
	* libs/gcu/object.h: ditto.
	* plugins/paint/residues/plugin.cc: ditto.

2010-05-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/crystaldoc.cc: mix rhombohedral with hexagonal to be more or
	less consistent with cif files.
	* libs/gcu/spacegroup.cc: accept negative and decimal values in transforms.
	* plugins/loaders/cif/cif.cc: fixed some more files import.
	* programs/crystal/celldlg.cc: mix rhombohedral with hexagonal to be more or
	less consistent with cif files.

2010-05-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/Makefile.am: fixed build with LDFLAGS="-Wl,--no-undefined".
	[#29966]
	* libs/gcp/Makefile.am: ditto. (patch from Funda Wang)
	* libs/gcu/Makefile.am: ditto. (patch from Funda Wang)
	* plugins/loaders/cdx/Makefile.am: ditto.
	* plugins/loaders/cdxml/Makefile.am: ditto.
	* plugins/loaders/cif/Makefile.am: ditto.
	* plugins/loaders/cml/Makefile.am: ditto.
	* plugins/paint/arrows/Makefile.am: ditto.
	* plugins/paint/atoms/Makefile.am: ditto.
	* plugins/paint/bonds/Makefile.am: ditto.
	* plugins/paint/cycles/Makefile.am: ditto.
	* plugins/paint/residues/Makefile.am: ditto.
	* plugins/paint/selection/Makefile.am: ditto.
	* plugins/paint/templates/Makefile.am: ditto.
	* plugins/paint/text/Makefile.am: ditto.
	* plugins/paint/wikipedia/Makefile.am: ditto.

2010-05-13  Daniel Leidert  <daniel.leidert@wgdd.de>
	* libs/gcu/gcucrystalviewer.cc: Fixed typo.

2010-05-13  Daniel Leidert  <daniel.leidert@wgdd.de>
	* plugins/paint/*/Makefile.am: Fixed uidir - 's#.ui#/ui#g'.
	* programs/crystal/gcrystal.desktop.in.in (MimeType): Fixed field -
	must end with a semicolon.
	* programs/3d/gchem3d.desktop.in.in (MimeType): Ditto.
	* programs/paint/gchempaint.desktop.in.in (MimeType): Ditto. Removed
	duplicated entry.

2010-05-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* autogen.sh: now calls configure.
	* plugins/paint/selection/plugin.cc: show brackets tool button.
	* programs/crystal/Makefile.am: add new files.
	* programs/crystal/grid.cc: new grid widget.
	* programs/crystal/grid.h: ditto.

2010-05-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post branching version bump (0.13.0).

2010-05-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: set version to 0.12.0.
	* libs/gcp/fragment.cc: fix loading old fragment nodes.
	* plugins/paint/text/fragmenttool.cc: add more shortcuts.
	* plugins/paint/text/texttool.cc: ditto.

2010-05-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: fix loading of new fragment nodes.
	* libs/gcp/document.h: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/theme.cc: do not delete a theme twice.
	* libs/gcp/theme.h: ditto.
	* libs/gcp/tool.cc: do not access a destroyed widget.
	* plugins/paint/selection/selectiontool.cc: ditto.
	* plugins/paint/selection/selectiontool.h: ditto.
	* plugins/paint/text/texttool.cc: fixed a font size issue.

2010-05-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/reference/Doxyfile.in: do not document empty files.
	* libs/gccv/group.h: fixed API documentation.
	* libs/gccv/hash.h: ditto.
	* libs/gcp/bond.h: ditto.
	* libs/gcp/mesomery-arrow.h: ditto.
	* libs/gcp/newfiledlg.h: ditto.
	* libs/gcp/preferences.h: ditto.
	* libs/gcp/reaction-arrow.h: ditto.
	* libs/gcp/view.h: ditto.
	* libs/gcu/chemistry.h: ditto.
	* libs/gcu/loader-error.h: ditto.
	* programs/3d/gchem3d.desktop.in.in: add some mime types.
	* programs/crystal/gcrystal.desktop.in.in: ditto.
	* programs/paint/gchempaint.desktop.in.in: ditto.

2010-05-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.11.99).
	* libs/gcp/mechanism-arrow.h: typo in API documentation.

2010-05-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: update version to 0.11.98.

2010-05-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* database/space-groups.xml.in: fixed group 205 Hall name.
	* libs/gccv/text.cc: fixed memory leaks.
	* libs/gcp/mechanism-arrow.cc: ditto.
	* libs/gcp/text-object.cc: ditto.
	* libs/gcu/spacegroup.cc: fixed group search when the Hall name is a
	duplicate (groups 3 and 68).
	* programs/crystal/application.cc: add cif and cml to recent files.
	* programs/crystal/application.h: ditto.
	* programs/crystal/window.cc: ditto.

2010-05-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: fixed memory leaks.
	* libs/gccv/text.cc: ditto.
	* libs/gcp/application.cc: ditto.
	* libs/gcp/fontsel.cc: ditto.
	* libs/gcp/operation.cc: ditto.
	* libs/gcp/preferences.cc: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcu/chain.cc: ditto.
	* libs/gcu/element.cc: ditto.
	* libs/gcu/filechooser.cc: ditto.
	* plugins/paint/text/texttool.cc: ditto.

2010-05-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/view.cc: fixed memory leaks.
	* libs/gcu/filechooser.cc: ditto.
	* libs/gcu/spectrumdoc.cc: ditto.
	* libs/gcu/spectrumview.cc: ditto.
	* programs/3d/main.cc: ditto.
	* programs/3d/window.cc: ditto.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/main.cc: ditto.
	* programs/crystal/window.cc: ditto.
	* programs/paint/main.cc: ditto.
	* programs/spectra/document.cc: ditto.
	* programs/spectra/gspectrum.cc: ditto.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-app.cc: ditto.
	* programs/table/gchemtable-curve.cc: ditto.

2010-04-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/man/gchempaint.1: fixed command line options documentation.
	* libs/gcp/application.cc: fixed memory leaks.
	* libs/gcp/atom.cc: removed a not anymore used variable.
	* libs/gcp/theme.cc: fixed memory leaks.
	* libs/gcp/view.cc: ditto.
	* libs/gcp/window.cc: ditto.
	* libs/gcu/chain.cc: ditto.
	* libs/gcu/element.cc: ditto.
	* libs/gcu/molecule.h: ditto.
	* libs/gcu/residue.cc: ditto.
	* plugins/paint/templates/plugin.cc: ditto.

2010-04-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/arrow.cc: fixed valgrind warnings.
	* libs/gccv/bezier-arrow.cc: ditto.
	* libs/gccv/item.cc: ditto.
	* libs/gccv/item.h: ditto.
	* libs/gccv/line.cc: ditto.
	* libs/gccv/poly-line.cc: ditto.
	* libs/gccv/squiggle.cc: ditto.
	* libs/gccv/wedge.cc: ditto.
	* libs/gcp/atom.cc: ditto.
	* libs/gcp/bond.cc: ditto.
	* libs/gcp/mechanism-arrow.h: API documentation work.
	* libs/gcp/tool.cc: fixed valgrind warnings.
	* libs/gcp/view.h: API documentation work.
	* libs/gcp/widgetdata.cc: removed gcp::cleared.
	* libs/gcp/widgetdata.h: API documentation work.
	* plugins/paint/text/fragmenttool.cc: removed gcp::cleared.
	* plugins/paint/text/texttool.cc: ditto.

2010-04-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment-atom.h: API documentation work.
	* libs/gcp/mechanism-arrow.h: ditto.
	* libs/gcp/mechanism-step.h: ditto.
	* libs/gcp/mesomer.h: ditto.
	* libs/gcp/mesomery-arrow.h: ditto.
	* libs/gcp/mesomery.h: ditto.
	* libs/gcp/reactant.h: ditto.
	* libs/gcp/reaction-arrow.h: ditto.
	* libs/gcp/reaction-operator.h: ditto.
	* libs/gcp/reaction-prop.h: ditto.
	* libs/gcp/reaction-step.h: ditto.
	* libs/gcp/reaction.h: ditto.
	* libs/gcp/text-editor.h: ditto.
	* libs/gcp/text.h: ditto.
	* libs/gcp/tool.h: ditto.

2010-04-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.h: API documentation work.
	* libs/gcp/fragment.h: ditto.
	* libs/gcu/crystalatom.cc: survive CIF files with no space group and/or
	invalid atoms.
	* libs/gcu/crystaldoc.cc: ditto.
	* plugins/loaders/cif/cif.cc: ditto.

2010-04-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.11.91).
	* docs/*: documentation updates.
	* libs/gcp/about.cc: fixed program name.
	* libs/gcp/application.h: API documentation work.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/electron.h: ditto.
	* libs/gcp/fragment-atom.h: ditto.
	* libs/gcu/crystaldoc.h: ditto.
	* libs/gcu/spacegroup.h: ditto.
	* libs/gcu/transform3d.h: ditto.
	* libs/gcu/ui-builder.h: ditto.
	* libs/gcu/value.h: ditto.
	* libs/gcu/vector.h: ditto.
	* programs/3d/window.cc: fixed program name.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/window.cc: ditto.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-app.cc: ditto.

2010-04-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: fixed typo.
	* libs/gcp/text.cc: ditto.
	* libs/gcu/application.cc: made default window mode really private.
	* libs/gcu/application.h: ditto and API documentation work.
	* libs/gcu/atom.h: API documentation work.
	* libs/gcu/bond.h: ditto.
	* libs/gcu/chain.h: ditto.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/crystaldoc.h: ditto.
	* libs/gcu/cycle.h: ditto.
	* libs/gcu/document.h: ditto.
	* libs/gcu/element.cc: add chinese to langs.
	* libs/gcu/element.h: API documentation work.
	* libs/gcu/formula.h: ditto.
	* libs/gcu/loader-error.h: ditto.
	* libs/gcu/matrix.h: ditto.
	* libs/gcu/molecule.h: ditto.
	* libs/gcu/print-setup-dlg.h: ditto.
	* libs/gcu/spacegroup.h: ditto.
	* libs/gcu/structs.h: ditto.
	* libs/gcu/value.h: ditto.
	* libs/gcu/vector.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.ui: fixed typo.
	* programs/3d/gchem3d.desktop.in.in: ditto.
	* programs/calc/gchemcalc.desktop.in.in: ditto.
	* programs/crystal/gcrystal.desktop.in.in: ditto.
	* programs/paint/gchempaint.desktop.in.in: ditto.
	* programs/spectra/gspectrum.desktop.in.in: ditto.
	* programs/table/gchemtable-app.cc: ditto.
	* programs/table/gchemtable.desktop.in.in: ditto.
	* ui/paint/preferences.ui: ditto.

2010-04-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.h: API documentation work.

2010-04-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/*: user help updated.
	* libs/gccv/group.h: API documentation work.
	* libs/gccv/leaf.h: ditto.
	* libs/gccv/line-item.h: ditto.
	* libs/gccv/line.h: ditto.
	* libs/gccv/poly-line.h: ditto.
	* libs/gccv/rectangle.h: ditto.
	* libs/gccv/squiggle.h: ditto.
	* libs/gccv/text-client.h: ditto.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.h: ditto.
	* libs/gccv/wedge.h: ditto.
	* libs/gcp/window.cc: fix icon.
	* libs/gcu/dialog.cc: add Dialog::SetRealName().
	* libs/gcu/dialog.h: ditto.
	* programs/3d/application.cc: fix default window title.
	* programs/3d/window.cc: fix icon.
	* programs/calc/gchemcalc.cc: fix icon.
	* programs/spectra/window.cc: fix icon.
	* programs/table/gchemtable-app.cc: fix curves related issues and add new
	pre-defined curves in menus.
	* programs/table/gchemtable-curve.cc: fix curves related issues.
	* programs/table/gchemtable-elt.cc: fix curves related issues.

2010-04-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/table/C/gchemtable.xml: user help updated.
	* libs/gccv/bezier-arrow.h: API documentation work.
	* libs/gccv/circle.h: ditto.
	* libs/gccv/leaf.h: ditto.
	* libs/gccv/line.h: ditto.
	* libs/gccv/poly-line.h: ditto.
	* libs/gccv/rectangle.h: ditto.
	* libs/gccv/squiggle.h: ditto.
	* libs/gccv/wedge.h: ditto.
	* programs/table/gchemtable-app.cc: fixed window icon.

2010-04-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/crystal/C/gcrystal.xml: user help updated.
	* libs/gccv/leaf.cc: fixed typo in comment.
	* libs/gccv/leaf.h: API documentation work.
	* libs/gccv/line-item.h: ditto.
	* libs/gcu/crystaldoc.cc: force space group detection for old files.
	* programs/crystal/application.cc: never end with en empty recent file
	entry.
	* programs/crystal/celldlg.cc: fixed a space group related issue.
	* programs/crystal/document.cc: kill open dialogs when loading a file.

2010-04-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/calc/C/gchemcalc.xml: user help updated.
	* docs/help/3d/C/gchem3d.xml: ditto.
	* docs/help/paint/C/gchempaint.xml: ditto.
	* docs/help/spectra/C/gspectrum.xml: ditto.
	* libs/gccv/bezier-arrow.h: API documentation work.
	* libs/gccv/circle.h: ditto.
	* libs/gccv/fill-item.h: ditto.
	* libs/gccv/group.h: ditto.
	* libs/gccv/hash.h: ditto.
	* libs/gccv/item.h: ditto.
	* libs/gccv/text-client.h: ditto.
	* libs/gccv/wedge.h: ditto.
	* libs/gcp/text-object.h: ditto.
	* libs/gcu/document.h: ditto.
	* libs/gcu/gcuchem3dviewer.h: ditto.
	* libs/gcu/spectrumdoc.cc: accept more spectrum type strings such as
	"UV/VIS SPECTRUM".

2010-04-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* database/elements.xml.in: use Cn and Copernicium for element 112.

2010-04-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/paint/C/gchempaint.xml: user help updated.
	* libs/gccv/arrow.h: API documentation work.
	* libs/gccv/bezier-arrow.h: ditto.
	* libs/gccv/canvas.h: ditto.
	* libs/gccv/circle.h: ditto.
	* libs/gccv/client.h: ditto.
	* plugins/paint/bonds/bondtool.cc: fixed down bond tool button appearance
	when configuration changes.
	* plugins/paint/bonds/bondtool.h: ditto.

2010-04-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/paint/C/gchempaint.xml: more help updating.
	* libs/gccv/arrow.h: API documentation work.
	* libs/gccv/bezier-arrow.h: ditto.
	* libs/gccv/item.h: fixed GCCV_ITEM_* macros.
	* libs/gcp/document.cc: fixed one more undo/redo issue.

2010-04-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/paint/C/gchempaint.xml: more help updating.
	* libs/gccv/arrow.h: API documentation work.
	* libs/gccv/item.h: ditto.
	* libs/gccv/line-item.h: ditto.
	* libs/gccv/line.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.h: add GetHelpTag().
	* plugins/paint/atoms/orbital.cc: fixed an undo/redo issue.

2010-04-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/reference/Doxyfile.in: minor update.
	* docs/help/paint/C/gchempaint.xml: more help updating.
	* libs/gccv/arrow.h: API documentation work.
	* libs/gccv/item-client.h: ditto.
	* libs/gccv/item.h: ditto.
	* libs/gcp/operation.cc: minor typography update.
	* plugins/paint/atoms/orbital-prop.ui: fixed help button position.
	* plugins/paint/atoms/orbital.cc: don't crash when closing the properties
	box. [#29559] 

2010-04-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* README: updated for 0.12.
	* configure.ac: post release version bump (0.11.91).
	* docs/help/paint/C/gchempaint.xml: some updates.
	* libs/gccv/structs.h: API docs.
	* libs/gcp/about.cc: updated copyright.
	* libs/gcp/bond.cc: cleaned out obsolete code.
	* libs/gcp/tool.cc: fixed cursor after deactivation.
	* libs/gcu/print-setup-dlg.cc: fixed footer widgets sensitivity.
	* programs/3d/window.cc: updated copyright.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/window.cc: ditto.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-app.cc: ditto.

2010-04-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: change version to 0.11.90.
	* database/Makefile.am: change space-groups.xml to space-groups.xml.in.
	* database/space-groups.xml: ditto.
	* libs/gccv/arrow.cc: fixed compilation warnings.
	* libs/gccv/circle.cc: ditto.
	* libs/gccv/client.cc: ditto.
	* libs/gccv/hash.cc: ditto.
	* libs/gccv/item-client.cc: ditto.
	* libs/gccv/item.cc: ditto.
	* libs/gccv/line.cc: ditto.
	* libs/gccv/poly-line.cc: ditto.
	* libs/gccv/rectangle.cc: ditto.
	* libs/gccv/squiggle.cc: ditto.
	* libs/gccv/text.cc: ditto.
	* libs/gccv/wedge.cc: ditto.
	* libs/gcp/fragment.cc: fixed charge checking.
	* libs/gcp/text-object.cc: fixed cursor position after undo/redo.
	* libs/gcp/text.cc: ditto.
	* libs/gcp/tool.cc: fixed compilation warnings.
	* plugins/paint/atoms/orbitaltool.cc: ditto.
	* plugins/paint/text/fragmenttool.cc: ditto.
	* plugins/paint/text/texttool.cc: restore chemistry into texts pasting.

2010-04-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* database/Makefile.am: add space groups from BODR since the original is
	a bit buggy.
	* database/space-groups.xml: ditto.
	* libs/gcu/crystaldoc.cc: add an auto flag for the sapece group.
	* libs/gcu/crystaldoc.h: ditto.
	* libs/gcu/spacegroup.cc: load groups from our database, not BODR.
	* programs/crystal/celldlg.cc: manage space group.
	* programs/crystal/celldlg.h: ditto.
	* programs/crystal/main.cc: fixed key limits.
	* ui/crystal/cell.ui: manage space group.

2010-04-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: fixed various issues.
	* libs/gcp/mechanism-arrow.cc: fix positions for single electron moves.
	* plugins/paint/arrows/curvedarrowtool.cc: ditto.

2010-04-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: adjust curved arrows positions relative to stereo
	and multiple bonds.
	* libs/gcp/bond.h: ditto.
	* libs/gcp/mechanism-arrow.cc: ditto.
	* libs/gcu/application.cc: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: ditto.

2010-04-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: implement curved arrow support in mesomery and
	fixed various issues.
	* libs/gcp/mechanism-arrow.cc: ditto.
	* libs/gcp/mechanism-arrow.h: ditto.
	* libs/gcp/mesomer.cc: ditto.
	* libs/gcp/mesomer.h: ditto.
	* libs/gcp/mesomery.cc: ditto.
	* libs/gcp/reaction-step.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: ditto.

2010-04-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: enhance support for curved arrows in reactions.
	* libs/gcp/document.cc: ditto.
	* libs/gcp/mechanism-step.cc: ditto.
	* libs/gcp/mechanism-step.h: ditto.
	* libs/gcp/reaction-arrow.cc: ditto.
	* libs/gcp/reaction-step.cc: ditto.
	* libs/gcp/reaction-step.h: ditto.
	* libs/gcp/reaction.cc: ditto.
	* plugins/paint/selection/selectiontool.cc: ditto.

2010-04-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: don't add more than one item.
	* libs/gcp/reaction-step.cc: fix several issues with curved arrows
	inside reactions.

2010-03-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/bezier-arrow.cc: implement control points dragging.
	* libs/gcp/atom.cc: add Atom::GetBondAtAngle().
	* libs/gcp/atom.h: ditto.
	* libs/gcp/mechanism-arrow.cc: hide control points when unselecting.
	* libs/gcp/tool.h: fixed doc typo.
	* plugins/paint/arrows/curvedarrowtool.cc: arrow control points edition.
	* plugins/paint/arrows/curvedarrowtool.h: ditto.

2010-03-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: allow electrons as source.
	* plugins/paint/arrows/curvedarrowtool.cc: more work on electrons as
	sources.
	* plugins/paint/arrows/curvedarrowtool.h: ditto.

2010-03-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/electron.h: doc typo.
	* plugins/paint/arrows/curvedarrowtool.cc: start work on curved arrow
	starting from an electron or electrons pair.

2010-03-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: enhanced arrow positions.
	* plugins/paint/arrows/curvedarrowtool.cc: ditto.

2010-03-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/theme.cc: fixed configuration issues when using a key file.
	* programs/3d/main.cc: ditto.
	* programs/crystal/main.cc: ditto.
	* ui/crystal/view-settings.ui: fixed minimum FoV.

2010-03-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: implement the end at center feature.
	* plugins/paint/arrows/curvedarrowtool.cc: still more work on the
	end position.

2010-03-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: implement the end position option.
	* libs/gcp/mechanism-arrow.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: more work on the end position
	(still not working).
	* plugins/paint/arrows/curvedarrowtool.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.ui: ditto.
	* plugins/paint/arrows/gchempaint-arrows.schemas.in: ditto.

2010-03-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/arrows/Makefile.am: add a property page to the curved
	arrow tool.
	* plugins/paint/arrows/curvedarrowtool.cc: ditto.
	* plugins/paint/arrows/curvedarrowtool.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.ui: ditto.

2010-03-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/arrows/curvedarrowtool.cc: various improvements.

2010-03-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/arrow.cc: Use gcu::ReadFloat() and gcu::WriteFloat() for
	serialization.
	* libs/gcp/fragment.cc: use the fragment as client for the charge item.
	* libs/gcu/xml-utils.cc: make gcu::WriteFloat() locale independant.
	* plugins/paint/arrows/curvedarrowtool.cc: fixed orientation of arrows
	at start.

2010-03-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: Fixed typo.
	* libs/gcu/crystalatom.cc: don't crash if atomic numer is 0.
	* libs/gcu/xml-utils.cc: one more fix in ReadFloat().
	* plugins/loaders/cif/cif.cc: fixed an atom_label issue.
	* plugins/paint/residues/residues-dlg.cc: use the same user residues as
	the library (don't have a duplicated symbol).

2010-03-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/bezier-arrow.cc: fixed bounds.

2010-03-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: modernize a bit.
	* libs/gcu/xml-utils.cc: fixed ReadFloat().
	* plugins/paint/arrows/curvedarrowtool.cc: implement bond to non adjacent
	atom.
	* plugins/paint/arrows/curvedarrowtool.h: ditto.

2010-02-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.11.6).

2010-02-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/circle.cc: fixed distance evaluation.
	* libs/gcp/atom.cc: don't crash in destructor.
	* libs/gcu/dialog-owner.cc: reverse previous change (don't belong 
	to this class).
	* libs/gcu/dialog-owner.h: ditto.
	* libs/gcu/dialog.cc: add Dialog::SetTransientFor().
	* libs/gcu/dialog.h: ditto.
	* libs/gcu/object.cc: make properties dialogs work.
	* libs/gcu/object.h: ditto.
	* plugins/paint/atoms/Makefile.am: add orbital-tool.ui.
	* plugins/paint/atoms/orbital-prop.ui: fixed some issues.
	* plugins/paint/atoms/orbital.cc: implement properties dialog and contextual
	menu.
	* plugins/paint/atoms/orbital.h: ditto.

2010-02-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/dialog-owner.cc: start wrking on generic properties dialogs
	for objects.
	* libs/gcu/dialog-owner.h: ditto.
	* libs/gcu/object.cc: ditto.
	* libs/gcu/object.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: implement atom to atom.
	* plugins/paint/atoms/orbital-prop.ui: new properties dialog for orbitals.
	* plugins/paint/atoms/orbital.cc: ditto.
	* plugins/paint/atoms/orbital.h: ditto.

2010-02-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/electron.cc: use different nales for single electron and
	electron pair.
	* libs/gcp/fragment.cc: fixed some stoichiometry and charge issues.

2010-02-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment.cc: do not chage atom position to negative values
	(actually huge values since it is unsigned).
	* plugins/paint/selection/erasertool.cc: don't crash when deleting a
	fragment.

2010-02-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: add contextual menus for children.
	* libs/gcp/electron.cc: set a default Id.
	* libs/gcp/view.cc: ensure that deleted object ar removed from the
	selection list.
	* plugins/paint/atoms/chargetool.cc: fix position for unwanted
	orientations.

2010-02-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: add a localizable identity to objects.
	* libs/gcp/arrow.cc: ditto.
	* libs/gcp/arrow.h: ditto.
	* libs/gcp/docprop.cc: ditto.
	* libs/gcp/docprop.h: ditto.
	* libs/gcp/electron.cc: ditto.
	* libs/gcp/electron.h: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/mechanism-arrow.cc: ditto.
	* libs/gcp/mechanism-arrow.h: ditto.
	* libs/gcp/mechanism-step.cc: ditto.
	* libs/gcp/mechanism-step.h: ditto.
	* libs/gcp/mesomer.cc: ditto.
	* libs/gcp/mesomer.h: ditto.
	* libs/gcp/mesomery-arrow.cc: ditto.
	* libs/gcp/mesomery-arrow.h: ditto.
	* libs/gcp/mesomery.cc: ditto.
	* libs/gcp/mesomery.h: ditto.
	* libs/gcp/reactant.cc: fixed critical reaction stoichiometry issues.
	* libs/gcp/reactant.h: add a localizable identity to objects.
	* libs/gcp/reaction-arrow.cc: ditto.
	* libs/gcp/reaction-arrow.h: ditto.
	* libs/gcp/reaction-operator.cc: ditto.
	* libs/gcp/reaction-operator.h: ditto.
	* libs/gcp/reaction-prop.cc: ditto.
	* libs/gcp/reaction-prop.h: ditto.
	* libs/gcp/reaction-step.cc: ditto.
	* libs/gcp/reaction-step.h: ditto.
	* libs/gcp/reaction.cc: ditto.
	* libs/gcp/reaction.h: ditto.
	* libs/gcp/text.cc: ditto.
	* libs/gcp/text.h: ditto.
	* libs/gcu/atom.cc: ditto.
	* libs/gcu/atom.h: ditto.
	* libs/gcu/bond.cc: ditto.
	* libs/gcu/bond.h: ditto.
	* libs/gcu/chain.cc: ditto.
	* libs/gcu/chain.h: ditto.
	* libs/gcu/cycle.cc: ditto.
	* libs/gcu/cycle.h: ditto.
	* libs/gcu/document.cc: ditto.
	* libs/gcu/document.h: ditto.
	* libs/gcu/molecule.cc: ditto.
	* libs/gcu/molecule.h: ditto.
	* libs/gcu/object.cc: ditto.
	* libs/gcu/object.h: ditto.
	* plugins/paint/arrows/retrosynthesis.cc: ditto.
	* plugins/paint/arrows/retrosynthesis.h: ditto.
	* plugins/paint/arrows/retrosynthesisarrow.cc: ditto.
	* plugins/paint/arrows/retrosynthesisarrow.h: ditto.
	* plugins/paint/arrows/retrosynthesisstep.cc: ditto.
	* plugins/paint/arrows/retrosynthesisstep.h: ditto.
	* plugins/paint/atoms/orbital.cc: ditto.
	* plugins/paint/atoms/orbital.h: ditto.
	* plugins/paint/selection/erasertool.cc: ditto.
	* plugins/paint/selection/group.cc: ditto.
	* plugins/paint/selection/group.h: ditto.
	* plugins/paint/text/texttool.cc: fixed critical reaction stoichiometry
	issues.
	* plugins/paint/text/texttool.h: ditto.
	* programs/crystal/celldlg.cc: fixed copyright.
	* ui/crystal/cell.ui: fixed duplicate Ids.

2010-02-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/line.cc: fixed for vector targets not supporting transparency.
	* libs/gcp/bond.cc: correctly pack crossing bonds.
	* libs/gcp/electron.cc: move item to front of its group.
	* libs/gcp/widgetdata.cc: change WidgetData::SetSelected() signature to
	allow for more states.
	* libs/gcp/widgetdata.h: ditto.
	* plugins/paint/selection/erasertool.cc: implement OnMotion().
	* plugins/paint/selection/erasertool.h: ditto.

2010-02-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: new Atom::GetRelativePosition() method.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/electron.cc: make the item a child of the atom item.
	* plugins/paint/atoms/elementtool.cc: set the text color, not the
	background.
	* plugins/paint/selection/erasertool.cc: fixed undo when deleting an
	atom child.

2010-02-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/gcuperiodic.c (on_clicked): use gtk_buildable_get_name.

2010-02-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/group.cc: allow better selection.
	* libs/gccv/leaf.cc: partially implemented Leaf::Distance().
	* libs/gcp/atom.cc: fix some children related issues.
	* libs/gcp/electron.cc: set the client for all items.
	* plugins/paint/atoms/orbital.cc: implement Orbital::SetSelected().

2010-02-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: fixed custom charge position dieplay.
	* plugins/paint/atoms/orbital.cc: update copyright.
	* plugins/paint/atoms/orbital.h: ditto.
	* plugins/paint/atoms/orbitaltool.cc: implement preview.
	* plugins/paint/atoms/orbitaltool.h: ditto.

2010-02-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/leaf.cc: fixed size to something more logical.
	* plugins/paint/atoms/orbital.cc: implement d orbitals and orbital rotation.
	* plugins/paint/atoms/orbital.h: ditto.
	* plugins/paint/atoms/orbital.ui: ditto.
	* plugins/paint/atoms/orbitaltool.cc: ditto.
	* plugins/paint/atoms/orbitaltool.h: ditto.

2010-02-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/Makefile.am: delete lemniscate, add leaf.
	* libs/gccv/leaf.cc: new file.
	* libs/gccv/leaf.h: ditto.
	* libs/gccv/lemniscate.cc: deleted.
	* libs/gccv/lemniscate.h: ditto.
	* plugins/paint/atoms/orbital.cc: add support for p type atomic orbitals.
	* plugins/paint/atoms/orbitaltool.cc: ditto.
	* programs/calc/gchemcalc.cc: fixed icon name.

2010-02-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/view.cc: cleaned out deprecated and commented out code.
	* mozilla-plugin/chem-viewer.cc: fixed issues with chemdraw files support.
	* mozilla-plugin/moz-plugin.c: ditto.

2010-02-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/view.cc: better fix for high resolution bitmaps.
	* libs/gcu/crystaldoc.cc: do not use a NULL space group.
	* plugins/loaders/cif/cif.cc: fixed reading invalid loops and support
	unkown space groups.

2010-02-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/view.cc: fixed high resolution bitmap export.
	* libs/gcu/crystaldoc.cc: initialize size in constructor.
	* libs/gcu/crystaldoc.h: make Reinit public.
	* libs/gcu/gcucrystalviewer.cc: new load from uri functions (cif files only
	for now).
	* libs/gcu/gcucrystalviewer.h: ditto.
	* mozilla-plugin/chem-viewer.cc: make cif files work.

2010-02-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: fixed mozilla related issues.

2010-01-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: add a menu item to hide atomic formal charge.[#26735]
	* libs/gcp/atom.h: ditto.

2010-01-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* all files: renamed all widgets from Gtk* to Gcu*.

2010-01-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: implement AddItem when the source is an atom.
	* plugins/paint/arrows/curvedarrowtool.cc: fixed bond to bond and made some
	work on atom to adjacent bond. 
	* plugins/paint/arrows/curvedarrowtool.h: add new unimplemented methods.

2010-01-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/bonds/chaintool.cc: fixed OnDrag().

2010-01-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: catch LoaderError and display a message box
	instead of crashing.

2010-01-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: allow for forward references to atoms in cdx
	files. [#28515]
	* libs/gcu/bond.cc: ditto.
	* libs/gcu/bond.h: ditto.
	* libs/gcu/document.cc: ditto.
	* libs/gcu/document.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: added missing break.

2010-01-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cif/cif.cc: fix some crashes on import.

2010-01-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: make build success with GNU gold ld. [#28479]
	* mozilla-plugin/Makefile.am: ditto.
	* programs/3d/Makefile.am: ditto.
	* programs/calc/Makefile.am: ditto.
	* programs/crystal/Makefile.am: ditto.
	* programs/crystal/application.cc: pass the valid document to the loader
	(fixes CIF files loading).
	* programs/paint/Makefile.am: make build success with GNU gold ld..
	* programs/spectra/Makefile.am: ditto.
	* programs/table/Makefile.am: ditto.
	* tests/Makefile.am: ditto.

2010-01-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.cc: fixed invalidated area.
	* plugins/paint/arrows/curvedarrowtool.cc: fixed arrow end position in
	bond to bond case.

2010-01-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: fixed one more selection issue.
	* libs/gcp/fragment.cc: don't loose the main symbol when deleting text
	before it.
	* plugins/paint/text/texttool.cc: fixed a clipboard issue.

2010-01-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: enhance portability.
	* plugins/paint/arrows/curvedarrowtool.cc: fixed test for bond to bond case.
	* plugins/paint/wikipedia/wikipediatool.cc: enhance portability.

2010-01-03  Daniel Leidert  <daniel.leidert@wgdd.de>
	* libs/gcp/reaction-prop.cc: Fixed typo.

2010-01-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/atoms/orbital.ui: started work on p and d orbitals.
	* plugins/paint/atoms/orbitaltool.cc: ditto.
	* plugins/paint/atoms/orbitaltool.h: ditto.

2010-01-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.11.5).
	* libs/gcp/tool.cc: don't allow clipboard operations by default.
	* plugins/paint/arrows/curvedarrowtool.cc: unselect all on click.
	* plugins/paint/atoms/orbital.cc: fixed copyright years.
	* plugins/paint/atoms/orbital.h: ditto.
	* plugins/paint/atoms/orbitaltool.cc: unselect all on click.
	* plugins/paint/atoms/orbitaltool.h: fixed copyright years.
	* plugins/paint/selection/selectiontool.h: allow clipboard operations.

2009-12-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.cc: add support for leave-notify-event.
	* libs/gccv/client.cc: ditto.
	* libs/gccv/client.h: ditto.
	* libs/gccv/hash.cc: do not call cairo_reset_clip to avoid issues with
	client side gtk+.
	* libs/gcp/tool.cc: add support for leave-notify-event.
	* libs/gcp/tool.h: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcp/view.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: select potential source when
	moving the mouse to make clear from where the arrow would start.
	* plugins/paint/arrows/curvedarrowtool.h: ditto.
	* plugins/paint/atoms/orbitaltool.cc: implement OnDrag and ditto.
	* plugins/paint/atoms/orbitaltool.h: ditto.

2009-12-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/arrows/curvedarrowtool.cc: arrow from bond to adjacent atom
	now fully implemented.
	* plugins/paint/arrows/curvedarrowtool.h: ditto.

2009-12-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/group.cc: removed unused header.
	* libs/gcp/atom.cc: be careful with children (fixes orbital issues).
	* libs/gcp/widgetdata.cc: ditto.
	* plugins/paint/atoms/orbital.cc: implement gcpOrbital::SetSelected().
	* plugins/paint/atoms/orbital.h: ditto.

2009-12-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/Makefile.am: added new files.
	* libs/gccv/group.cc:fixed front/back logic.
	* libs/gccv/lemniscate.cc: new lemniscate item.
	* libs/gccv/lemniscate.h: ditto.
	* libs/gcp/atom.cc: bring item to front.
	* plugins/paint/atoms/Makefile.am: add new files.
	* plugins/paint/atoms/orbital.cc: implement basic serialization.
	* plugins/paint/atoms/orbital.ui: UI for the orbital tool.
	* plugins/paint/atoms/orbitaltool.cc: make it minimally work.
	* plugins/paint/atoms/orbitaltool.h: ditto.

2009-12-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/atoms/Makefile.am: add new file.
	* plugins/paint/atoms/orbital.cc: new class to represent an atomic orbital.
	* plugins/paint/atoms/orbital.h: ditto.
	* plugins/paint/atoms/orbitaltool.cc: new tool to draw orbitals.
	* plugins/paint/atoms/orbitaltool.h: ditto.
	* plugins/paint/atoms/plugin.cc: ditto.

2009-12-26  Jordan Mantha  <jordan.mantha@gmail.com>
	* programs/table/gchemtable-app.cc: added new charts submenu to view menu
	and move File->New Chart to new submenu as "Custom".
	* programs/table/gchemtable-app.h: ditto

2009-12-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/bond.h: fixed documentation typo.
	* libs/gcu/object.cc: do not access a NULL pointer when destroying objects.
	* plugins/paint/atoms/elementtool.cc: always update bond after an atom
	change.
	* programs/table/gchemtable-curve.cc: display element name as a tooltip
	when the mouse cursor rests over a data point.

2009-12-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: correctly save and load attached hydrogens position.
	* libs/gcp/fragment.cc: fixed main atom sniffing when deleting text.
	* mozilla-plugin/moz-plugin.c (ChemNew): some work on stream support.

2009-12-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: alwas set the correct color for the charge.
	* libs/gcp/document.cc: allow setting references to unknown objects while
	loading.
	* libs/gcp/mechanism-arrow.cc: ditto.
	* libs/gcp/reaction-step.cc: do not take mechanism arrow into account
	while spacing children.
	* libs/gcp/text.cc: fixed vertical alignment.
	* libs/gcu/Makefile.am: add new files.
	* libs/gcu/crystaldoc.cc: make compatible with new parent API.
	* libs/gcu/crystaldoc.h: ditto.
	* libs/gcu/document.cc: allow setting references to unknown objects while
	loading.
	* libs/gcu/document.h: ditto.
	* libs/gcu/loader-error.cc: new LoaderError exception class.
	* libs/gcu/loader-error.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: correctly add arrows inside
	reaction steps.
	* programs/table/gchemtable-curve.cc: start working on a tooltip API.
	* programs/table/gchemtable-curve.h: ditto.

2009-12-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: correctly add atoms inside fragments.

2009-12-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/loader.cc: don't double free plugins dir.

2009-12-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment.cc: fix atom position.
	* plugins/paint/cycles/cycletool.cc: really create all atoms.

2009-12-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/formula.cc: do not interpret a substring as a residue when the
	whole string is a symbol element. [#28192]

2009-11-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: periodic table is not anymor tearable
	because this feature is going to be deprecated iN both gtk+ and goffice.
	* libs/gcp/preferences.cc: ditto.
	* libs/gcp/settings.h: ditto.
	* libs/gcp/tools.cc: ditto.
	* libs/gcp/tools.h: ditto.
	* programs/paint/gchempaint.schemas.in: ditto.
	* ui/paint/preferences.ui: ditto.

2009-11-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: request goffice >= 0.7.16.
	* libs/gcu/cmd-context.cc: fixed after goffice API change.

2009-11-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/arrows/curvedarrowtool.cc: more work.

2009-11-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumdoc.cc: do not invert Y-axis.

2009-11-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: use more recent LT macros and request gtk+-2.0 >= 2.18.
	* libs/gccv/bezier-arrow.cc: add GetControlPoints.
	* libs/gccv/bezier-arrow.h: ditto.
	* libs/gcu/crystaldoc.h: make space group a standard read-only property.
	* libs/gcu/glview.cc: fixed events with recent gtk+
	* libs/gcu/gtkchem3dviewer.cc: ditto.
	* libs/gcu/gtkcrystalviewer.cc: ditto.
	* mozilla-plugin/moz-plugin.c: fixed epiphany crasher.
	* plugins/paint/arrows/curvedarrowtool.cc: more work on OnDrag().
	* plugins/paint/arrows/curvedarrowtool.h: ditto.
	* programs/crystal/document.cc: display the space group in the status
	bar when known.
	* programs/crystal/window.cc: ditto.

2009-10-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/bezier-arrow.cc: invalidate when changing the control points.
	* plugins/paint/arrows/curvedarrowtool.cc: started work on
	gcpCurvedArrowTool::OnDrag ().

2009-10-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: correcty set the arrowhead size for half-
	headed arrows.
	* mozilla-plugin/chem-viewer.cc: fixed some details.
	* mozilla-plugin/moz-plugin.c (ChemNew): fix parameters management (don't
	crash anymore) and allow chemical/x-cif files.
	* plugins/paint/arrows/curvedarrowtool.cc: don't allow a bond to be the
	source of more than 2 electron moves.
	* plugins/paint/arrows/curvedarrowtool.h: ditto.

2009-10-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/bezier-arrow.cc: implement BezierArrow::Move()
	* libs/gccv/bezier-arrow.h: ditto.

2009-10-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: fixed color in tool buttons. [#27746]

2009-10-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: implement loading.
	* libs/gcu/xml-utils.cc: new gcu::ReadFloat function.
	* libs/gcu/xml-utils.h: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: when creating an arrow, make
	sure it is inside a mechanism step.

2009-10-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/bonds/chaintool.cc: always set the bond angle in the
	active document.

2009-10-12  Jean Bréfort  <jean.brefort@normalesup.org>

	* libs/gcp/mechanism-arrow.cc: add links to source and target.
	* libs/gcp/mechanism-arrow.h: ditto.
	* libs/gcu/chemistry.h: fixed typo in documentation.
	* libs/gcu/object.cc: add Object::Link() and make links really work.
	* libs/gcu/object.h: ditto.
	* libs/gcu/xml-utils.cc: add gcu::WriteFloat and move all functions to
	gcu namespace.
	* libs/gcu/xml-utils.h: ditto.

2009-10-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/mechanism-arrow.cc: implement partially AddItem().
	* libs/gcp/mechanism-arrow.h: some more members.
	* plugins/paint/arrows/curvedarrowtool.cc: fixed second control point.

2009-10-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* database/isotopes.xml.in: fixed three typos. [#27619]

2009-10-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/bezier-arrow.cc: take control points in bounds when visible.
	* libs/gcp/Makefile.am: add some classes to support mechanism curved arrows.
	* libs/gcp/application.cc: ditto.
	* libs/gcp/mechanism-arrow.cc: ditto.
	* libs/gcp/mechanism-arrow.h: ditto.
	* libs/gcp/mechanism-step.cc: ditto.
	* libs/gcp/mechanism-step.h: ditto.
	* libs/gcp/reaction-step.cc: ditto.
	* libs/gcp/reaction-step.h: ditto.
	* mozilla-plugin/chem-viewer.cc: removed extra spaces.
	* mozilla-plugin/moz-plugin.c (ChemNew): remove apparently obsolete code.
	* plugins/paint/arrows/curvedarrowtool.cc: show a curved arrow when clicked
	on a bond.
	* plugins/paint/arrows/curvedarrowtool.h: ditto.

2009-09-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: fixed a couple of crashers.

2009-09-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: load settings before plugins.
	* plugins/paint/bonds/Makefile.am: add a new pixmap.
	* plugins/paint/bonds/bondtool.cc: invert hash icon when inverting bonds.
	* plugins/paint/bonds/bondtool.h: ditto.
	* plugins/paint/bonds/plugin.cc: ditto.

2009-09-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/tools.cc: don't add a NULL tool.
	* plugins/paint/templates/templatetool.cc: update hashed bonds when setting
	changes.
	* plugins/paint/templates/templatetool.h: ditto.
	* templates/paint/templates.xml.in: fixed nucleosides stereochemistry.

2009-09-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogcpapp.cc: cleaned code from old commented out lines.
	* goffice/gogcpwin.cc: fixed window title for component edition.
	* libs/gcp/application.cc: propagate configurations changes to tools.
	* libs/gcp/document.cc:  fixed window title for component edition.
	* libs/gcp/reaction-operator.cc: use a transparent background.
	* libs/gcp/text.cc: fixed text loading.
	* libs/gcp/text.h: ditto.
	* libs/gcp/tool.h: add Too::OnConfigChanged().

2009-09-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: add silent rules when available.
	* themes/paint/Wikipedia: revised theme (Matthias Mailänder).

2009-09-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: fixed the key type for "inverd-hashed-wedge".
	* libs/gcp/preferences.cc: fixed initialization of the same option.

2009-09-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: fixed gconf tests.

2009-09-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: add an option to invert hash bonds. [#26810]
	* libs/gcp/application.h: ditto.
	* libs/gcp/bond.cc: ditto.
	* libs/gcp/preferences.cc: ditto.
	* libs/gcp/settings.cc: ditto.
	* libs/gcp/settings.h: ditto.
	* plugins/paint/bonds/bondtool.cc: ditto.
	* programs/paint/gchempaint.schemas.in: ditto.
	* ui/paint/preferences.ui: ditto.

2009-09-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* programs/table/gchemtable-app.cc: load the ui flies not glade. [#27395]
	* ui/table/acidity.ui: removed the top level window.
	* ui/table/block.ui: ditto.
	* ui/table/family.ui: ditto.
	* ui/table/state-thermometer.ui: ditto.

2009-09-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.11.4).

2009-09-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/fill-item.cc: fixed after last goffice change.
	* libs/gccv/line-item.cc: ditto.
	* libs/gccv/text-tag.cc: ditto.
	* libs/gccv/text.cc: ditto.
	* libs/gccv/wedge.cc: ditto.
	* libs/gcp/atom.cc: ditto.
	* libs/gcp/electron.cc: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/settings.cc: ditto.
	* libs/gcp/text.cc: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcu/spectrumdoc.cc: ditto.
	* libs/gcu/xml-utils.cc: ditto.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/paint/arrows/arrowtool.cc: ditto.
	* plugins/paint/text/texttool.cc: ditto.
	* programs/3d/window.cc: ditto.

2009-09-03  Daniel Leidert  <daniel.leidert@wgdd.de>
	* docs/reference/Makefile.am: Don't use @foo@ syntax for variables
	like CFLAGS.
	* gnumeric/Makefile.am: Ditto.
	* goffice/Makefile.am: Ditto.
	* libs/gccv/Makefile.am: Ditto.
	* libs/gcp/Makefile.am: Ditto.
	* libs/gcu/Makefile.am: Ditto.
	* mozilla-plugin/Makefile.am: Ditto.
	* plugins/loaders/cdx/Makefile.am: Ditto.
	* plugins/loaders/cdxml/Makefile.am: Ditto.
	* plugins/loaders/cif/Makefile.am: Ditto.
	* plugins/loaders/cml/Makefile.am: Ditto.
	* plugins/paint/arrows/Makefile.am: Ditto.
	* plugins/paint/atoms/Makefile.am: Ditto.
	* plugins/paint/bonds/Makefile.am: Ditto.
	* plugins/paint/cycles/Makefile.am: Ditto.
	* plugins/paint/residues/Makefile.am: Ditto.
	* plugins/paint/selection/Makefile.am: Ditto.
	* plugins/paint/templates/Makefile.am: Ditto.
	* plugins/paint/text/Makefile.am: Ditto.
	* plugins/paint/wikipedia/Makefile.am: Ditto.
	* programs/3d/Makefile.am: Ditto.
	* programs/calc/Makefile.am: Ditto.
	* programs/crystal/Makefile.am: Ditto.
	* programs/paint/Makefile.am: Ditto.
	* programs/spectra/Makefile.am: Ditto.
	* programs/table/Makefile.am: Ditto.
	* tests/Makefile.am: Ditto.

2009-09-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/loader.cc: fixed after last goffice change.

2009-09-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: requires goffice >= 0.7.12.
	* libs/gccv/arrow.cc: update according to goffice API changes.
	* libs/gccv/bezier-arrow.cc: ditto.
	* libs/gccv/circle.cc: ditto.
	* libs/gccv/fill-item.cc: ditto.
	* libs/gccv/hash.cc: ditto.
	* libs/gccv/line-item.cc: ditto.
	* libs/gccv/line.cc: ditto.
	* libs/gccv/poly-line.cc: ditto.
	* libs/gccv/rectangle.cc: ditto.
	* libs/gccv/squiggle.cc: ditto.
	* libs/gccv/text-tag.cc: ditto.
	* libs/gccv/text.cc: ditto.
	* libs/gccv/wedge.cc: ditto.
	* libs/gcp/atom.cc: ditto.
	* libs/gcp/electron.cc: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/settings.cc: ditto.
	* libs/gcp/text.cc: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcu/spectrumdoc.cc: ditto.
	* libs/gcu/xml-utils.cc: ditto.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/paint/arrows/arrowtool.cc:  ditto.
	* plugins/paint/text/texttool.cc: ditto.
	* programs/3d/window.cc: ditto.

2009-08-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: fixed a double bond position.
	* libs/gcp/document.cc: do not set a bond as direct child when it already
	has a parent.
	* libs/gcp/fragment.cc: allways add atom as child when loading.
	* libs/gcp/molecule.cc: removed obsolete code.
	* plugins/paint/text/fragmenttool.cc: make atoms replacement work.

2009-08-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/docprop.cc: release the themes when done.
	* libs/gcp/document.cc: always release old theme.
	* libs/gcp/theme.cc: exit cleanly.
	* plugins/paint/bonds/chaintool.cc: use delete [] to delete an array.
	* plugins/paint/text/fragmenttool.cc: some work on atom to fragment
	transformation.

2009-08-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/bezier-arrow.cc: implement BezierArrow::Distance().
	* libs/gcp/fragment.cc: implement smart primes.

2009-08-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/bezier-arrow.cc: take arrow head into account for bounds.
	* plugins/loaders/cdx/cdx.cc: export Z order.
	* plugins/loaders/cdxml/cdxml.cc: ditto.

2009-08-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/text/fragmenttool.cc: implement text pasting in fragments.

2009-08-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cdx/cdx.cc: fixed scale issues.

2009-08-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: requires goffice-0.7.10.
	* libs/gcu/application.cc: fixed after goffice grand rename.
	* libs/gcu/cmd-context.cc: ditto.
	* libs/gcu/loader.cc: ditto.
	* libs/gcu/loader.h: ditto.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/loaders/cif/cif.cc: ditto.
	* plugins/loaders/cml/cml.cc: ditto.

2009-08-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: add Document::GetProperty ().
	* libs/gcp/document.h: ditto.
	* plugins/loaders/cdx/cdx.cc: start working on moleules export.
	* plugins/loaders/cdxml/cdxml.cc: export simple molecules.
	* plugins/loaders/cml/cml.cc: export children of not exported objects.

2009-08-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cdx/cdx.cc: export font table.
	* plugins/loaders/cdxml/cdxml.cc: ditto.

2009-08-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: request gnumeric 1.9.10 to build the gnumeric plugin.
	* gnumeric/functions.cc: fixed function description according to new API.
	* plugins/loaders/cdx/cdx.cc: export color table.
	* plugins/loaders/cdxml/cdxml.cc: ditto.

2009-08-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/bezier-arrow.cc: implement drawing.
	* libs/gccv/bezier-arrow.h: ditto.
	* libs/gccv/text.cc: fix unicode keyboard input.
	* libs/gccv/text.h: ditto.
	* libs/gcp/tool.cc: ditto.
	* libs/gcp/tool.h: ditto.
	* libs/gcp/view.cc: ditto.
	* plugins/loaders/cdxml/cdxml.cc: use xmlDoc instead of GsfXML.
	* plugins/paint/arrows/curvedarrowtool.cc: create a bezier arrow on click.
	* plugins/paint/text/fragmenttool.cc: fix unicode keyboard input.
	* plugins/paint/text/texttool.cc: ditto.
	* plugins/paint/text/texttool.h: ditto.
	* programs/spectra/window.cc: fix a memory leak.

2009-08-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* gnumeric/functions.cc: make documentation more gnumeric compliant.
	* libs/gcp/theme.cc: fixed localization in themes.
	* plugins/paint/wikipedia/wikipediatool.cc: reimplemented.
	* themes/paint/Wikipedia: fixed localization in themes.

2009-08-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: add a comment.
	* libs/gccv/text.cc: don't set the color by default.
	* libs/gcp/fragment.cc: reimplement charge.
	* plugins/paint/atoms/chargetool.cc: fully reimplemented.
	* plugins/paint/atoms/chargetool.h: ditto.

2009-08-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: add domainname to gnumeric/plugin.xml.
	* gnumeric/functions.cc: ditto, and move function help to new API.
	* gnumeric/plugin.xml.in: add domainname to gnumeric/plugin.xml.
	* gnumeric/plugin.xml.in.in: ditto.
	* libs/gcp/fragment.cc: more reimplementation.
	* libs/gcu/crystaldoc.cc: delete duplicate atoms from definition.

2009-08-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: fixed vertical position when text have several runs.
	* libs/gcp/fragment.cc: fix various bugs.
	* libs/gcp/tool.cc: add a flag to avoid status erasing on button release.
	* libs/gcp/tool.h: ditto.
	* libs/gcp/view.cc: ditto.
	* plugins/paint/text/fragmenttool.cc: add status text according to mode.
	* plugins/paint/text/fragmenttool.h: ditto.

2009-08-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: don't create too many runs.
	* libs/gcp/document.cc: fix a window title issue.
	* libs/gcp/fragment.cc: import 0.10 and earlier fragments.

2009-08-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: fixed some fragment related issues.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/text-object.cc: ditto.
	* libs/gcp/text-object.h: ditto.
	* libs/gcp/text.cc: ditto.
	* libs/gcu/crystaldoc.cc: ditto.
	* libs/gcu/spacegroup.cc: fixed transforms iterations so that the iterator
	points to the current element, not the next one.
	* plugins/loaders/cif/cif.cc: crystal export to cif completed.
	* plugins/loaders/cml/cml.cc: crystal export to cml completed.

2009-08-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: removed an obsolete FIXME.
	* libs/gcp/fragment.cc: more work on charges.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/text-object.cc: ditto.
	* libs/gcu/atom.cc: more work on cif and cml export.
	* libs/gcu/crystalatom.cc: ditto.
	* libs/gcu/crystalatom.h: ditto.
	* libs/gcu/crystaldoc.cc: ditto.
	* libs/gcu/crystaldoc.h: ditto.
	* plugins/loaders/cif/cif.cc: ditto.
	* plugins/loaders/cml/cml.cc: ditto.
	* programs/crystal/atomsdlg.cc: ditto.
	* programs/crystal/document.cc: ditto.

2009-08-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: add TextTag::Restrict to avoid overlapping tags.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.cc: use TextTag::Restrict when inserting a new tag.
	* libs/gcp/fragment.cc: allow a charge after a stoichiometry coefficient.
	* libs/gcp/fragment.h: add TextTag::Restrict support for charges and
	stoichiometry.

2009-08-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment.cc: some work on charges.
	* libs/gcu/crystaldoc.cc: start work on cif export.
	* libs/gcu/crystaldoc.h: ditto.
	* plugins/loaders/cif/cif.cc: ditto.
	* programs/crystal/application.cc: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/document.h: ditto.

2009-08-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: fix runs evaluation.
	* libs/gcp/fragment.cc: automatic stoichiometry coefficients reimplemented.
	* plugins/paint/text/fragmenttool.cc: don't automatically change the current
	mode to StoichiometryMode or ChargeMode.
	* programs/crystal/document.cc: fixed unneeded warnings and error messages.

2009-08-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: enhanced bond drawing near symbols and clean out white
	rectangles.
	* libs/gcp/fragment.cc: fix horizontal position.
	* libs/gcp/fragment.h: use double for left bearing.
	* libs/gcu/transform3d.cc: add missing const.
	* libs/gcu/transform3d.h: ditto.
	* plugins/paint/wikipedia/wikipediatool.cc: start exporting png files again.

2009-08-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: make underline and strikethrough work again.
	* libs/gcu/crystalatom.cc: partly implement space group sniffing.
	* libs/gcu/crystalatom.h: ditto.
	* libs/gcu/crystaldoc.cc: ditto.
	* libs/gcu/crystaldoc.h: ditto.
	* libs/gcu/spacegroup.cc: ditto.
	* libs/gcu/spacegroup.h: ditto.
	* plugins/loaders/cdx/cdx.cc: fix a test.
	* plugins/loaders/cif/cif.cc: remove unuseful code.
	* plugins/loaders/cml/cml.cc: enhance the <scalar/> node support.
	* programs/crystal/application.cc: do not write cml and cif files for now.
	* programs/crystal/document.h: removed the ReadOnly property (moved to
	gcu::CrystalDoc class).

2009-07-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: fix y for lines.
	* libs/gcu/crystalatom.cc: ensure that only fractional properties are
	imported.
	* libs/gcu/crystalatom.h: ditto.
	* libs/gcu/crystaldoc.cc: don't add an atom twice or more.
	* libs/gcu/objprops.h: add new fractional coordinates properties.
	* libs/gcu/spacegroup.cc: fix a possible crash.
	* plugins/loaders/cif/cif.cc: use new fractional coordinates properties.
	* plugins/loaders/cml/cml.cc: enhanced crystal structure import.

2009-07-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.cc: more work on underline and friends.
	* libs/gccv/canvas.h: ditto.
	* libs/gccv/structs.h: ditto.
	* libs/gccv/text-tag.cc: ditto.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.cc: ditto.
	* libs/gcp/application.cc: do not loose spaces while loading. [#27131]
	* libs/gcp/text.cc: ditto.
	* libs/gcu/xml-utils.cc: new color serialization methods.
	* libs/gcu/xml-utils.h: ditto.

2009-07-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/structs.h: add support for better text underline, strikethrough
	and overline.
	* libs/gccv/text-tag.cc: ditto.
	* libs/gccv/text-tag.h: ditto.
	* libs/gcp/text.cc: ditto.
	* plugins/paint/text/texttool.cc: ditto.
	* plugins/paint/text/texttool.h: ditto.

2009-07-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/chem3ddoc.cc: ues Matrix::glmult.
	* libs/gcu/crystaldoc.cc: completed cif files loading and removed OpenBabel
	dependency.
	* libs/gcu/crystaldoc.h: ditto.
	* libs/gcu/matrix.cc: add Matrix::glmult to take OpenGL axes orientation
	and removed OpenBabel dependency.
	* libs/gcu/matrix.h: ditto.
	* libs/gcu/objprops.h: add authors related properties.
	* libs/gcu/spacegroup.cc: added missing header.
	* plugins/loaders/cif/cif.cc: import now works even if not perfect.
	* plugins/loaders/cml/cml.cc: start work on crystal support.
	* programs/crystal/application.cc: removed OpenBabel dependency.
	* programs/crystal/application.h: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/document.h: ditto.

2009-07-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/structs.h: add an enum for text decoration type.
	* libs/gccv/text.cc: fix selection in multiline texts.
	* libs/gcp/text.cc: fix text color loading.
	* plugins/paint/text/texttool.cc: don't use duplicate accelerators.

2009-07-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-client.h: add methods for interline and justification
	changes notifications.
	* libs/gccv/text.cc: manage interline and fix various issues.
	* libs/gccv/text.h: ditto.
	* libs/gcp/text.cc: make interline and justification persistents.
	* libs/gcp/text.h: ditto.
	* plugins/paint/text/texttool.cc: add shortcuts to change justification
	and interline.

2009-07-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: removed interline property from NewLineTag.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.cc: add an interline property to Text.
	* libs/gccv/text.h: ditto.
	* libs/gcp/atom.cc: set the colors to the text, not the underlying
	rectangle.
	* libs/gcp/text.cc: load/save multiline text.

2009-07-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/crystaldoc.cc: load space group from cif files.
	* libs/gcu/crystaldoc.h: use gcu::SpaceGroup instead of OpenBabel.
	* libs/gcu/document.h: add virtual GetGtkWindow().
	* libs/gcu/objprops.h: add space group property.
	* libs/gcu/spacegroup.cc: fix initialization in Find() and initial matrix
	value in AddTransform().
	* libs/gcu/transform3d.cc: call Normalize() when needed.
	* plugins/loaders/cif/cif.cc: load space group.

2009-07-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/application.cc: fixed a compiler warning.
	* libs/gcu/crystaldoc.cc: load chemical names from cif files.
	* libs/gcu/crystaldoc.h: ditto.
	* libs/gcu/document.h: made SetTitle virtual.
	* libs/gcu/objprops.h: add properties for chemical names in cif files.
	* plugins/loaders/cif/cif.cc: load names and manage keywords.
	* programs/crystal/application.cc: update document title for cif files.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/document.h: ditto.

2009-07-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/reactant.cc: fixed a stoichiometric coefficient issue.
	* libs/gcp/reaction-prop-dlg.cc: ensure the combo box is populated.
	* libs/gcp/text.cc: don't set the fill color when selected.
	* libs/gcu/crystaldoc.cc: load cell parameters using GetProperty().
	* libs/gcu/crystaldoc.h: add GetPoperty().
	* libs/gcu/objprops.h: add cell parameters.
	* libs/gcu/ui-builder.cc: add a combo box intializer.
	* libs/gcu/ui-builder.h: ditto.
	* plugins/loaders/cif/cif.cc: loads cell parameters.
	* programs/crystal/application.cc: load cif files only using the gcu::Loader
	mechanism.
	* ui/paint/arrow-object.ui: add a model to the combo box.

2009-07-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: add a default text color.
	* libs/gccv/text.h: ditto.
	* libs/gcp/reaction-operator.cc: reiplemented reactions.
	* libs/gcp/reaction-step.cc: ditto.
	* libs/gcp/reaction-step.h: ditto.
	* libs/gcp/widgetdata.cc: enhance WidgetData::IsSelected().
	* plugins/loaders/cif/cif.cc: some initial work.
	* programs/crystal/application.cc: start using gcu::Loader mechanism. 

2009-07-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/application.cc: create a default application used when needed.
	* libs/gcu/application.h: ditto.
	* libs/gcu/chem3ddoc.cc: use the Application::Loader mechanism whenever
	possible.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/molecule.cc:add names.
	* libs/gcu/molecule.h: ditto.
	* plugins/loaders/cml/cml.cc: load molecule names.

2009-07-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: added Text::DeleteTextTag.
	* libs/gccv/text.h: ditto.
	* plugins/paint/atoms/chargetool.cc: fully reimplemented.
	* plugins/paint/atoms/chargetool.h: ditto.

2009-07-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/window.cc: do not use a freed string in a message box.
	* libs/gcp/atom.cc: more work on charges reimplementation.
	* plugins/paint/atoms/chargetool.cc: ditto.

2009-07-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: set position after text to track size.
	* libs/gcp/atom.cc: changed int to gccv::Anchor as returned value by
	Atom::GetChargePosition.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/fragment-atom.cc: ditto.
	* libs/gcp/fragment-atom.h: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/fragment.h: ditto.
	* plugins/paint/atoms/chargetool.cc: mostly reimplement OnClicked.

2009-07-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* *Makefile.am: make anjuta happy (indentation issue).
	* libs/gcp/atom.cc: fixed electrons horizontal position.
	* libs/gcp/electron.cc: fixed electrons pair rendering.
	* plugins/paint/atoms/electrontool.cc: typo. 

2009-07-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/electron.cc: reimplemented in new canvas.
	* libs/gcp/electron.h: ditto.
	* libs/gcp/tools.cc: fix a crasher relmated to the ui-builder migration.
	* libs/gcp/tools.h: ditto.

2009-07-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: fixed an uninitialized variable issue.
	* libs/gcp/atom.cc: update bonds when showing/hiding the symbol and use
	ink extents instead of logical extents for electrons and charges positions.
	* libs/gcp/window.cc: add a full screen menu option.

2009-06-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: add command-line options to get maximized
	or fullscreen windows.
	* libs/gcp/application.h: ditto.
	* libs/gcp/window.cc: ditto.
	* libs/gcu/application.cc: ditto.
	* libs/gcu/application.h: ditto.

2009-06-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.11.3).

2009-06-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* Makefile.am: fixed discheck when goffice doesn't use gconf.
	* configure.ac: ditto.
	* plugins/paint/arrows/Makefile.am: ditto.
	* programs/crystal/Makefile.am: ditto.
	* programs/paint/Makefile.am: ditto.

2009-06-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: fixed font description life cycle and enhance size.
	* libs/gccv/text.h: ditto.
	* libs/gcp/bond.cc: fixed dissymetry around atoms.
	* libs/gcu/application.cc: shutdown goffice when done.

2009-06-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* *: cleaned included headers.

2009-06-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.h: include goffice/goffice.h instead of individual
	files.
	* libs/gccv/line-item.h: ditto.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/wedge.h: ditto.
	* libs/gcp/application.h: ditto.
	* libs/gcp/settings.h: ditto.
	* libs/gcp/theme.h: ditto.
	* libs/gcu/application.h: ditto.
	* libs/gcu/cmd-context.h: ditto.
	* libs/gcu/glview.h: ditto.
	* libs/gcu/gtkspectrumviewer.h: ditto.
	* libs/gcu/loader.h: ditto.
	* libs/gcu/macros.h: ditto.
	* libs/gcu/spectrumdoc.h: ditto.
	* libs/gcu/spectrumview.h: ditto.
	* programs/crystal/globals.h: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-curve.h: ditto.
	* programs/table/gchemtable-data.cc: ditto.
	* programs/table/gchemtable-data.h: ditto.

2009-06-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/gtkperiodic.c (gtk_periodic_init),
	(gtk_periodic_finalize): ported to GtkBuilder as well.
	* ui/gtkperiodic.ui: removed the toplevel window.

2009-05-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* all files: ported from libglade to GtkBuilder.

2009-05-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumview.cc: fixed a crash.
	* programs/spectra/window.cc: add the coordinates as tip when the mouse
	pointer is over the chart.

2009-05-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: needs goffice >= 0.7.7.
	* programs/table/gchemtable-curve.cc: fixed vector selections.
	* programs/table/gchemtable-data-allocator.cc: make it compile with latest
	goffice.
	* programs/table/gchemtable-data.cc: fix min max calculation for vectors.

2009-05-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: fixed dimensions.
	* libs/gcp/text-object.cc: always initialize m_Editor.

2009-05-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: add a new line tag.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.cc: implement runs on one line.
	* libs/gccv/text.h: ditto.
	* libs/gcp/fragment.cc: fix saving.

2009-04-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: request goffice>=0.7.6 after new API breakage.
	* programs/calc/gchemcalc.cc: use new GOData API.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-data-allocator.cc: ditto.
	* programs/table/gchemtable-data.cc: ditto.

2009-04-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/atom.cc: start replacing OpenBabel code.
	* libs/gcu/atom.h: ditto.
	* libs/gcu/chem3ddoc.cc: ditto.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/crystaldoc.cc: ditto.
	* libs/gcu/cylinder.cc: ditto.
	* libs/gcu/cylinder.h: ditto.
	* libs/gcu/glview.cc: ditto.
	* libs/gcu/matrix.cc: ditto.
	* libs/gcu/molecule.cc: ditto.
	* libs/gcu/molecule.h: ditto.
	* libs/gcu/object.cc: ditto.
	* libs/gcu/object.h: ditto.
	* libs/gcu/sphere.cc: ditto.
	* libs/gcu/sphere.h: ditto.
	* libs/gcu/vector.cc: ditto.
	* libs/gcu/vector.h: ditto.
	* programs/3d/application.cc: ditto.
	* programs/3d/document.cc: ditto.
	* programs/3d/main.cc: ditto.

2009-04-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: requires libspreadsheet >= 1.9.6 to build the gnumeric
	plugin.

2009-04-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: fix fragment specific tags issues.
	* libs/gccv/text-tag.h: add TextTag::NeedNewRun() method.
	* libs/gcp/fragment.cc: reimplement serialization.

2009-04-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment.cc: partially reimplement loading.
	* libs/gcp/text-object.cc: add missing initialization.

2009-04-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: require gtk+-2.0 >= 2.14 and add -DGSEAL_ENABLE.
	* libs/gccv/canvas.cc: make things compile with -DGSEAL_ENABLE.
	* libs/gcp/fragment.cc: export the custom tags.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/view.cc: make things compile with -DGSEAL_ENABLE.
	* libs/gcp/widgetdata.cc: ditto.
	* libs/gcp/window.cc: ditto.
	* libs/gcu/glview.cc: ditto.
	* libs/gcu/glview.h: ditto.
	* libs/gcu/gtkchem3dviewer.cc: ditto.
	* libs/gcu/gtkcrystalviewer.cc: ditto.
	* libs/gcu/gtkperiodic.c: (gtk_periodic_size_allocate),
	(gtk_periodic_size_request): ditto.
	* libs/gcu/gtkspectrumviewer.cc: ditto.
	* libs/gcu/spectrumdoc.cc: ditto.
	* libs/gcu/spectrumview.cc: ditto.
	* libs/gcu/spectrumview.h: ditto.
	* mozilla-plugin/chem-viewer.cc: ditto.
	* plugins/paint/templates/templatetool.cc: ditto.
	* plugins/paint/templates/templatetool.h: ditto.
	* plugins/paint/text/fragmenttool.cc: implement UpdateTagsList.
	* plugins/paint/text/fragmenttool.h: ditto.
	* plugins/paint/text/texttool.cc: make things compile with -DGSEAL_ENABLE.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/linesdlg.cc: ditto.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-curve.h: ditto.
	* programs/table/gchemtable-data-allocator.cc: ditto.

2009-04-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment.cc: implement an edition mode.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/preferences.cc: take new PANGO_WEIGHT_* values into account.
	* libs/gcp/theme.cc: ditto.
	* plugins/paint/text/fragmenttool.cc: replace "-" by minus when it is
	probably a charge.
	* plugins/paint/text/fragmenttool.h:
	* plugins/paint/text/texttool.cc: don't use deprecated event->string.
	* plugins/paint/text/texttool.h: made UpdateTagsList virtual.

2009-04-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: allow for custom tags.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.cc: ditto.
	* libs/gcp/fragment.cc: more reimplementation.
	* libs/gcp/fragment.h: ditto.
	* plugins/paint/text/fragmenttool.cc: ditto and add new modes to force
	interpretation as charge or stoichiometry.
	* plugins/paint/text/fragmenttool.h: ditto.

2009-04-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumdoc.cc: make our code compatible with new goffice API.
	* libs/gcu/spectrumview.cc: ditto.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/table/gchemtable-curve.cc: ditto.

2009-04-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: add two new methods and fix OnButtonPressed when the
	text is inside a positioned group.
	* libs/gccv/text.h: add two new methods: GetIndexAt and GetPositionAtIndex.
	* libs/gcp/fragment.cc: more reimplementation work.
	* plugins/paint/text/fragmenttool.cc: ditto.
	* plugins/paint/text/texttool.cc: ensure the document is marked as dirty
	when a text has changed.

2009-04-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: fixed selection start after typing a backspace, fixed
	GetSelectionBounds signature, and always initialize m_CurTags to non NULL.
	* libs/gccv/text.h: fixed GetSelectionBounds signature.
	* libs/gcp/atom.cc: add a missing return.
	* libs/gcp/fragment.cc: more work on fragments reimplementation.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/text-object.cc: ditto.
	* plugins/paint/text/fragmenttool.cc: ditto.
	* plugins/paint/text/texttool.cc: cleaned OnKeyPress.

2009-04-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: requires goffice >= 0.7.5 because of some macros renaming.
	* goffice/gchemutils.cc: make our code compatible with new goffice API.
	* goffice/gchemutils.h: ditto.
	* libs/gccv/text.cc: removed an obsolete FIXME.
	* libs/gcp/document.cc: add fragment to the document before adding it to
	the view..
	* libs/gcp/fragment.cc: started reimplementation.
	* libs/gcp/text-object.h: removed unused m_Align.
	* libs/gcp/view.cc: don't try to set widget size to a negative value.
	* libs/gcu/cmd-context.cc: make our code compatible with new goffice API.
	* libs/gcu/cmd-context.h: ditto.
	* libs/gcu/gtkcomboperiodic.c: ditto.
	* libs/gcu/gtkcomboperiodic.h: ditto.
	* libs/gcu/loader.cc: ditto.
	* libs/gcu/spectrumdoc.cc: ditto.
	* libs/gcu/spectrumview.cc: ditto.
	* mozilla-plugin/chem-viewer.cc: ditto.
	* plugins/paint/text/fragmenttool.cc: started reimplementation.
	* plugins/paint/text/texttool.cc: paste text from other apps.
	* programs/calc/gchemcalc.cc: make our code compatible with new goffice API.
	* programs/spectra/gspectrum.cc: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-data-allocator.cc: ditto.
	* programs/table/gchemtable-data-allocator.h: ditto.
	* programs/table/gchemtable-data.cc: ditto.
	* programs/table/gchemtable-data.h: ditto.
	* programs/table/gchemtable-main.cc: ditto.

2009-04-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/group.cc: set empty group size to [G_MAXDOUBLE, -G_MAXDOUBLE].
	* libs/gccv/text-client.h: add a position argument to TextChanged().
	* libs/gccv/text.cc: implement Get/SetSelectionBounds().
	* libs/gccv/text.h: ditto.
	* libs/gcp/text-object.cc: ditto, and reimplement undo/redo and clipboard
	operations.
	* libs/gcp/text-object.h: ditto.
	* libs/gcp/text.cc: ditto.
	* libs/gcp/text.h: ditto.
	* plugins/paint/text/texttool.cc: ditto, still missing: pasting text
	from other applications and fragment support.

2009-04-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: do not use pango for underline and strikethrough
	(and break these for now).
	* libs/gccv/text.cc: implement ApplyTagsToSelection.
	* libs/gccv/text.h: ditto.
	* plugins/paint/text/texttool.cc: applies newly selected tags to selection.
	* plugins/paint/text/texttool.h: ditto.

2009-04-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/Makefile.am: add new TextClient class.
	* libs/gccv/structs.h: remove text bounds.
	* libs/gccv/text-client.cc: new ItemClient derived class.
	* libs/gccv/text-client.h: ditto.
	* libs/gccv/text-tag.h: update the copyright.
	* libs/gccv/text.cc: use the new TextClient class.
	* libs/gccv/text.h: update the copyright.
	* libs/gcp/Makefile.am: add new TextEditor class.
	* libs/gcp/fragment.cc: make TextObject derive from gccv::TextClient.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/text-editor.h: new class.
	* libs/gcp/text-object.cc: make TextObject derive from gccv::TextClient.
	* libs/gcp/text-object.h: ditto.
	* libs/gcp/text.cc: ditto.
	* libs/gcp/text.h: ditto.
	* libs/gcp/tool.cc: rename OnEvent to OnKeyPress.
	* libs/gcp/tool.h: ditto.
	* libs/gcp/view.cc: ditto.
	* plugins/paint/bonds/chaintool.cc: ditto.
	* plugins/paint/bonds/chaintool.h: ditto.
	* plugins/paint/text/fragmenttool.cc: ditto.
	* plugins/paint/text/fragmenttool.h: ditto.
	* plugins/paint/text/texttool.cc: more reimplement work.
	* plugins/paint/text/texttool.h: make the tool derive from gcp::TextEditor.

2009-03-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: add gcp::Atom::HasAvailableElectrons.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/view.cc: use the atom if any when moving the mouse.
	* plugins/paint/arrows/curvedarrowtool.cc: don't allow curves starting
	from an atom without appropriate unbonded electrons.

2009-03-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/item.h: added missing space.
	* libs/gccv/text.cc: implement selection.
	* libs/gccv/text.h: ditto.
	* libs/gcp/text.cc: ditto.
	* plugins/paint/text/texttool.cc: ditto.
	* plugins/paint/text/texttool.h: ditto.

2009-03-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.11.2).
	* libs/gccv/text-tag.h: add methods to retreive properties.
	* libs/gcp/text.cc: reimplement serialization.

2009-03-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* gnumeric/Makefile.am: fixed typo in INCLUDES.
	* plugins/loaders/cdx/Makefile.am: fixed CLEANFILES.
	* plugins/loaders/cdxml/Makefile.am: ditto.
	* plugins/loaders/cif/Makefile.am: ditto.
	* plugins/loaders/cml/Makefile.am: ditto.

2009-03-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: made the Duplicate method const.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.cc: add a few new methods.
	* libs/gccv/text.h: ditto.
	* libs/gcp/fragment.cc: ensure things compile by commenting out most
	things.
	* libs/gcp/reactant.cc: ensure things compile.
	* libs/gcp/text-object.cc: removed m_Layouts and attributes, add tags.
	* libs/gcp/text-object.h: ditto.
	* libs/gcp/text.cc: reimplement loading.
	* plugins/paint/text/texttool.cc: ensure things compile.

2009-03-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: fixed sub/superscript support.

2009-03-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/man/gchem3d.1: updated man page.
	* docs/man/gcrystal.1: ditto.
	* docs/man/gspectrum.1: ditto.
	* libs/gccv/structs.h: add a new TextPosition enum.
	* libs/gccv/text-tag.cc: make things mostly work.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.cc: start suporting rich text again.
	* libs/gccv/text.h: ditto.
	* libs/gcp/atom.cc: adapt to gccv API changes.
	* plugins/paint/text/texttool.cc: ditto and partly reimplement.
	* plugins/paint/text/texttool.h: ditto.

2009-03-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/theme.cc: fixed an issue related to file themes.

2009-03-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/tool.h: fixed crashes when copying text. [#25888]
	* libs/gcp/widgetdata.cc: ditto.
	* libs/gcp/widgetdata.h: ditto.
	* plugins/paint/text/fragmenttool.cc: ditto.
	* plugins/paint/text/texttool.cc: ditto.

2009-03-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* Makefile.am: fixed distcheck flags after the gnumeric plugin
	introduction.
	* configure.ac: fixed typo.
	* libs/gcp/reaction-operator.cc: more reimplementation work.
	* libs/gcp/reaction-operator.h: ditto.
	* libs/gcp/reaction.cc: ditto.
	* plugins/paint/arrows/retrosynthesis.cc: ditto.
	* plugins/paint/selection/group.cc: ditto.
	* plugins/paint/selection/group.h: ditto.

2009-03-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* Makefile.am: add gnumeric to SUBDIRS.
	* configure.ac: check for gnumeric.
	* gnumeric/Makefile.am: new gnumeric plugin.
	* gnumeric/functions.cc: add molarmass function to gnumeric.
	* gnumeric/plugin.xml.in: ditto.
	* libs/gcu/formula.cc: fixed Formula constructor.
	* libs/gcu/spacegroup.cc: fixed typo in message.

2009-03-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/object.cc: load "text" nodes when they have children.

2009-03-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: fixed more compilation warnings.
	* goffice/gogcpapp.cc: ditto.
	* libs/gccv/text-tag.cc: add SriketroughTextTag and TextTagList classes.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.h: add Text::GetCursorPosition ().
	* libs/gcp/view.h: fixed documentation.
	* libs/gcu/application.h: ditto.
	* libs/gcu/loader.h: ditto.
	* libs/gcu/structs.h: ditto.
	* mozilla-plugin/chem-viewer.cc: fixed more compilation warnings.
	* mozilla-plugin/moz-plugin.c: ditto.
	* plugins/paint/text/texttool.cc: more reimplementation work.
	* plugins/paint/text/texttool.h: ditto.
	* programs/3d/main.cc: fixed more compilation warnings.
	* programs/3d/window.cc: ditto.
	* programs/crystal/atomsdlg.cc: ditto.
	* programs/crystal/celldlg.cc: ditto.
	* programs/crystal/cleavagesdlg.cc: ditto.
	* programs/crystal/docprop.cc: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/linesdlg.cc: ditto.
	* programs/crystal/main.cc: ditto.
	* programs/crystal/prefs.cc: ditto.
	* programs/crystal/window.cc: ditto.
	* programs/spectra/application.cc: ditto.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-app.cc: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-data-allocator.cc: ditto.
	* programs/table/gchemtable-data.cc: ditto.
	* programs/table/gchemtable-main.cc: ditto.

2009-03-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cdx/cdx.cc: fix integer loading on big endian machines.

2009-03-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cdx/cdx.cc: fixed compilation warnings.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/loaders/cif/cif.cc: ditto.
	* plugins/loaders/cml/cml.cc: ditto.
	* plugins/paint/arrows/curvedarrowtool.cc: ditto.
	* plugins/paint/arrows/retrosynthesis.cc: ditto.
	* plugins/paint/arrows/retrosynthesisstep.cc: ditto.
	* plugins/paint/atoms/electrontool.cc: ditto.
	* plugins/paint/bonds/bondtool.cc: ditto.
	* plugins/paint/bonds/chaintool.cc: ditto.
	* plugins/paint/residues/plugin.cc: ditto.
	* plugins/paint/residues/pseudo-atom.h: ditto.
	* plugins/paint/residues/residues-dlg.cc: ditto.
	* plugins/paint/selection/group.cc: ditto.
	* plugins/paint/selection/selectiontool.cc: ditto.
	* plugins/paint/templates/gtkcombotoolitem.c:
	(gtk_tool_combo_class_init), (gtk_tool_combo_init): ditto.
	* plugins/paint/templates/templatetool.cc: ditto.
	* plugins/paint/text/fragmenttool.cc: ditto.
	* plugins/paint/text/texttool.cc: ditto.
	* plugins/paint/wikipedia/plugin.cc: ditto.

2009-03-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/about.cc: fixed compilation warnings.
	* libs/gcp/application.cc: ditto.
	* libs/gcp/bond.cc: ditto.
	* libs/gcp/docprop.cc: ditto.
	* libs/gcp/document.cc: ditto.
	* libs/gcp/fontsel.cc: ditto.
	* libs/gcp/fragment-atom.cc: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/mesomer.cc: ditto.
	* libs/gcp/mesomery.cc: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcp/plugin.cc: ditto.
	* libs/gcp/preferences.cc: ditto.
	* libs/gcp/reactant.cc: ditto.
	* libs/gcp/reaction-arrow.cc: ditto.
	* libs/gcp/reaction-operator.cc: ditto.
	* libs/gcp/reaction-prop.cc: ditto.
	* libs/gcp/reaction-step.cc: ditto.
	* libs/gcp/stringdlg.cc: ditto.
	* libs/gcp/target.cc: ditto.
	* libs/gcp/text-object.cc: ditto.
	* libs/gcp/tool.cc: ditto.
	* libs/gcp/tool.h: ditto.
	* libs/gcp/tools.cc: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcp/window.cc: ditto.
	* libs/gcu/atom.cc: ditto.
	* libs/gcu/bond.cc: ditto.
	* libs/gcu/cmd-context.cc: ditto.
	* libs/gcu/crystalatom.cc: ditto.
	* libs/gcu/crystaldoc.cc: ditto.
	* libs/gcu/cycle.cc: ditto.
	* libs/gcu/dialog.cc: ditto.
	* libs/gcu/document.cc: ditto.
	* libs/gcu/glview.cc: ditto.
	* libs/gcu/gtkchem3dviewer.cc: ditto.
	* libs/gcu/gtkcomboperiodic.c: (cb_screen_changed): ditto.
	* libs/gcu/gtkcrystalviewer.cc: ditto.
	* libs/gcu/gtkperiodic.c: (gtk_periodic_get_type),
	(gtk_periodic_set_property): ditto.
	* libs/gcu/gtkspectrumviewer.cc: ditto.
	* libs/gcu/loader.cc: ditto.
	* libs/gcu/molecule.cc: ditto.
	* libs/gcu/object.cc: ditto.
	* libs/gcu/print-setup-dlg.cc: ditto.
	* libs/gcu/printable.cc: ditto.
	* libs/gcu/spectrumdoc.cc: ditto.
	* libs/gcu/spectrumview.cc: ditto.

2009-03-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* glade/crystal/prefs.glade: set page size to 0 for spin buttons to
	avoid a warning when using gtk+-2 >= 2.14.0.
	* glade/crystal/view-settings.glade: ditto.
	* glade/image-resolution.glade: ditto.
	* glade/image-size.glade: ditto.
	* glade/paint/preferences.glade: ditto.
	* glade/paint/zoom.glade: ditto.
	* glade/print-setup.glade: ditto.
	* glade/table/state-thermometer.glade: ditto.
	* plugins/paint/arrows/arrowtool.glade: ditto.
	* plugins/paint/bonds/bond.glade: ditto.
	* plugins/paint/bonds/chain.glade: ditto.
	* plugins/paint/cycles/cycle.glade: ditto.
	* plugins/paint/cycles/cyclen.glade: ditto.
	* plugins/paint/selection/group.glade: ditto.
	* plugins/paint/text/fontsel.glade: ditto.

2009-03-06  Daniel Leidert  <daniel.leidert@wgdd.de>
	* goffice/gchemutils.cc: Fixed FSF address.
	* goffice/gchemutils.h: ditto.
	* goffice/gchemutils-priv.h: ditto.
	* goffice/gogcpapp.cc: ditto.
	* goffice/gogcpapp.h: ditto.
	* goffice/gogcpwin.cc: ditto.
	* goffice/gogcpwin.h: ditto.
	* goffice/gogcuapp.cc: ditto.
	* goffice/gogcuapp.h: ditto.
	* libs/gccv/cc-rich-text.h: ditto.
	* libs/gcp/about.cc: ditto.
	* libs/gcp/window.cc: ditto.
	* libs/gcp/window.h: ditto.
	* mozilla-plugin/moz-plugin.c: ditto.
	* programs/3d/main.cc: ditto.
	* programs/crystal/application.cc: ditto.
	* programs/crystal/application.h: ditto.
	* programs/crystal/atom.cc: ditto.
	* programs/crystal/atom.h: ditto.
	* programs/crystal/atomsdlg.cc: ditto.
	* programs/crystal/atomsdlg.h: ditto.
	* programs/crystal/celldlg.cc: ditto.
	* programs/crystal/celldlg.h: ditto.
	* programs/crystal/cleavage.cc: ditto.
	* programs/crystal/cleavage.h: ditto.
	* programs/crystal/cleavagesdlg.cc: ditto.
	* programs/crystal/cleavagesdlg.h: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/document.h: ditto.
	* programs/crystal/gcrystal.h: ditto.
	* programs/crystal/globals.h: ditto.
	* programs/crystal/line.cc: ditto.
	* programs/crystal/line.h: ditto.
	* programs/crystal/linesdlg.cc: ditto.
	* programs/crystal/linesdlg.h: ditto.
	* programs/crystal/main.cc: ditto.
	* programs/crystal/prefs.cc: ditto.
	* programs/crystal/prefs.h: ditto.
	* programs/crystal/sizedlg.cc: ditto.
	* programs/crystal/sizedlg.h: ditto.
	* programs/crystal/view.cc: ditto.
	* programs/crystal/view.h: ditto.
	* programs/crystal/view-settings.cc: ditto.
	* programs/crystal/view-settings.h: ditto.
	* programs/crystal/window.cc: ditto.
	* programs/crystal/window.h: ditto.
	* programs/table/gchemtable-app.cc: ditto.
	* programs/table/gchemtable-app.h: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-curve.h: ditto.
	* programs/table/gchemtable-data-allocator.cc: ditto.
	* programs/table/gchemtable-data-allocator.h: ditto.
	* programs/table/gchemtable-data.cc: ditto.
	* programs/table/gchemtable-data.h: ditto.
	* programs/table/gchemtable-elt.cc: ditto.
	* programs/table/gchemtable-elt.h: ditto.
	* programs/table/gchemtable-graph-editor.cc: ditto.
	* programs/table/gchemtable-graph-editor.h: ditto.
	* programs/table/gchemtable-main.cc: ditto.
	* tests/testgtkchem3dviewer.c: ditto.
	* tests/testgtkcrystalviewer.c: ditto.
	* tests/testgtkperiodic.c: ditto.

2009-03-06  Daniel Leidert  <daniel.leidert@wgdd.de>
	* plugins/loaders/cdx/Makefile.am: We don't need two *dir variables.
	Make the code a bit easier (also to avoid typos).
	* plugins/loaders/cdxml/Makefile.am: ditto.
	* plugins/loaders/cif/Makefile.am: ditto.
	* plugins/loaders/cml/Makefile.am: ditto.

2009-03-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: needs goffice >= 0.7.3 and remove any direct call to
	gconf or gnome API.
	* goffice/Makefile.am: ditto.
	* libs/gcp/application.cc: ditto.
	* libs/gcp/application.h: ditto.
	* libs/gcp/preferences.cc: ditto.
	* libs/gcp/theme.cc: ditto.
	* libs/gcp/theme.h: ditto.
	* libs/gcu/application.cc: ditto.
	* libs/gcu/application.h: ditto.
	* libs/gcu/filechooser.cc: ditto.
	* libs/gcu/glview.cc: ditto.
	* libs/gcu/glview.h: ditto.
	* libs/gcu/macros.h: ditto.
	* libs/gcu/printable.cc: ditto.
	* mozilla-plugin/Makefile.am: ditto.
	* mozilla-plugin/chem-viewer.cc: ditto.
	* plugins/paint/arrows/arrowtool.cc: ditto.
	* plugins/paint/arrows/plugin.cc: ditto.
	* programs/3d/main.cc: ditto.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/globals.h: ditto.
	* programs/crystal/main.cc: ditto.
	* programs/crystal/prefs.cc: ditto.
	* programs/paint/main.cc: ditto.
	* programs/spectra/gspectrum.cc: ditto.
	* tests/testgtkchem3dviewer.c: (main): ditto.
	* tests/testgtkperiodic.c: (on_changed), (main): fixed compilation
	with gtk+-2.14.x.

2009-03-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: try removing as many unused direct shlib dependency
	as possible. [#20617]
	* glade/crystal/atoms.glade: set page size to 0 for spin buttons to
	avoid a warning when using gtk+-2 >= 2.14.0.
	* goffice/Makefile.am: fixes for #20617.
	* libs/gccv/Makefile.am: ditto.
	* libs/gccv/text-tag.cc: add new tags.
	* libs/gccv/text-tag.h: ditto.
	* libs/gcp/Makefile.am: fixes for #20617.
	* libs/gcp/application.cc: don't call exit in a library. [#25686]
	* libs/gcp/application.h: ditto.
	* libs/gcp/window.cc: ditto.
	* libs/gcp/window.h: ditto.
	* libs/gcu/Makefile.am: fixes for #20617.
	* libs/gcu/application.cc: store current directory as an URI.
	* libs/gcu/application.h: make Printable a virtual parent class.
	* libs/gcu/glview.cc: don't call exit in a library. [#25686]
	* libs/gcu/glview.h: ditto.
	* libs/gcu/residue.h: add G_GNUC_UNUSED flags when needed.
	* mozilla-plugin/Makefile.am: fixes for #20617.
	* plugins/loaders/cdx/Makefile.am: ditto.
	* plugins/loaders/cdxml/Makefile.am: ditto.
	* plugins/loaders/cif/Makefile.am: ditto.
	* plugins/loaders/cml/Makefile.am: ditto.
	* plugins/paint/arrows/Makefile.am: ditto.
	* plugins/paint/atoms/Makefile.am: ditto.
	* plugins/paint/bonds/Makefile.am: ditto.
	* plugins/paint/cycles/Makefile.am: ditto.
	* plugins/paint/residues/Makefile.am: ditto.
	* plugins/paint/selection/Makefile.am: ditto.
	* plugins/paint/templates/Makefile.am: ditto.
	* plugins/paint/text/Makefile.am: ditto.
	* plugins/paint/wikipedia/Makefile.am: ditto.
	* programs/3d/Makefile.am: ditto.
	* programs/calc/Makefile.am: ditto.
	* programs/calc/gchemcalc.cc: exits more cleanly (avoids a goffice
	critical) and add G_GNUC_UNUSED flags when needed.
	* programs/crystal/Makefile.am: fixes for #20617.
	* programs/paint/Makefile.am: ditto.
	* programs/spectra/Makefile.am: ditto.
	* programs/spectra/document.h: remove unused OpenBabel namespace.
	* programs/table/Makefile.am: fixes for #20617.
	* tests/Makefile.am: ditto.

2009-03-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: some reimplementation of size evaluation.
	* libs/gcp/preferences.cc: make compilation against gtk+-2.14.x succeed.
	* libs/gcp/tools.cc: ditto.
	* plugins/paint/atoms/electrontool.cc: reimplemented using the new canvas.
	* programs/crystal/atomsdlg.cc: make compilation against gtk+-2.14.x
	succeed.
	* programs/crystal/cleavagesdlg.cc: ditto.
	* programs/crystal/document.cc: use the label to name the current file,
	not the title which might not exist.
	* programs/crystal/linesdlg.cc: make compilation against gtk+-2.14.x
	succeed.
	* programs/crystal/window.cc: ditto.
	* programs/table/gchemtable-app.cc: ditto.

2009-03-01  Daniel Leidert  <daniel.leidert@wgdd.de>
	* Makefile.am (MAINTAINERCLEANFILES): Added intltool*.in templates.

2009-03-01  Daniel Leidert  <daniel.leidert@wgdd.de>
	* gendocs: Grep for lines beginning with DOC_MODULE.
	* docs/help/3d/Makefile.am (MAINTAINERCLEANFILES): Remove versioned
	files created by gendocs.
	* docs/help/calc/Makefile.am (MAINTAINERCLEANFILES): Ditto.
	* docs/help/crystal/Makefile.am (MAINTAINERCLEANFILES): Ditto.
	* docs/help/paint/Makefile.am (MAINTAINERCLEANFILES): Ditto.
	* docs/help/spectra/Makefile.am (MAINTAINERCLEANFILES): Ditto.
	* docs/help/table/Makefile.am (MAINTAINERCLEANFILES): Ditto.
	* plugins/loaders/cif/Makefile.am (xmldir): Fixed.

2009-02-25  Daniel Leidert  <daniel.leidert@wgdd.de>
	* configure.ac: Also check for iceape-plugin.pc.
	* Makefile.am (schemasdir): Use $(GCONF_SCHEMA_FILE_DIR).
	* programs/paint/Makefile.am (schemasdir): ditto.
	* pixmaps/Makefile.am: The `gnome-mime-' prefix for MIME type icons is
	obsolete.

2009-02-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: add check for npfunctions.h.
	* libs/gcu/element.cc: fix compilation with gcc-4.4. [#25628]
	* libs/gcu/spectrumdoc.cc: ditto.
	* mozilla-plugin/moz-plugin.c: (ChemNew): compiles with the new
	xulrunner API.  [see #25628]

2009-02-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: reimplemented subscripts.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.cc: ditto.
	* libs/gccv/text.h: ditto.
	* libs/gcp/atom.cc: disply again attached hydrogens number as a
	subscript.

2009-02-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/reference/Makefile.am: do not install API docs.
	* libs/gccv/text.cc: do not end with unfinished cairo paths.

2009-01-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/bezier-arrow.cc: first implementation for bounds.
	* libs/gccv/text.cc: fixed run length (must be in bytes, not chars).

2009-01-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/Makefile.am: add new files.
	* libs/gccv/arrow.cc: set default values for arrow head shape.
	* libs/gccv/arrow.h: moved ArrowHead enum to structs.h.
	* libs/gccv/bezier-arrow.cc: new bezier cubic curve based arrows (not yet
	functional).
	* libs/gccv/bezier-arrow.h: ditto.
	* libs/gccv/structs.h: moved ArrowHead enum to structs.h.
	* libs/gccv/text.cc: some work on rich text.
	* libs/gcp/text.cc: set the default font description.

2009-01-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: one more double bond position fix.

2009-01-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/Makefile.am: add a cursor pixbuf.
	* libs/gcp/application.cc: add a cursors collection.
	* libs/gcp/application.h: ditto.
	* libs/gcp/tool.cc: implement Tool::OnMotion to enable context sensitive
	cursors.
	* libs/gcp/tool.h: ditto.
	* libs/gcp/view.cc: call Tool::OnMotion when appropriate.
	* plugins/paint/arrows/curvedarrowtool.cc: Implement OnMotion.
	* plugins/paint/arrows/curvedarrowtool.h: ditto.
	* plugins/paint/arrows/plugin.cc: Activate curved arrow tools.

2009-01-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: implement very basic text edition.
	* libs/gccv/text.h: ditto.
	* libs/gcp/text.cc: use gccv::Anchor.
	* plugins/paint/text/texttool.cc: call gccv::Text::OnKeyPressed when
	appropriate.

2009-01-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* AUTHORS: added the brasilian translator.
	* *.h, *.c, *.cc: fixed FSF address.

2009-01-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.cc: directly call static methods as callbacks.

2009-01-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: changed gcu::Printable API so that it passes
	the page number to DoPrint.
	* libs/gcp/document.h: ditto.
	* libs/gcu/application.cc: ditto.
	* libs/gcu/glview.cc: ditto.
	* libs/gcu/glview.h: ditto.
	* libs/gcu/printable.cc: ditto.
	* libs/gcu/printable.h: ditto.
	* libs/gcu/spectrumdoc.cc: ditto.
	* libs/gcu/spectrumdoc.h: ditto.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-curve.h: ditto.
	* libs/gcu/loader.cc: changed API to be able to export just one object
	instead of the whole document.
	* libs/gcu/loader.h: ditto.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/loaders/cif/cif.cc: ditto.
	* plugins/loaders/cml/cml.cc: ditto.

2009-01-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/atom.cc: export formal charge.
	* plugins/loaders/cml/cml.cc: ditto and import stereochemistry.

2008-12-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: set a correct scale after a call to
	Application::Load.
	* libs/gcp/bond.cc: export properties.
	* libs/gcp/bond.h: ditto.
	* libs/gcp/document.cc: save using the gcu::Loader mechanism when relevant.
	* libs/gcp/molecule.cc: fix stereochemistry for InChI and SMILES output.
	* libs/gcu/application.cc: use a const document when saving.
	* libs/gcu/application.h:
	* libs/gcu/atom.cc: export more properties.
	* libs/gcu/bond.cc: export properties.
	* libs/gcu/bond.h: ditto.
	* plugins/loaders/cml/cml.cc: writing now nearly as good as the OpenBabel
	using version.

2008-12-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: add content type detection in the gcu::Loader
	reading mechanism and a content type parameter for writing.
	* libs/gcp/document.cc: ditto.
	* libs/gcu/Makefile.am: ditto.
	* libs/gcu/application.cc: ditto.
	* libs/gcu/application.h: ditto.
	* libs/gcu/loader.cc: ditto.
	* libs/gcu/loader.h: ditto.
	* libs/gcu/structs.h: ditto.
	* libs/gcu/atom.cc: add new properties.
	* libs/gcu/bond.cc: ditto.
	* libs/gcu/document.h: ditto.
	* libs/gcu/objprops.h: ditto.
	* plugins/loaders/cdx/cdx.cc: updated to the new API.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/loaders/cif/cif.cc: ditto.
	* plugins/loaders/cml/cml.cc: some work on both reading and writing.

2008-12-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text-tag.cc: add a priority field.
	* libs/gccv/text-tag.h: ditto.
	* libs/gccv/text.cc: introduced runs.
	* libs/gccv/text.h: ditto.
	* libs/gcp/atom.cc: add attached hydrogen numbers.
	* libs/gcp/tools.cc: removed deprecated gtk tooltips calls.
	* libs/gcp/window.cc: ditto.
	* libs/gcp/zoomdlg.cc: fix spin button callback behavior.
	* plugins/paint/selection/selectiontool.cc: removed deprecated
	gtk tooltips calls.
	* plugins/paint/text/texttool.cc: use gccv::Text::GetText instead
	of pango layout access.

2008-12-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.11.1).
	* libs/gcp/view.cc: fix atom nature change using keyboard.
	* libs/gcp/view.h: ditto.
	* libs/gcu/Makefile.am: import space groups support from OpenBabel.
	* libs/gcu/matrix.cc: ditto.
	* libs/gcu/matrix.h: ditto.
	* libs/gcu/spacegroup.cc: ditto.
	* libs/gcu/spacegroup.h: ditto.
	* libs/gcu/transform3d.cc: ditto.
	* libs/gcu/transform3d.h: ditto.
	* libs/gcu/vector.cc: ditto.
	* libs/gcu/vector.h: ditto.
	* plugins/loaders/Makefile.am: new CIF loader skeleton.
	* plugins/loaders/cif/Makefile.am: ditto.
	* plugins/loaders/cif/cif.cc: ditto.
	* plugins/loaders/cif/plugin.xml.in: ditto.
	* plugins/loaders/cml/plugin.xml.in: add 3d and crystal support claims.
	* plugins/paint/atoms/elementtool.cc: fix update of bonds.

2008-12-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: fixed east/west alignment.
	* libs/gcp/atom.cc: add attached hydrogen (not the number yet).
	* libs/gcp/view.cc: new H width helper API.
	* libs/gcp/view.h: ditto.

2008-12-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/Makefile.am: add new files.
	* libs/gccv/text.cc: preliminary work for rich text.
	* libs/gccv/text.h: ditto.
	* libs/gccv/text-tag.cc: ditto.
	* libs/gccv/text-tag.h: ditto.
	* libs/gcp/atom.cc: preliminary work on attached hydrogens
	* libs/gcp/bond.cc: changed a comment.
	* libs/gcp/view.cc: reimplement BuildSVG (needed by the clipboard), and
	implement View::BuildEPS.
	* libs/gcp/view.h: ditto.
	* libs/gcp/widgetdata.cc: ditto.

2008-12-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.cc: render crossing bonds for normal bonds
	* libs/gccv/canvas.h: ditto.
	* libs/gccv/group.cc: ditto.
	* libs/gccv/group.h: ditto.
	* libs/gccv/item.cc: ditto.
	* libs/gccv/item.h: ditto.
	* libs/gccv/line.cc: ditto.
	* libs/gcp/bond.cc: ditto.
	* libs/gcp/view.cc: use cairo for svg export.
	* libs/gcp/view.h: ditto.
	* libs/gcu/macros.h: add a missing const keyword.

2008-12-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/text.cc: implement cursor blinking.
	* libs/gccv/text.h: ditto.
	* libs/gcp/text.cc: implement Text::AddItem.
	* libs/gcp/view.cc: reimplement Vieww::ShowCursor.
	* plugins/paint/text/texttool.cc: Reimplement TextTool::OnClicked.

2008-12-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* glade/image-resolution.glade: add optional transparency for
	GChemPaint image export.
	* libs/gccv/item.cc: removed a printf debug.
	* libs/gcp/view.cc: add optional transparency for
	GChemPaint image export.
	* libs/gcu/application.cc: ditto.
	* libs/gcu/application.h: ditto.

2008-12-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* programs/crystal/document.cc: fix loading CIF files.

2008-12-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.cc: removed unuseful stuff and do not invalidate
	areas with negative coordinates.
	* libs/gccv/canvas.h: removed unuseful stuff.
	* libs/gccv/group.cc: add children translation capability.
	* libs/gccv/group.h: ditto.
	* libs/gccv/item.cc: ditto.
	* libs/gccv/rectangle.cc: don't change Item::m_x0 and friends in Distance.
	* libs/gccv/text.cc: remove extra braces.
	* libs/gcp/atom.cc: set the coordinates for the items group, and use
	relative coordinates for others.
	* libs/gcp/tool.cc: fixed resizing of view.
	* libs/gcp/view.cc: reimplemented scrolling. 
	* libs/gcp/view.h: ditto.
	* mozilla-plugin/chem-viewer.cc: support cdx and cdxml files.
	* mozilla-plugin/moz-plugin.c: ditto.

2008-12-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: don't change tool if Tool::Deactivate returns
	false.
	* libs/gcp/document.cc: fix a possible crasher.

2008-11-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: restored selection.

2008-11-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: unescape uri before displaying it.
	* libs/gcp/stringdlg.cc: ditto.
	* plugins/paint/wikipedia/wikipediatool.cc: ditto.
	* programs/crystal/application.cc: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/spectra/document.cc: ditto.

2008-11-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: unescape uri before displaying it.
	* libs/gcp/document.cc: ditto.
	* libs/gcp/stringdlg.cc: ditto.
	* programs/3d/application.cc: ditto.
	* programs/3d/document.cc: ditto.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/application.cc: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/spectra/application.cc: ditto.
	* programs/table/gchemtable-app.cc: ditto.

2008-11-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment.cc: fixed issues when loading a fragment with
	a residue.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcu/document.h: fixed typo in documentation.

2008-11-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.cc: implement zoom.
	* libs/gccv/canvas.h: ditto.
	* libs/gccv/rectangle.cc: don't create a path for a transparent rectangle.
	* libs/gcp/document.cc: reimplement printing.
	* libs/gcp/view.cc: reimplement pdf, ps and eps exports.
	* libs/gcu/application.cc: add a new icon name member, and do not
	set default icon name for the application.
	* libs/gcu/application.h: ditto.
	* libs/gcu/dialog.cc: correctly set the icon name.
	* plugins/paint/templates/templatetool.cc: zoom the templates so
	that it fits in the preview, and update all positions.

2008-11-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/arrow.cc: fixed returned item in Distance().
	* libs/gccv/circle.cc: ditto.
	* libs/gccv/line.cc: ditto.
	* libs/gccv/poly-line.cc: ditto.
	* libs/gccv/rectangle.cc: ditto.
	* libs/gccv/rectangle.h: add a new GetPosition method.
	* libs/gccv/squiggle.cc: fixed returned item in Distance().
	* libs/gccv/text.cc: make things work minimally.
	* libs/gccv/text.h: ditto.
	* libs/gccv/wedge.cc: fixed returned item in Distance().
	* libs/gcp/atom.cc: add the symbol to the canvas.
	* libs/gcp/atom.h: removed unused UpdateItem() for now.
	* libs/gcp/bond.cc: make bonds a little longer now that symbols are
	correctly centered.
	* plugins/loaders/cml/cml.cc: wrote some preliminary code.
	* plugins/paint/atoms/elementtool.cc: fixed dragging.

2008-11-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: removed #ifdef ENABLE_NLS.
	* libs/gccv/Makefile.am: add new files.
	* libs/gccv/arrow.cc: implement Arrow::Distance.
	* libs/gccv/arrow.h: remove Arrow::Move, the Line class method is enough.
	* libs/gccv/item-client.cc: implement a default for UpdateItem ().
	* libs/gccv/line.cc: set line cap.
	* libs/gccv/poly-line.cc: new poly segments line.
	* libs/gccv/poly-line.h: ditto.
	* libs/gccv/structs.h: fixed file name in copyright.
	* libs/gcu/element.cc: removed #ifdef ENABLE_NLS.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/loaders/cdxml/cdxml.cc: ditto.
	* plugins/paint/arrows/arrowtool.cc: fully reimplemented.
	* plugins/paint/arrows/retrosynthesisarrow.cc: reimplemented.
	* plugins/paint/arrows/retrosynthesisarrow.h: ditto.

2008-11-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/arrow.cc: add half heads support.
	* libs/gccv/canvas.cc: allow setting the background color.
	* libs/gccv/canvas.h: ditto.
	* libs/gcp/application.cc: cleaned out an unused local variable.
	* libs/gcp/application.h: make m_Style accessible.
	* libs/gcp/arrow.cc: rewrite selection for complex arrows.
	* libs/gcp/mesomery-arrow.cc: reimplemented.
	* libs/gcp/reaction-arrow.cc: ditto.
	* libs/gcp/view.cc: sets the canvas background color to white.
	* plugins/paint/arrows/arrowtool.cc: reimplement more arrow types.

2008-11-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/arrow.cc: draw simple arrows.
	* libs/gccv/arrow.h: ditto.
	* libs/gccv/line.h: ditto.
	* libs/gcp/reaction-arrow.cc: ditto.
	* plugins/paint/arrows/arrowtool.cc: ditto.

2008-11-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: don't crash or end in an infinite loop when adding
	a fourth bond to phophorus. [#24863]

2008-11-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/bonds/bondtool.cc: fix undo when adding a bond between two
	molecules.

2008-11-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/Makefile.am: added new files.
	* libs/gccv/arrow.cc: initial work on arrows.
	* libs/gccv/arrow.h: ditto.
	* libs/gccv/canvas.cc: fixed path in copyright.
	* libs/gccv/canvas.h: ditto.
	* libs/gccv/circle.cc: new item.
	* libs/gccv/circle.h:ditto.
	* libs/gccv/client.cc: fixed path in copyright.
	* libs/gccv/client.h: ditto.
	* libs/gccv/fill-item.cc: ditto.
	* libs/gccv/fill-item.h: ditto.
	* libs/gccv/group.cc: ditto.
	* libs/gccv/group.h: ditto.
	* libs/gccv/hash.cc: ditto.
	* libs/gccv/hash.h: ditto.
	* libs/gccv/item-client.cc: ditto.
	* libs/gccv/item-client.h: ditto.
	* libs/gccv/item.cc: ditto.
	* libs/gccv/item.h: ditto.
	* libs/gccv/line-item.cc: ditto.
	* libs/gccv/line-item.h: ditto.
	* libs/gccv/line.cc: ditto.
	* libs/gccv/line.h: ditto.
	* libs/gccv/rectangle.cc: ditto.
	* libs/gccv/rectangle.h: ditto.
	* libs/gccv/squiggle.cc: ditto.
	* libs/gccv/squiggle.h: ditto.
	* libs/gccv/structs.h: ditto.
	* libs/gccv/text.cc: ditto.
	* libs/gccv/text.h: ditto.
	* libs/gccv/wedge.cc: ditto.
	* libs/gccv/wedge.h: ditto.
	* libs/gcp/bond.cc: fixed second line position for some double bonds.
	* libs/gcp/document.cc: don't update items when there is no canvas.
	* libs/gcp/theme.cc: call g_type_init.
	* libs/gcu/object.h: fixed documentation.
	* libs/gcu/residue.cc: don't free lang before using it.
	* plugins/paint/residues/pseudo-atom.cc: reimplemented drawing.
	* plugins/paint/selection/selectiontool.cc: display an error message box
	instead crashing when a group creation failed.

2008-11-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/Makefile.am: ad squiggle.*.
	* libs/gccv/hash.h: remove unneeded semicolons.
	* libs/gccv/squiggle.cc: new item for "squiggle" bonds.
	* libs/gccv/squiggle.h: ditto.
	* libs/gccv/wedge.h: remove unneeded semicolons.
	* libs/gcp/bond.cc: reimplemented squiggle bonds.
	* plugins/paint/bonds/bondtool.cc: ditto.

2008-11-14  Jordan Mantha  <laserjock@ubuntu.com>
	* libs/gcu/spectrumview.cc: implement y-axis adjustment
	* libs/gcu/spectrumview.h: ditto
	* libs/gcu/spectrumdoc.cc: ditto

2008-11-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/Makefile.am: add hash.*.
	* libs/gccv/hash.cc: new item for "hash" bonds.
	* libs/gccv/hash.h: ditto.
	* libs/gccv/line.cc: fixed bounds.
	* libs/gccv/wedge.cc: implemnted Wedge::Distanc().
	* libs/gccv/wedge.h: made some members protected instead of private.
	* libs/gcp/bond.cc: reimplement more bond types.
	* libs/gcp/view.cc: increase the canvas gap to 3 to ease selection.
	* libs/gcu/spectrumview.cc: on_max_changed calls OnMaxChanged.
	* plugins/paint/bonds/bondtool.cc: reimplement more bond types.

2008-11-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumdoc.cc: enhance data loading [#24719] and always
	update the invert axis check box.
	* plugins/paint/bonds/bondtool.h: removed a commented out member.

2008-11-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: delete previous version when saving.
	* libs/gcu/object.cc: remove objects from dirty objects list when
	destroying.
	* plugins/paint/bonds/chaintool.cc: fixed when the chain starts from a
	new atom.
	* plugins/paint/cycles/cycletool.cc: reimplemented.
	* programs/crystal/document.cc: delete previous version when saving.

2008-11-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: prefer a cycle with cis configuration when drawing
	double bonds. [#24802]

2008-11-10  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/cycles/cycletool.cc: partially reimplemented.
	* plugins/paint/cycles/cycletool.h: ditto.

2008-11-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/bonds/bondtool.cc: don't allow bonds between molecules not
	in the same group.
	* plugins/paint/bonds/chaintool.cc: ditto.

2008-11-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/structs.h: add Point struct.
	* libs/gcp/view.cc: fixed objects remove.
	* plugins/paint/bonds/bondtool.cc: removed unused local variables.
	* plugins/paint/bonds/bondtool.h: remove a wrong declaration.
	* plugins/paint/bonds/chaintool.cc: reimplemented, and fixed undo
	and unallowed operations issues.
	* plugins/paint/bonds/chaintool.h: added gcpChainTool::Draw() method.

2008-11-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/item-client.h: enhance client retreival.
	* libs/gccv/item.cc: fixed a potential crasher/leak.
	* libs/gcp/view.cc: added View::SetSelectionState().
	* libs/gcp/view.h: ditto.
	* libs/gcp/widgetdata.cc: reimplemnted selection and object bounds.
	* plugins/paint/bonds/bondtool.cc: cleaned BondTool::OnDrag() and
	BondTool::OnRelease().
	* plugins/paint/selection/selectiontool.cc: mostly reimplemented to
	use the new canvas.

2008-11-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gccv/canvas.cc: add Canvas::GetItemAt.
	* libs/gccv/canvas.h: ditto.
	* libs/gccv/item-client.cc: delete the item when destroyed.
	* libs/gccv/item-client.h: add Item as friend class.
	* libs/gccv/item.cc: unregister from client when deleted.
	* libs/gcp/view.cc: reimplement View::Remove
	* plugins/paint/selection/erasertool.cc: reimplemented.

2008-11-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/reference/Doxyfile.in: add libs/gccv directory.
	* libs/gccv/Makefile.am: add wedge.*.
	* libs/gccv/canvas.cc: made event methods really private.
	* libs/gccv/canvas.h: ditto, and added API documentation.
	* libs/gccv/text.h: initial API documentation.
	* libs/gccv/wedge.cc: new item for "wedge" bonds.
	* libs/gccv/wedge.h: ditto.
	* libs/gcp/bond.cc: reimplement "wedge" bonds.
	* libs/gcp/bond.h: fixed API documentation.
	* libs/gcp/molecule.h: ditto.
	* libs/gcp/view.h: ditto.
	* libs/gcu/chemistry.h: added gccv namespace to API documentation.
	* plugins/paint/bonds/bondtool.cc: worked on the "wedge" bond tool.

2008-11-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: add back -DG_DISABLE_DEPRECATED and friends.
	* libs/gccv/text.cc: fixed vertical alignment.
	* libs/gccv/text.h: add gccv::Anchor enum.
	* libs/gcp/bond.cc: implement Bond::UpdateItm().
	* libs/gcp/view.cc: replace the current object by an atom when possible.
	* plugins/paint/atoms/elementtool.cc: ElemenTool::OnClicked fully
	reimplemented.
	* plugins/paint/bonds/bondtool.cc: reimplement bond order changes and
	use of an existing atom for bond start point.

2008-11-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* mozilla-plugin/chem-viewer.cc: convert filename to uri when needed.

2008-11-01  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: do not request gnome builds for goffice >= 0.7.3.
	* libs/gccv/item.h: added a macro for properties changing the size
	or position.
	* libs/gccv/rectangle.cc: added Rectangle::GetPosition.
	* libs/gccv/rectangle.h: ditto.
	* libs/gccv/text.cc: updates the rectangle.
	* libs/gccv/text.h: ditto.
	* libs/gcu/spectrumdoc.cc: correctly load negative values in
	(XY..XY) tables. [#24720]
	* plugins/paint/atoms/elementtool.cc: reimplementation of the OnClicked
	method to work with the new canvas.

2008-10-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* all: moved libs/canvas to libs/gccv and rename libgchempaint to libgcp
	for more consistency.

2008-10-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cml/Makefile.am: new cml loader.
	* plugins/loaders/cml/cml.cc: ditto.
	* plugins/loaders/cml/plugin.xml.in: ditto.

2008-10-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post branching version bump (0.11.0).
	* others: start implementing the new canvas and make things compile
	without libgnomecanvas.

2008-10-31  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: changed version to 0.10.0 for release.
	* libs/gcp/fragment-atom.h: fixed API documentation.
	* libs/gcp/text.h: ditto.
	* libs/gcp/view.h: add missing API documentation.

2008-10-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* programs/table/gchemtable-app.cc: implement save as image for curves.
	* programs/table/gchemtable-app.h: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-curve.h: ditto.

2008-10-25  Jordan Mantha  <laserjock@ubuntu.com>
	* docs/help/spectra/C/gspectrum.xml: miscellaneous typo and style fixes.
	  Also changed mixed DOS/Unix line endings to Unix.

2008-10-24  Jordan Mantha  <laserjock@ubuntu.com>
	* docs/help/table/C/gchemtable.xml: miscellaneous typo and style fixes.
	
2008-10-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment.cc: check if Fragment::m_Atom is not NULL before
	using it.

2008-10-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.9.99).

2008-10-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* programs/table/gchemtable-curve.cc: sets the application as owner for
	the dialog (fixes a memory leak), and add help support to the graph guru.
	* programs/table/gchemtable-data.cc: fix minimum and maximum for a series
	when the first element is not a number.
	* docs/help/table/C/gchemtable.xml: partially update documentation.
	* docs/help/table/C/figures/*.png: new updated screenshots.

2008-10-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/table/C/gchemtable.xml: partially update documentation.
	* docs/help/table/C/figures/*.png: new or updated screenshots.
	
2008-10-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.9.94).

2008-10-18  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/calc/C/gchemcalc.xml: added more documentation.
	* docs/help/calc/C/figures/uv-vis-tools.png: new screenshot.
	* docs/help/spectra/C/gspectrum.xml: wrote documentation for 0.10.

2008-10-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gogcpapp.cc: fix embedded object height.
	* libs/gcu/spectrumdoc.cc: fix the origin for varian nmr dx files.
	* libs/gcu/spectrumdoc.h: ditto.
	* docs/help/spectra/C/figures/*: new screenshots.

2008-10-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment-atom.cc: ensure symbol geometry is always
	evaluated.
	* libs/gcp/molecule.cc: fix contextual menu issues.
	* libs/gcp/view.cc: enable selection of an atom even without a
	visible item.
	* libs/gcu/atom.cc: initalize Z to -1. to avoid confusion with
	pseudo-atoms.
	* plugins/paint/bonds/bondtool.cc: enable merging with atoms even
	without a visible item.
	* plugins/paint/cycles/cycletool.cc: ditto.

2008-10-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/reference/Doxyfile.in: add an image path.
	* libs/gcp/fontsel.h: add a screenshot to the documentation.
	* libs/gcp/theme.h: API documentation work (done for 0.10).

2008-10-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/reaction-arrow.cc: update position and length when the
	attached object changes.
	* libs/gcp/reaction-arrow.h: ditto.
	* libs/gcp/settings.h: API documentation work.
	* libs/gcp/theme.h: ditto.
	* libs/gcp/tool.h: ditto.

2008-10-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/molecule.cc: removed unuseful SetSelected method.
	* libs/gcp/molecule.h: API documentation work.
	* libs/gcp/preferences.cc: made most methods private and replace them
	by a private friend class.
	* libs/gcp/preferences.h: ditto.
	* libs/gcp/reaction-prop.h: API documentation work.
	* libs/gcp/settings.h: ditto.
	* libs/gcp/stringdlg.h: ditto.
	* libs/gcp/text.h: ditto.
	* libs/gcp/tool.cc: ditto.
	* libs/gcp/tool.h: ditto.
	* libs/gcp/view.h: ditto.
	* libs/gcu/atom.h: ditto.
	* libs/gcu/object.h: ditto.

2008-09-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.9.93).

2008-09-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/crystal/C/gcrystal.xml: fixed validation.

2008-09-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/calc/C/gchemcalc.xml: added missing tags.

2008-09-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/3d/C/gchem3d.xml: fixed typo which made it fail
	validation.

2008-09-28  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/crystal/*: updated Gnome Crystal help.
	* libs/gcp/reactant.h: API documentation work.
	* libs/gcp/reaction-arrow.h: ditto.
	* libs/gcp/reaction-operator.h: ditto.
	* libs/gcp/reaction-prop-dlg.h: ditto.
	* libs/gcp/reaction-prop.h: ditto.
	* libs/gcp/reaction-step.h: ditto.
	* libs/gcp/reaction.h: ditto.

2008-09-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: use theme colors for tools icons.
	* libs/gcp/application.h: ditto.
	* libs/gcp/atom.h: API documentation work.
	* libs/gcp/bond.h: ditto.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/mesomer.h: ditto.
	* libs/gcp/mesomery-arrow.h: ditto.
	* libs/gcp/mesomery.h: ditto.
	* libs/gcp/molecule.h: ditto.
	* libs/gcp/newfiledlg.h: ditto.
	* libs/gcp/plugin.cc: ditto.
	* libs/gcp/plugin.h: ditto.
	* libs/gcp/reaction-arrow.h: ditto.
	* libs/gcp/text.h: ditto.
	* plugins/paint/*/*.png: use transparency instead of grey level. [#24382]

2008-09-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/stringdlg.cc: use "SMILES" instead of "Smiles".
	* docs/help/*: applications documentation work.

2008-09-18  Julian Sikorski  <belegdol@gmail.com>
	* plugins/paint/residues/residues.glade: worked around "Name" translation problem.

2008-09-17  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/dialog.cc: do not set the application as default owner.

2008-09-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* programs/calc/gchemcalc.cc: inhibit the Ask option which is not
	implemented yet.
	* programs/crystal/gcrystal.schemas.in: removed a localized string.

2008-09-14  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.9.92).
	* libs/gcp/fragment.h: API documentation work.
	* libs/gcp/text.h: ditto.
	* programs/3d/application.cc: fixed color background from
	command line.
	* docs/help/3d/*: gchem3d help work.

2008-09-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/text/Makefile.am: don't forget the glade file in the
	tarball.

2008-09-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* Makefile.am: add back intltool-*.in to EXTRA_DIST (needed
	by intltool 0.37.1).

2008-09-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: downgrade the intltool requirement to 0.37.1.
	* docs/help/paint/*: update gchempaint help for 0.10.

2008-09-09  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cdx/cdx.cc: fixed compilation on ppc and other
	big-endian machines.

2008-09-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/text/Makefile.am: fix fontsel.glade installation.

2008-09-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.h: API documentation work.
	* libs/gcp/document.h: ditto.
	* libs/gcp/fontsel.h: ditto.
	* libs/gcp/fragment-residue.h: ditto.
	* libs/gcp/fragment.h: ditto.
	* libs/gcp/residue.h: ditto.
	* libs/gcp/view.h: ditto.
	* libs/gcu/chemistry.h: ditto.
	* libs/gcu/gtkperiodic.h: ditto.

2008-09-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.9.91).

2008-09-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* autogen.sh: reverted Daniels changes about docs links for now.
	* configure.ac: ditto.

2008-09-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/residue.cc: no need to care about the delete button for
	read-only residues.
	* plugins/paint/residues/residues-dlg.cc: ditto.
	* programs/calc/gchemcalc.cc: fixed typo.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-data-allocator.cc: ditto.

2008-09-06  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: requires goffice-0.6.5 or later.
	* docs/help/paint/C/fidures/*.png: new or updated screenshots.
	* glade/crystal/docprop.glade: updated the user interface to be
	more HIG compliant
	* libs/gcp/about.cc: updated copyright.
	* libs/gcp/document.h: API documentation work.
	* libs/gcp/fragment-residue.cc: fix an issue with residues management.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/residue.cc: ditto.
	* libs/gcp/residue.h: ditto.
	* libs/gcu/element.cc: add brazilian to known languages.
	* plugins/paint/residues/plugin.cc: fix an issue with residues management.
	* plugins/paint/residues/residues-dlg.cc: ditto.
	* plugins/paint/residues/residues.glade: ditto.
	* programs/calc/gchemcalc.cc: updated copyright.
	* programs/crystal/Makefile.am: add docprop.*.
	* programs/crystal/application.cc: add document properties support.
	* programs/crystal/docprop.cc: ditto.
	* programs/crystal/docprop.h: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/document.h: ditto.
	* programs/crystal/window.cc: updated copyright.
	* programs/spectra/window.cc: updated copyright.

2008-09-01 Daniel Leidert <daniel.leidert@wgdd.de>
	* docs/man/Makefile.am (gcu_man_src): Removed libgcu.3.xml.
	  (man_MANS): Removed libgcu.3. The filenames now automatically
	  consider stable/unstable releases. The target to create the manual
	  pages has been adusted accordingly.
	* docs/man/gcu_entities.dtd.in: Define a suffix if built for an
	  unstable release. Use the API version as version number.
	* docs/man/gchem3d.1.xml: Fixed IDs. Add suffix if necessary.
	* docs/man/gchemcalc.1.xml: Likewise.
	* docs/man/gchempaint.1.xml: Likewise.
	* docs/man/gchemtable.1.xml: Likewise.
	* docs/man/gcrystal.1.xml: Likewise.
	* docs/man/gspectrum.1.xml: Likewise.
	* docs/man/gchem3d-viewer-unstable.1: Renamed to docs/man/gchem3d.1
	  and updated.
	* docs/man/gchemcalc-unstable.1: Likewise.
	* docs/man/gchempaint-unstable.1: Likewise.
	* docs/man/gchemtable-unstable.1: Likewise.
	* docs/man/gcrystal-unstable.1: Likewise.
	* docs/man/gspectrum-unstable.1: Likewise.
	* docs/man/libgcu-unstable.3: Removed completely.
	* docs/man/libgcu.3.xml: Ditto.

2008-09-01 Daniel Leidert <daniel.leidert@wgdd.de>
	* docs/reference/Makefile.am: Fixed clean target. The directory is
	  under version control, so removing it completely is not a good idea.

2008-09-01 Daniel Leidert <daniel.leidert@wgdd.de>
	* configure.ac: Fixed some quotation. Fixed fallback value for xulclient
	  to not be empty. Use AC_CONFIG_LINKS to create the versioned files in
	  docs/help (also cleans these files/links with distclean).
	* autogen.sh: Removed gendocs vall. Done via configure (see above).

2008-08-27  Jean Bréfort  <jean.brefort@normalesup.org>
	* autogen.sh: use gendocs.
	* gendocs: new script to update help files names.
	* libs/gcp/bond.h: API documentation work.
	* libs/gcp/document.h: ditto.
	* docs/help/paint/C/figures: updated screenshots.

2008-08-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: remve G_DISABLE* to make things work with gtk+-2.14.
	* libs/gcp/bond.h: API documentation work.
	* libs/gcu/gtkchem3dviewer.cc: replaced deprecated gtk* calls.
	* libs/gcu/gtkcrystalviewer.cc: ditto.
	* libs/gcu/gtkperiodic.c: ditto.

2008-08-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/paint/wikipedia/wikipediatool.cc: removed "unstable" word.
	* programs/calc/gchemcalc.cc: ditto.

2008-08-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/canvas/gcp-canvas-bpath.h: replaced deprecated GTK_CHECK* macros.
	* libs/canvas/gcp-canvas-group.h: ditto.
	* libs/canvas/gcp-canvas-line.h: ditto.
	* libs/canvas/gcp-canvas-pango.h: ditto.
	* libs/canvas/gcp-canvas-polygon.h: ditto.
	* libs/canvas/gcp-canvas-rect-ellipse.h: ditto.
	* libs/canvas/gcp-canvas-shape.h: ditto.
	* libs/canvas/gcp-canvas-text.h: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcu/gtkchem3dviewer.h: ditto.
	* libs/gcu/gtkcrystalviewer.h: ditto.
	* libs/gcu/gtkperiodic.h: ditto.
	* libs/gcu/gtkspectrumviewer.h: ditto.

2008-08-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* programs/table/Makefile.am: always create the correct link.

2008-08-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: export missing constant.
	* programs/3d/Makefile.am: restore missing '['.
	* programs/calc/Makefile.am: ditto.
	* programs/crystal/Makefile.am: ditto.
	* programs/paint/Makefile.am: ditto.
	* programs/spectra/Makefile.am: ditto.
	* programs/table/Makefile.am: ditto.

2008-08-24  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.9.90).

2008-08-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* autogen.sh: request /bin/bash.
	* configure.ac: fix various build issues.
	* docs/help/3d/Makefile.am: ditto.
	* docs/help/calc/Makefile.am: ditto.
	* docs/help/crystal/Makefile.am: ditto.
	* docs/help/spectra/Makefile.am: ditto.
	* docs/help/table/Makefile.am: ditto.
	* programs/3d/Makefile.am: ditto.
	* programs/calc/Makefile.am: ditto.
	* programs/crystal/Makefile.am: ditto.
	* programs/paint/Makefile.am: ditto.
	* programs/spectra/Makefile.am: ditto.
	* programs/table/Makefile.am: ditto.

2008-08-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* tests/testgtkchem3dviewer.c: fix compilation without gnome-vfs.

2008-08-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/man/Makefile.am: removed the unstable keyword.
	* docs/man/gcu_entities.dtd.in: ditto.

2008-08-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: use versioned help files.
	* libs/gcp/application.cc: ditto.
	* libs/gcu/application.cc: ditto.
	* libs/gcu/spectrumdoc.cc: fixed a variable change bug.
	* programs/3d/application.cc: use versioned help files.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/application.cc: ditto.
	* programs/spectra/application.cc: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-elt.cc: ditto.
	* programs/table/gchemtable-main.cc: ditto.

2008-08-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: generate the missing Makefile.

2008-08-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/help/spectra/C/gspectrum.xml: add missing docs.
	* docs/help/spectra/C/legal.xml: ditto.
	* docs/help/spectra/Makefile.am: ditto.
	* docs/help/spectra/gspectrum.omf.in: ditto.

2008-08-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* autogen.sh: use versioned help files.
	* docs/help/3d/Makefile.am: ditto.
	* docs/help/3d/gchem3d-viewer-unstable.omf.in: ditto.
	* docs/help/3d/gchem3d-viewer.omf.in: ditto.
	* docs/help/Makefile.am: ditto.
	* docs/help/calc/Makefile.am: ditto.
	* docs/help/calc/gchemcalc-unstable.omf.in: ditto.
	* docs/help/crystal/Makefile.am: ditto.
	* docs/help/crystal/gcrystal-unstable.omf.in: ditto.
	* docs/help/table/Makefile.am: ditto.
	* docs/help/table/gchemtable-unstable.omf.in: ditto.

2008-08-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/tool.h: API documentation work.
	* libs/gcp/view.h: ditto.
	* libs/gcu/spectrumdoc.cc: more work on X variables switch and fix an
	nmr integration issue.
	* libs/gcu/spectrumdoc.h: ditto.

2008-08-20  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment-residue.h: API documentation work.
	* libs/gcp/tool.h: ditto.
	* libs/gcu/spectrumdoc.cc: allow invertion of X axis and Y variable
	selection (switch between absorbance and transmittance ).
	* libs/gcu/spectrumdoc.h: ditto.
	* libs/gcu/spectrumview.cc: ditto.
	* libs/gcu/spectrumview.h: ditto.

2008-08-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.h: API documentation work.
	* libs/gcp/bond.h: ditto.
	* libs/gcp/docprop.h: ditto.
	* libs/gcp/document.h: ditto.
	* libs/gcp/electron.h: ditto.
	* libs/gcp/fontsel.h: ditto.
	* libs/gcp/fragment-atom.h: ditto.
	* libs/gcp/fragment-residue.h: ditto.
	* libs/gcp/mesomer.h: ditto.
	* libs/gcp/mesomery-arrow.h: ditto.
	* libs/gcp/mesomery.h: ditto.
	* libs/gcp/molecule.h: ditto.
	* libs/gcp/operation.h: ditto.
	* libs/gcu/atom.cc: fixed Id setting.
	* libs/gcu/molecule.cc: fixed a bug in Molecule::MoleculeFromFormula.
	* libs/gcu/object.h: ifxed typo in API documentation.
	* libs/gcu/spectrumdoc.cc: inhibit FID transform, but fixed ppm origin
	using a Brücker specific field.
	* libs/gcu/spectrumdoc.h: ditto.
	* plugins/loaders/cdxml/cdxml.cc: import atoms groups.

2008-08-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.h: fixed doc typo.
	* libs/gcp/bond.h: API documentation work.
	* libs/gcp/docprop.h: ditto.
	* libs/gcp/electron.h: ditto.
	* libs/gcp/text-object.cc: implement GetProperty for raw text.
	* libs/gcp/text-object.h: ditto.
	* libs/gcu/atom.cc: fixed Atom::GetProperty.
	* libs/gcu/object.cc: removed an empty line.
	* plugins/loaders/cdx/cdx.cc: fixed a chemical text import issue.
	* plugins/loaders/cdxml/cdxml.cc: import texts.

2008-08-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/gchemutils.cc: make things work with libgoffice >= 0.6.
	* goffice/gogcpapp.cc: ditto.
	* goffice/gogcpapp.h: ditto.
	* goffice/gogcuapp.h: ditto.
	* libs/gcp/application.h: API documentation work.
	* libs/gcp/arrow.h: ditto.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/document.h: ditto.
	* libs/gcp/fragment.cc: fixed style on import from .cdx.
	* libs/gcp/fragment.h: API documentation work.
	* libs/gcp/tool.h: ditto.
	* libs/gcp/widgetdata.h: ditto.
	* libs/gcu/atom.cc: include config.h
	* libs/gcu/bond.cc: ditto.
	* libs/gcu/document.h: fixed API documentation.
	* libs/gcu/gtkcrystalviewer.cc: include config.h
	* libs/gcu/object.cc: implement GetProperty for GCU_PROP_ID.
	* libs/gcu/object.h: fixed API documentation.
	* libs/gcu/sphere.cc: include config.h
	* libs/gcu/vector.cc: include config.h
	* libs/gcu/window.cc: add Show and Destroy methods.
	* libs/gcu/window.h: ditto.
	* plugins/loaders/cdxml/cdxml.cc: some work on atoms groups.
	* plugins/paint/residues/residues-dlg.cc: fixed for using the new
	gcu::Window class.
	* plugins/paint/residues/residues-dlg.h: ditto.
	* plugins/paint/selection/plugin.cc: removed uused UI.

2008-08-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* goffice/Makefile.am: start reimplementation of the gchempaint
	goffice plugin.
	* goffice/gchemutils-priv.h: ditto.
	* goffice/gchemutils.cc: ditto.
	* goffice/gogcpapp.cc: ditto.
	* goffice/gogcpapp.h: ditto.
	* goffice/gogcpwin.cc: ditto.
	* goffice/gogcpwin.h: ditto.
	* goffice/gogcuapp.cc: ditto.
	* goffice/gogcuapp.h: ditto.
	* goffice/plugin.xml.in: ditto.
	* libs/gcp/application.h: more API documentation work.
	* libs/gcp/target.cc: derives from gcu::Window.
	* libs/gcp/target.h: ditto.
	* libs/gcp/text-object.h: API documentation work.
	* libs/gcp/text.h: ditto.
	* libs/gcp/tools.h: ditto.
	* libs/gcu/Makefile.am: add window.*.
	* libs/gcu/application.h: fixed API documentation.
	* libs/gcu/window.cc: new window base class.
	* libs/gcu/window.h: ditto.
	* plugins/paint/residues/residues-dlg.h: add a Show() method. 

2008-08-04  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: use gio/gvfs instead of gnomevfs.
	* libs/gcp/application.h: ditto.
	* libs/gcp/document.cc: ditto.
	* libs/gcp/stringdlg.cc: ditto.
	* libs/gcp/stringdlg.h: ditto.
	* libs/gcp/view.cc: ditto.
	* libs/gcp/window.cc: ditto.
	* libs/gcu/application.cc: ditto.
	* libs/gcu/application.h: ditto.
	* libs/gcu/filechooser.cc: ditto.
	* libs/gcu/glview.cc: ditto.
	* mozilla-plugin/chem-viewer.cc: ditto.
	* plugins/paint/wikipedia/wikipediatool.cc: ditto.
	* programs/3d/main.cc: ditto.
	* programs/3d/window.cc: ditto.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/crystal/application.cc: ditto.
	* programs/crystal/document.cc: ditto.
	* programs/crystal/main.cc: ditto.
	* programs/crystal/window.cc: ditto.
	* programs/paint/main.cc: ditto.
	* programs/spectra/gspectrum.cc: ditto.
	* programs/spectra/window.cc: ditto.
	* programs/table/gchemtable-app.cc: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-data-allocator.cc: ditto.

2008-08-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: try to replace gnomevfs by gio/gvfs as much as possible.
	* libs/gcp/Hposdlg.h: API documentation work.
	* libs/gcp/widgetdata.h: ditto.
	* libs/gcu/application.cc: try to replace gnomevfs by gio/gvfs as much
	as possible.
	* libs/gcu/chem3ddoc.cc: ditto.
	* libs/gcu/crystalview.cc: ditto.
	* libs/gcu/filechooser.cc: ditto.
	* libs/gcu/glview.cc: ditto.
	* libs/gcu/spectrumdoc.cc: ditto.
	* programs/3d/application.cc: ditto.
	* programs/3d/main.cc: ditto.
	* programs/3d/window.cc: ditto.
	* programs/calc/gchemcalc.cc: ditto.
	* programs/spectra/Makefile.am: fixed typo.
	* programs/table/gchemtable-app.cc: try to replace gnomevfs by gio/gvfs
	as much as possible.
	* programs/table/gchemtable-main.cc: ditto.

2008-08-02  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/document.cc: imports new resodues from gchempaint and chemdraw
	(.cdx) files.
	* libs/gcp/fragment-atom.cc: ditto.
	* libs/gcp/fragment-residue.cc: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/molecule.cc: ditto.
	* libs/gcp/operation.h: API documentation work.
	* libs/gcp/residue.cc: imports new residues from gchempaint and chemdraw
	(.cdx) files.
	* libs/gcp/residue.h: ditto.
	* libs/gcp/view.h: API documentation work.
	* libs/gcp/widgetdata.h: ditto.
	* libs/gcp/window.h: ditto.
	* libs/gcp/zoomdlg.h: ditto.
	* libs/gcu/molecule.cc: imports new residues from gchempaint and chemdraw
	(.cdx) files.
	* libs/gcu/residue.cc: ditto.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/paint/bonds/bondtool.cc: allow adding a bond starting from a
	fragment.
	* plugins/paint/residues/residues-dlg.cc: imports new residues from
	gchempaint and chemdraw (.cdx) files.

2008-07-30  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: define a suffix to add to applications menu entries for
	unstable versions.
	* libs/gcp/application.h: minor documentation update.
	* libs/gcp/document.h: fixed residues import.
	* libs/gcp/residue.cc: ditto.
	* libs/gcp/residue.h: ditto.
	* libs/gcp/target.h: API documentation.
	* libs/gcp/window.cc: removed a duplicate member.
	* libs/gcp/window.h: API documentation.
	* libs/gcp/zoomdlg.h: ditto.
	* libs/gcu/molecule.cc: fixed a bug in the constructor.
	* libs/gcu/residue.cc: fixed residues import.
	* libs/gcu/residue.h: ditto.
	* plugins/loaders/cdx/cdx.cc: ditto.
	* plugins/paint/residues/plugin.cc: ditto.
	* plugins/paint/residues/plugin.h: ditto.
	* plugins/paint/residues/residues-dlg.cc: ditto.
	* plugins/paint/residues/residues-dlg.h: ditto.
	* programs/3d/gchem3d.desktop.in.in: adds the API version number to the
	applications menu entry when unstable.
	* programs/calc/gchemcalc.desktop.in.in:
	* programs/crystal/gcrystal.desktop.in.in:
	* programs/paint/gchempaint.desktop.in.in:
	* programs/spectra/gspectrum.desktop.in.in:
	* programs/table/gchemtable.desktop.in.in:

2008-07-29  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: a better definition of stable versions.
	* libs/gcp/application.h: documentation update.
	* libs/gcp/arrow.h: ditto.
	* libs/gcp/atom.cc: prefer horizontal positions for H atoms.
	* libs/gcp/atom.h: documentation update.
	* libs/gcp/document.cc: some work on document specific residues.
	* libs/gcp/document.h: ditto.
	* libs/gcp/residue.cc: ditto.
	* libs/gcp/residue.h: ditto.
	* libs/gcu/application.h: fixed documentation.
	* libs/gcu/document.cc: some work on document specific residues.
	* libs/gcu/document.h: ditto.
	* libs/gcu/molecule.cc: ditto.
	* libs/gcu/residue.cc: ditto.
	* libs/gcu/residue.h: ditto.
	* plugins/loaders/cdx/cdx.cc: imoort unknown residues.
	* plugins/loaders/cdx/plugin.xml.in: remove write support.
	* plugins/loaders/cdxml/plugin.xml.in: ditto.
	* programs/3d/Makefile.am: use LN_S.
	* programs/calc/Makefile.am: ditto.
	* programs/crystal/Makefile.am: ditto.
	* programs/paint/Makefile.am: ditto.
	* programs/spectra/Makefile.am: ditto.
	* programs/spectra/gspectrum.desktop.in.in: removed "unstable".
	* programs/table/Makefile.am: use LN_S.

2008-07-26  Jean Bréfort  <jean.brefort@normalesup.org>
	* glade/paint/H-pos.glade: allow hydrogens above and below atoms.
	* libs/gcp/Hposdlg.cc: ditto.
	* libs/gcp/about.h: documentation update.
	* libs/gcp/application.h: ditto.
	* libs/gcp/arrow.h: ditto.
	* libs/gcp/atom.cc: allow hydrogens above and below atoms.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/widgetdata.h: documentation update.
	* libs/gcu/application.h: minor documentation update.
	* libs/gcu/chemistry.h: ditto.
	* libs/gcu/crystalatom.h: ditto.
	* libs/gcu/element.h: ditto.
	* libs/gcu/object.h: ditto.

2008-07-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: cleaned out all unstable stuff.
	* libs/gcp/text.cc: serialize anchor.
	* libs/gcp/window.cc: fix recent files list.
	* libs/gcu/application.cc: use default GtkRecentManager.
	* programs/3d/window.cc: fix recent files list.
	* programs/crystal/window.cc: ditto.
	* programs/spectra/window.cc: ditto.

2008-07-19  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/canvas/gcp-canvas-group.c: (gnome_canvas_group_ext_bounds),
	(gnome_canvas_group_ext_class_init): enhance bounds evaluation.
	* libs/gcp/atom.cc: start work on H atom position enhancement.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/bond.cc: finished rewrite of double bnd redering.
	* libs/gcp/fragment-atom.cc: minor updates.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/text.cc: support markup property.
	* libs/gcp/text.h: ditto.
	* libs/gcp/view.cc: ensure that the size is valid.
	* libs/gcp/widgetdata.cc: enhance bounds evaluation.
	* libs/gcu/application.h: more API documentation work.
	* libs/gcu/atom.h: ditto.
	* libs/gcu/bond.h: ditto.
	* libs/gcu/chain.h: ditto.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/cmd-context.h: ditto.
	* libs/gcu/crystalatom.h: ditto.
	* libs/gcu/crystalcleavage.h: ditto.
	* libs/gcu/crystaldoc.h: ditto.
	* libs/gcu/crystalline.h: ditto.
	* libs/gcu/crystalview.h: ditto.
	* libs/gcu/cycle.h: ditto.
	* libs/gcu/cylinder.h: ditto.
	* libs/gcu/dialog-owner.h: ditto.
	* libs/gcu/dialog.h: ditto.
	* libs/gcu/document.h: ditto.
	* libs/gcu/element.h: ditto.
	* libs/gcu/filechooser.h: ditto.
	* libs/gcu/formula.h: ditto.
	* libs/gcu/gldocument.h: ditto.
	* libs/gcu/glview.h: ditto.
	* libs/gcu/isotope.h: ditto.
	* libs/gcu/loader.h: ditto.
	* libs/gcu/matrix.h: ditto.
	* libs/gcu/matrix2d.h: ditto.
	* libs/gcu/molecule.h: ditto.
	* libs/gcu/object.h: ditto.
	* libs/gcu/objprops.h: ditto.
	* libs/gcu/print-setup-dlg.h: ditto.
	* libs/gcu/printable.h: ditto.
	* libs/gcu/residue.h: ditto.
	* libs/gcu/spectrumdoc.h: ditto.
	* libs/gcu/spectrumview.h: ditto.
	* libs/gcu/sphere.h: ditto.
	* libs/gcu/value.h: ditto.
	* libs/gcu/vector.h: ditto.
	* plugins/loaders/cdx/cdx.cc: import text decorations.
	* plugins/paint/atoms/chargetool.cc: minor update.

2008-07-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/bond.cc: completed (hopefully) the work on double bonds display.
	* libs/gcu/element.h:  more API documentation work.
	* libs/gcu/glview.h: ditto.
	* libs/gcu/isotope.h: ditto.
	* libs/gcu/loader.cc: ditto.
	* libs/gcu/loader.h: ditto.
	* libs/gcu/macros.h: ditto.

2008-07-13  Jean Bréfort  <jean.brefort@normalesup.org>
	* docs/reference/Doxyfile.in: fixed include paths.
	* libs/gcp/atom.cc: more work on double bonds display.
	* libs/gcp/bond.cc: ditto.
	* libs/gcu/bond.h: more API documentation work.
	* libs/gcu/chain.h: ditto.
	* libs/gcu/chem3ddoc.h: ditto.
	* libs/gcu/cmd-context.h: ditto.
	* libs/gcu/crystalline.h: ditto.
	* libs/gcu/crystalview.h: ditto.
	* libs/gcu/cycle.cc: ditto.
	* libs/gcu/cycle.h: ditto.
	* libs/gcu/dialog-owner.h: ditto.
	* libs/gcu/document.h: ditto.
	* libs/gcu/element.h: ditto.
	* libs/gcu/formula.h: ditto.

2008-07-12  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.h: some API documentation work.
	* libs/gcp/bond.cc: enhanced more double bonds display.
	* libs/gcp/bond.h: some API documentation work.
	* libs/gcu/application.h: ditto.
	* libs/gcu/atom.h: ditto.
	* libs/gcu/bond.h: ditto.
	* libs/gcu/chain.cc: ditto.
	* libs/gcu/chain.h: ditto.
	* libs/gcu/cycle.cc: ditto.
	* libs/gcu/cycle.h: ditto.
	* libs/gcu/cylinder.h: ditto.
	* libs/gcu/object.h: ditto.

2008-07-11  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.h: some API documentation work.
	* libs/gcp/bond.cc: enhanced some double bonds display.
	* libs/gcu/element.h: some API documentation work.
	* libs/gcu/formula.h: ditto.
	* libs/gcu/sphere.h: ditto.
	* libs/gcu/vector.h: ditto.

2008-07-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/view.cc: reimplement atom change using keyboard which was
	broken since the removal of the background rectangle.

2008-07-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/application.cc: fixed a couple of file opening issues.
	* libs/gcp/fragment-atom.cc: set ShowSymbol to true so that carbon atoms
	are correctly taken into account.

2008-07-05  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment.cc: Use gcu::Formula to invert the formula when needed.
	* libs/gcu/formula.cc: elements can now export text instead of markup.
	* libs/gcu/formula.h: ditto.

2008-07-03  Jean Bréfort  <jean.brefort@normalesup.org>
	* plugins/loaders/cdx/cdx.cc: fixed generic group loading.

2008-06-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* configure.ac: post release version bump (0.9.5).

2008-06-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* Makefile.am: use intltoo >= 0.40.0.
	* configure.ac: ditto.

2008-06-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/fragment-atom.cc: fixed bounds evaluation.
	* libs/gcp/window.cc: correctly exit when requested.
	* plugins/loaders/cdx/cdx.cc: fix various new issues.
	* programs/table/gchemtable-curve.cc: clear the guru when done.
	* programs/table/gchemtable-curve.h: ditto.

2008-06-21  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/canvas/gcp-canvas-group.c: fixed parent class.
	* libs/gcp/atom.cc: fix canvas item bounds.
	* libs/gcp/fragment-residue.cc: fixed a load time crasher.
	* libs/gcp/fragment.cc: fix canvas item bounds.
	* libs/gcu/molecule.cc: enhance cdx file loading.
	* plugins/loaders/cdx/cdx.cc: ditto.

2008-06-15  Jean Bréfort  <jean.brefort@normalesup.org>
	* glade/table/curve.glade: set a default title.
	* libs/gcu/application.cc: clear all dialogs before exiting to avoid
	a bad goffice shutdown.
	* libs/gcu/dialog-owner.cc: add ClearDialogs method.
	* libs/gcu/dialog-owner.h: ditto.
	* libs/gcu/dialog.cc: always correctly set the owner.
	* programs/table/gchemtable-app.cc: fix shutdown.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-curve.h: ditto.
	* programs/table/gchemtable-data-allocator.cc: use a GtkEntry for scalar
	data.
	* programs/table/gchemtable-main.cc: fix shutdown.

2008-06-08  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: do not draw a white rectangle under the atom anymore.
	* libs/gcp/atom.h: ditto.
	* libs/gcp/fragment-atom.cc: ditto.
	* libs/gcp/fragment-atom.h: ditto.
	* libs/gcp/fragment.cc: ditto.
	* libs/gcp/fragment-residue.cc: fix a crasher.
	* libs/gcu/application.cc: add missing spaces.
	* libs/gcu/element.cc: abort when the database can't be loaded.

2008-06-07  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumview.cc: fixed number of decimals in X-axis limits.

2008-05-25  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/spectrumdoc.cc: fixed integration.

2008-05-23  Jean Bréfort  <jean.brefort@normalesup.org>
	* programs/table/gchemtable-data-allocator.cc: data can now be changed.
	* programs/table/gchemtable-main.cc: allow linear regressions.

2008-05-22  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcu/element.h: removed obsolete prototype.
	* programs/table/gchemtable-app.cc: add a "New chart" menu item.
	* programs/table/gchemtable-app.h: ditto.
	* programs/table/gchemtable-curve.cc: ditto.
	* programs/table/gchemtable-data-allocator.cc: use vector type data list.
	* programs/table/gchemtable-data.cc: build vector type data list.
	* programs/table/gchemtable-data.h: ditto.
	* programs/table/gchemtable-main.cc: only allow scatter plots (does not
	really work because of a goffice bug).

2008-05-16  Jean Bréfort  <jean.brefort@normalesup.org>
	* libs/gcp/atom.cc: don't add hydrogens to metals.
	* libs/gcu/element.cc: add Element::IsMetallic.
	* libs/gcu/element.h: ditto.

2008-05-15  Jean Bréfort  <jean.brefort@normalesup.org>
